Back to menu

80 columns in text mode

The machines supported by blueMSX have 2 text modes : SCREEN 0 (maximum 40 or 80 columns) and SCREEN 1 (maximum 32 columns).

Using of SCREEN 0 with 80 columns gives a more professionnal look to the emulated machine, but it's not automatic on MSX2, MSX2+, MSXturboR and normally not possible on MSX1, SVI, SF-7000.

MSX2, MSX2+ and MSXturboR computers

These machines have a clockchip that can keep in his memory some settings.

As some machines boot by default in SCREEN 1, you need to use the following serie of MSX-BASIC commands to switch to SCREEN 0, select the 80 columns mode and keep the new settings in the clockchip memory :

SCREEN 0
WIDTH 80
SET SCREEN

After the introduction of the 3rd command, you need to reset (F12) the emulated machine to save the settings in the clockchip memory (actually a .cmos file in the SRAM subdirectory).

MSX1 computers

For the MSX1 computers, you have the choice between 2 different 80 columns cards :

- Microsol VMX-80
This 80 column card has two ROMs, character data and BIOS.

You need to
- insert the BIOS rom (VMSX80.ROM) in a cartridge slot
- start or reset the machine by pressing on F9 or F12

The 80 column mode is automatically initialized when booting the MSX, including for the characters (the character rom, GCVMX80.ROM, is included in the Machines / Shared Roms subdirectory).

- SVI-727
This 80 column card has only one ROM file and it only contains character data.

You need to
- put the SVI727.ROM in a cartridge slot
- insert in drive A a MSX-DOS disk with the file "MODE80.COM"
- start or reset the machine by pressing on F9 or F12
- type MODE80 on the MSX-DOS command line

In both cases, you can check the 80 columns mode in the Options/Video Source out menu.

SVI-328 computers

For the SVI-328 computers, it's very simple :

- select one of the two SVI-328 machines with 80 columns in Options / Emulations or in Tools / Machime Editor;
- insert in the drive a CP/M-80 disk or a disk that contains the SV extended BASIC;
- start or reset the machine by pressing on F9 or F12

Automatically, the machine will switch from the normal graphic card (TMS9929A) to the 80 columns graphic card (CRTC6845) and you can check that in the Options/Video Source out menu.

Back to menu


Arabic MSX Keyboard

http://www.passionmsx.org/modules/xcgal/index.php?cat=28

The Arabic MSX keyboard is used in the generic MSX Arabic and MSX2 Arabic machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Al-Alamiah AX-170 (*)

- MSX2 machines : Al Alamiah AX-350 (*) / Al Alamiah AX-370

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters in normal mode.

You can use this keyboard as a "normal" European MSX keyboard by pressing LeftCTRL when booting.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | - Arabic keyboard mode : when pressing it with some normal characters, you have directly access to MSX-BASIC commands, just exactly as it is the case with the function keys. Can be combined with Shift. - European keyboard mode : gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | - Arabic keyboard mode : toggles between Arabic and normal mode (if you don't have pressed LeftCTRL when booting). As each pressing on Return (Enter) leads back to normal mode, you need to use this toggle many times when entering texts. There are actually 2 Arabic modes : it's better to select the mode (F2 for mode 1 - F7 = Shift + F2 for mode 0) and enter the BASIC command _arb1 or _arb0 before pressing the Code key. You can also go back to normal mode by using the function key F8 (= Shift + F3) , then pressing on Return (Enter) to enter the BASIC command _engl - European keyboard mode : gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | Right Ctrl | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key * Arabic keyboard mode : - Accent Mark then the vowel key : accent circumflex (^). Example : â. - Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä * European keyboard mode : - Accent Mark then the vowel key : accent grave (`). Example : à. - Shift + Accent Mark then the vowel key : accent acute (´). Example : á. - Code + Accent Mark then the vowel key : accent circumflex (^). Example : â. - Shift + Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Arabic mode 0 | Arabic mode 0 + Shift
Arabic mode 1 | Arabic mode 1 + Shift
Code (European mode) | Code + Shift (European mode)
Graph (European mode) | Graph + Shift (European mode)

The extrem right character of the fourth row is the Accent Mark.


Audio captures

If you like musics and sounds, this feature is for you, it will allow you to make a great collection of MSX songs and noises !

The more easy way to start or stop an audio capture is the hotkey : LShift+F7 by default. You can also use the File menu and select the option "Capture Audio".

The .wav files are stored in the Audio Capture directory.

A unique file name is always created, by using this system : the name of the game or demo, followed by "_" , a number of 2 digits (the first combination is "00") and the extension .wav.

You can use external tools to convert the .wav files into another format (MP3 for example).

For better audio captures, it is recommended to first make different tests by using the possibilities of the blueMSX mixer.

When you are satisfied with the quality of your wav files, you can edit them and convert them into another format (MP3 for example) with the external program of your choice.


Al Alamiah AX-170

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. Switch key between Arabic and English characters is RightAlt.

This computer comes with an integrated firmware. You can skip it and use MSX-BASIC without Arabic extensions by pressing LeftCTRL when booting.

From MSX-BASIC, you can go back to the firmware menu by typing CALL MENU.

From this intro screen, you know directly that this computer is an Arabic machine.
Without any game in a cartridge slot, you come on this firmware menu :

1 - Calendar
2 - Painter
3 - Arabic Typing
4 - English Typing
5 - MSX1-Sakhr BASIC

You will also come on this menu if you add a diskdrive and run the machine without any game in a cartridge slot or the diskdrive.
Calendar | Painter
Arabic Typing | English Typing


Al Alamiah AX-350 and AX-370

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface and a diskdrive. Switch key between Arabic and English characters is RightAlt. A mouse is required to use the Painter.

The AX-370 is very similar to the AX-350, but it is based on a Sanyo MSX2+ machine, especially for the drive, instead of a Yamaha MSX2 machine and the MSX2 VDP is replaced by the MSX2+ VDP (the BIOS remains a MSX2 BIOS).

These computers comes with an integrated firmware. You can skip it and use MSX-BASIC without Arabic extensions by pressing LeftCTRL when booting.

From MSX-BASIC, you can go back to the firmware menu by typing CALL MENU, the word processor by typing CALL SWP, the Painter by typing CALL PAINT and the calendar by typing CALL CALENDAR.

From this intro screen, you know directly that this computer is an Arabic machine.
Without any game in a cartridge slot or the diskdrive, you come on this firmware menu :

1 - Word Processor
2 - The Painter
3 - Calendar
4 - MSX2-Sakhr BASIC
Word Processor - Arabic version | Word Processor - English version
The Painter - Arabic version | Calendar


blueDECK (tape/cassette emulation)

-What's blueDECK?
It's a total cassette emulator for blueMSX. New & unique approach has been introduced with v1.3.0 tape emulation, read on to find out.

-What's so special about blueDECK?
The DEV team have worked really hard to bring users, what best for tape usage. One of the key improvement we have made is the tape save feature, now users can enjoy ROM & CAS games which requires saving to a tape. But hey that doesn't make it special! Hold on, the all new blueDECK's "Set Position" feature is probably the most advanced gadget users can get on MSX emulator. (at least we think that way. ;)

The different options of the cassette menu are explained on this page .

-What does Set Position do?
blueDECK can analyze the contents included in CAS file. Not only can the users see what's been saved, they also can choose the program name to 'set' the start of a loading point! So unlike the actual data recorder, no fast fowarding is required to scan to desired tape position. That why we only have the rewind option. (Cool isn't it?)

-What format is it compatible with?
Older fMSX98/AT CAS format can be now read & saved along with the standard fMSX-DOS CAS format. The SVI-318/328 format is also supported.

-What's up with the position reminder?
Glad you asked! This needs quite an explanation. blueDECK actually perform just like the real data recorder. blueDECK tries to remember the tape position when you eject without rewinding. Then user can come back to its exact position of the loading tape after changing CAS file. Most tape emulation lack ability to remember the counter position which force rewind when ever new cas file is set. However position reminder will always come to the last position where CAS file was used.

Maybe helpful where the user needs to save gamedata in between loading point. User obviously need to return to the exact position after saving and switching back to an original tape where eject was performed in order to continue. NO problem, blueDECK can handle such situation.

-What's up with the Rewind After Insert?
If you read the "position reminder" above, you see that blueDECK remember the exact position of CAS file from the last perfomance. What if user don't want this? Well, when this option toggled, any CAS file inserted will be automatically rewinded. Keeps the users away from extra task.


Brazilian MSX Keyboard

http://commons.wikimedia.org/wiki/MSX

The Brazilian MSX keyboard is used in the generic MSX Brazilian, MSX2 Brazilian and MSX2 + Brazilian machines.

Here's the list of the concerned specific machines :

- MSX machines : Gradiente Expert 1.1 / Gradiente Expert 1.3 / Gradiente Expert DDPlus / Gradiente Expert Plus

- MSX2 machines : Gradiente Expert 2.0

- MSX2+ machines : Ciel Expert 3 IDE / Ciel Expert 3 Turbo / Gradiente Expert AC88+ / Gradiente Expert DDX+

The following Brazilian machines use a different keyboard matrix (* = this machine is without numeric keypad) ; the differences are minor for the Gradiente Expert 1.0, but in the case of the Sharp machines, many characters are not present or can be found at another place.

- MSX machines : Gradiente Expert 1.0 / Sharp Epcom HotBit 1.1 (*) / Sharp Epcom HotBit 1.2 (*) / Sharp Epcom HotBit 1.3b (*) / Sharp Epcom HotBit 1.3p (*)

- MSX2 machines : Sharp Epcom HotBit 2.0 (*)

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the key after "L" on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Slash | Right Ctrl | Allows to write the Slash character (/). Combined with Shift, it gives the Question Mark character (?).

You can put accent marks on characters by pressing a key combination followed by an alphabet character :
- Key to the right of P or Code + / : accent acute (´). Example : á.
- Shift + key to the right of P or Shift + Code + /: accent grave (`). Example : à.
- Key to the right of L (ç for Sharp machines) : tilde (~). Example : ã.
- Shift + key to the right of L (ç for Sharp machines) : accent circumflex (^). Example : â.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Normal mode (Sharp) | Normal mode + Shift (Sharp)
Code | Code + Shift
Code (Sharp) | Code + Shift (Sharp)
Graph | Graph + Shift
Graph (Sharp) | Graph + Shift (Sharp)

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


Extern Cas/Wav Databases

blueMSX uses different databases with SHA1 values :

- msxcaswavdb.xml : the MSX database for games and applications in cas or wav format

- svidb.xml : the SVI database (with cas/wav, dsk and rom data)

If a tape game is in one of these databases, blueMSX can display some infos about the way to run the game when using the DIGIblue theme.

Remarks :

- some MSX games use both sides of a tape or even more than one tape

If the game can only be runned from side A, we have created a new cas file by merging the files available on the net and have included the new file in the MSX database.

- in the MSX world, we have found tapes with limitations that are indicated in the database

Some of these limitations can be resolved by creating a corrected file with using of the following poke at the beginning of the loader file :

POKE-1,(15-PEEK(-1)\16)*17

this 'universal' poke must replace the eventual already present poke -1,0 or poke -1, 85 or poke -1,170 or poke -1,255.

We have created such corrected files by using this poke without any space between the characters and we have included these files in the MSX database.

- the WAV format for tapes is not yet supported by blueMSX

The data for the WAV files are included to allow the using of the .xml files by other emulators.

Generally, only one wav file corresponds to a cas file, we have indeed used the following tools to convert a cas file into a wav file :

* for the MSX tapes : cas2wav developed by Vincent van Dam - see his site http://home.kabelfoon.nl/~vincentd/

* for the SVI tapes : SviCas2Wav developed by Johan Winge - see his site http://home.student.uu.se/jowi4905/svi/

In case of two wav files for a cas file, the 2d wav file was found on the net and his format was different from the 'standard' format used by the mentioned tools.

How to add cas/wav data in these databases ?

You must use the following general syntax :
<software>
oooooo <title xml :lang="en"> .......</title> | Example : Q-Bert
oooooo <system> ....... </system> | Example : MSX (other options : SVI - Coleco - Sega)
oooooo <company> .......</company> | Example : Konami
oooooo <year> ......</year> | Example : 1986
oooooo <country> ....... </country> | Country code - Example : JP for Japan
oooooo <dump>
oooooo <group> | Only if more than 1 side for a game
ooooooooooooo <original value="...."> ....

         2 options :
- for a GoodMSX dump : <original value="true">GoodMSX</original>
- for an other dump : <original value="false"/>
ooooooooooooo <cas> | software medium
ooooooooooooo <start>
ooooooooooooooooo<text> ....... </text>
         running command - RUN"CAS:" - BLOAD"CAS:",R - CLOAD+RUN -
eventually preceded by :Position Tape+
ooooooooooooo </start>
ooooooooooooo <format type="...."> | file format : cas or wav
oooooooooooooo o o <hash algo="sha1"> ....... </hash> | sha1 value
ooooooooooooo </format>
ooooooooooooo <format type="...">... </format> | Next file format for the same side !
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | You can add here other infos about this side
ooooooooooooo </remark>
ooooooooooooo </cas>
ooooooooooooo <cas>............................... </cas> | Next side of the same group !
oooooo </group>
oooooo </dump>
oooooo <dump> | Next dump of the same game !
...........................
oooooo </dump>
</software>

How to find the sha1 code of a cas/wav game ?

- use Google to make a research on the Net and you'll find different tools to calculate the sha1 value


Questions and answers about cas images

Remark : SC-3000 cassettes are not yet supported.

How to get more memory to run some MSX games ?
Some MSX games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl or on Left or Right Shift during the boot sequence, until you hear a beep (it will de-activate the second drive or both drives)

Can I also run zipped cas games ?
Yes, but the fifth procedure (double click) is not available for zipped cas games

- if only one cas game is in the zip file, it is loaded directly
- if there are many cas games in the zip file , a dialog where you have to select which cas game to load from the zip file is shown

Can I also use cas files in writing mode ?
Yes, blueMSX includes a unique feature that makes it possible : blueDECK with choice between 3 different formats (2 MSX formats and the SVI318/328 format) and an intern reminder of the tape position !

Can I also create and use new cas files ?
Yes, more info here !

How to avoid that blueMSX rewinds automatically the tape ?
- de-activate the option Rewind After Insert in the File / Cassette menu
- choose procedure 1, 2 or 3 (menu, toolbar or hotkey)

How to get a fast loading with a specific MSX machine ?
- use the Machine editor to apply the Cas patch on the BIOS rom and save the patched machine under a new name

It doesn't work ! What must I do ?
- don't forget that a tape must be runned manually by using one of the described commands in MSX-BASIC and pressing on RETURN (the ENTER key of your PC) ; the correct command that you need to use is displayed in the DIGIblue SUITE-X 2.2 theme if the cas file is included in one of the cas/wav databases

- if you have de-activated the option Rewind After Insert, you must rewind the tape youself by using the option Rewind in the File / Cassette menu or by using the hotkey CTRL+SHIFT+F11

- most of the tape games were optimised for the VDP of the MSX1 and you are running a MSX2 or a MSX2+ machine : choose a MSX1 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

Don't try to run a tape game on a MXturboR machine ! It will never work, because these machines don't have a tape port .

- if you use a MSX2 or a MSX2+ machine and can't start a game that runs without any problem on a MSX1, check the loader file of the game and place the following poke at the beginning of the file : POKE-1,(15-PEEK(-1)\16)*17 (on a line 1 for example) ; this 'universal' poke must replace the eventual already present poke -1,0 or poke -1, 85 or poke -1,170 or poke -1,255.

- some MSX games or applications can work correctly only if a joystick is configured or a mouse is selected in the Input Editor

- some cassettes require to use the Set Position menu, especially tapes with different games and applications

- if the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation or the cassette support; please report the problem on the blueMSX forum, we will try to fix it !


The Cassette Menu

The Cassette Menu is the third part of the File Menu; it contains the following menu items :

 Insert
Allows to insert a tape image into the cassette port.
The option accepts CAS and ZIP files types .
If a zip file contains more than one cas image, a dialog with a list of all tapes will be shown.
The emulator will automatically determine between fMSX-DOS, fMSX98/AT and SVI-328 formats.
The user can also create a new empty cas file by typing a name in the filename field.

 Eject
Allows to eject a cas image from the cassette port.
NOTE: blueDECK (the special blueMSX tape feature) will remember where you performed the eject last. (Just like the real data recorder).

 Rewind After Insert
If this option is checked, the emulator rewinds automatically the tape after insertion.
NOTE: This is handy since blueDECK remembers last used position and will try to continue from there.It depends on you to check or no this option.

 Use Cassette Image Read Only
This is another check box option, a quite important one too.
If the read only switch is not toggled, the data will be saved directly to the cas file you have inserted.
If it is checked, the data will not be saved until you explicitly do it with the Save menu option.

 Save Cassette Image As ...
Allows to save your program to cas file.
You can choose between fMSX-DOS, fMSX98/AT and SVI-328 formats.

 Set Position
Allows to set your loading point by choosing the tape content name.
It's also a good way to know what the CAS file contains.

 Rewind
Allows to rewind manually the tape.

 Recent files
Shows a list of the most recently cassette that are loaded into the cassette port.
You can select a cassette of this list in place to use the "Insert" option.


C-BIOS machines

blueMSX is shipped with C-BIOS, an alternative freeware BIOS on which 3 machines are based.
The required system roms are stored for each machine in a dedicated subdirectory of the Machines directory.

We thank here the developers of this open source BIOS which is free to use :

Albert Beevendorp | developer
Manuel Bilderbeek | support manager
Eric Boon | developer
BouKiChi | developer
Herman Oudejans | tester
Jussi Pitkänen | programmer
Reikan | retired coder
Maarten ter Huurne | developer
Patrick van Arkel | tester
Joost Yervante Damad | packager

C-BIOS is still in development and has not yet disk, tape or MSX-BASIC support, but each version is better than the previous one, allowing to run almost all rom games without any problem. To know the situation of the C-BIOS development, you can visit the official site.

If you run a C-BIOS machine without an autostartable cartridge in slot 1 or 2, then the intro screen indicates that the machine has been runned without rom game :

C-BIOS intro screen | No rom file in slot 1 or 2 ...

The MSX C-BIOS machine has 4 non-expanded slots, 64 Kb RAM and 16 Kb VRAM.

The MSX2 C-BIOS and MSX2+ C-BIOS machines have 3 non-expanded slots, 1 expanded slot, 512 Kb mapped RAM and 128 Kb VRAM. Besides, the MSX2+ machine comes with MSX-MUSIC.

In all cases, there are 2 cartridge slots and the video frequency is 60 Hz, but you can manually switch to 50 Hz in the Options/Emulation menu.

You find below all the explanations to boost the C-BIOS machines with MSX-MUSIC and MSX-AUDIO.

It is important to save the boosted machines under a new name :

- C-BIOS is still under development and the developers are making tests with the original versions (that are also available for other emulators) ; if you want to report bugs when using a C-BIOS machine, use always an original machine and precise which machine you have used (MSX, MSX2 or MSX2+)

- The original MSX2 C-BIOS machine will always be useful, if you want to run a game with automatic choice between PSG and MSX-MUSIC, but want to hear the PSG sounds in stead of MSX-MUSIC.

You can view on this page the list of the rom games with automatic choice between PSG and MSX-MUSIC.

How to add MSX-MUSIC and MSX-AUDIO in the MSX C-BIOS machine ?

- go to the Machines directory
- create a copy of the MSX C-BIOS subdirectory under a new name (for example : MSX C-BIOS 2)
- go in the MSX2+ C-BIOS subdirectory
- copy the cbios_music.rom file and paste it in the brand new directory
- start the Machine editor to add
* a MSX Audio chip or Y8950 (without addition of a rom)
* in slot 2, the MSX Music rom (cbios_music.rom) : you must precise the type (MSX Music) and the address (4000-7FFF)
- save the modified machine

How to add MSX-MUSIC and MSX-AUDIO in the MSX2 C-BIOS machine ?

- go to the Machines directory
- create a copy of the MSX2 C-BIOS subdirectory under a new name (for example : MSX2 C-BIOS 2)
- go in the MSX2+ C-BIOS subdirectory
- copy the cbios_music.rom file and paste it in the brand new directory
- start the Machine editor to add
* a MSX Audio chip or Y8950 (without addition of a rom)
* in slot 3-1, the MSX Music rom (cbios_music.rom) : you must precise the type (MSX Music) and the address (4000-7FFF)
- save the modified machine

How to add MSX-AUDIO in the MSX2+ C-BIOS machine ?

- start the Machine editor to add a MSX Audio chip or Y8950 (without addition of a rom)
- save the modified machine under a new name (for example : MSX2+ C-BIOS 2)

Note about MSX-AUDIO : the insertion of a Panasonic MSX-AUDIO rom in a cartridge slot is only required for applications that use the MSX-AUDIO BASIC or can use MSX-AUDIO as a substitute for MSX-MUSIC (Compile games and diskstations).

In this last case, edit first the MSX C-BIOS or the MSX2 C-BIOS machine by using the Machine editor to add only a MSX Audio chip, then save the modified machine under a new name.

Since C-BIOS 0.22, you'll can hear MSX-AUDIO with 3 rom games if you insert the Panasonic MSX-AUDIO cartridge in slot 1 and the game in slot 2 : Family Stadium, Labyrinth and Xevious.


CD-ROM and CD AUDIO support

CD-ROM and CD AUDIO support on MSX is just like a dream ! To make it possible, you need to follow these steps :

- go to the Options/Disks menu to set the access method to IOCTL and choose the PC drive that will be used as CD-ROM drive

Note that the CD-ROM of PC will work correctly only when its analog rear cable is connected to Internal Input of soundcard (CD-IN or AUX-IN).

This step is only requested for the first time that you use the CD-ROM support

- add SCSI controllers to a machine, create an empty hard disk image and format it

See this page of the manual : Creating hard disk images

- add CD-ROM to the SCSI by using the File/Hard Disk menu : in the allocation of SCSI id of CD rom, MEGA-SCSI is id #6, Gouda SCSI is id #2

for Gouda SCSI : enable Multiple Harddisk support by using the Setup menu (access by pressing on the DEL key when booting)

- choose a CD-ROM or CDAUDIO player for MSX and copy the files on a disk image and/or the hard disk image

Here's a short list of different players :

for MEGA-SCSI : NCDPLAY - CDDA020
for Gouda SCSI : CDAUDIO
for MEGA-SCSI and Gouda SCSI : MSXCDEX

- start the player from the disk image or the hard disk image (read first carefully the instructions !)


National CF-3300

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and a 360 Kb diskdrive. A system disk includes MSX-DOS and some other programs. Switch key between Japanese and English characters is RightAlt.

Menu of the system disk :

1 - Demo
2 - Art 32
3 - Game MSX BASEBALL
4 - Homecalc
5 - MSX1-Disk BASIC
Demo | Art 32
Game MSX BASEBALL | Homecalc


Command Line Arguments

The table below lists the command line arguments in blueMSX.
It is useful for developers of front-ends for blueMSX and for users that prefer the charm of the command line.

Argument | Description
/cas <filename> | Sets the tape image for the cassette port. The filename specifies the file containing the tape image.
/caszip <filename> | Allows to precise which tape image of a zipped file must be inserted in the cassette port. Default is to use the first one.
/diskA <filename> | Sets the disk image for disk drive A. The filename specifies the file containing the disk image.
/diskAzip <filename> | Allows to precise which disk image of a zipped file must be inserted in drive A. Default is to use the first one.
/diskB <filename> | Sets the disk image for disk drive B. The filename specifies the file containing the disk image.
/diskBzip <filename> | Allows to precise which disk image of a zipped file must be inserted in drive B. Default is to use the first one.
/fullscreen | Starts blueMSX in fullscreen mode. If not specified, the emulator will start in a normal window.
/ide1primary <filename> | Sets the hard disk image for the IDE master controller. The filename specifies the file containing the hard disk image.
/ide1secondary <filename> | Sets the hard disk image for the IDE slave controller. The filename specifies the file containing the hard disk image.
/language <name> | Sets the language of the emulator. The language name is the name of the language to use typed in lowercase letters, e.g. english or french.
/machine <"name"> | Sets the MSX machine to emulate, examples : /machine "MSX2+ - Panasonic FS-A1FX" /machine "COL - ColecoVision"
/reset | Restores the settings of blueMSX to the default settings.
/rom1 <filename> | Sets the ROM cartridge in slot 1. The filename specifies the file containing the ROM image.
/rom1zip <filename> | Allows to precise which ROM image of a zipped file must be inserted in slot 1. Default is to use the first one.
/rom2 <filename> | Sets the ROM cartridge in slot 2. The filename specifies the file containing the ROM image.
/rom2zip <filename> | Allows to precise which ROM image of a zipped file must be inserted in slot 2. Default is to use the first one.
/romtype1 <rom type> | Specifies the rom type of the ROM in slot 1. If no rom type is specified, the emulator uses its external databases to check what rom type to use. You can find in this manual a list of all supported ROM mapper types or I/O mapper types Some rom types can be used without need to insert a rom with the argument rom1 or rom2 : it's the case of all rom types that you can find in the Insert Special Cartridge menu (especially scc, sccplus, pac, fmpac)
/romtype2 <rom type> | Specifies the rom type of the ROM in slot 2. If no rom type is specified, the emulator uses its external databases to check what rom type to use. You can find in this manual a list of all supported ROM mapper types or I/O mapper types Some rom types can be used without need to insert a rom with the argument rom1 or rom2 : it's the case of all rom types that you can find in the Insert Special Cartridge menu (especially scc, sccplus, pac, fmpac)
/theme <name> | Sets the theme of the emulator. The name must be correspond to the name of a theme present in the Themes subdirectory.


The config.ini files

The different parameters of a machine are saved in a config.ini file that you can also edit manually.

There are 8 sections in the config.ini files. We take as example the generic MSX2+ machine.

CMOS

This section enables (value 1) or disables (value 0) the CMOS chip and his loaded battery. More infos here.

Video

This section precises the used video chip and its video RAM size. More infos here.

Subslotted Slots

This section precises if the slots are subslotted (value 1) or not (value 0).

External Slots

This section precises the slots (and eventually subslots) where external slots will be mapped. More infos here.

FDC

This section precises the number of physical drives. Of course, a Floppy Drive Controller needs to be present in the configuration. More infos here.

CPU

This section precises the frequency of the main CPU used by the machine. More infos here.

Board

This section precises the type of computer you want to emulate. More infos here.

Slots

This section gives all the details about the contents of the slots and subslots :

1st number | slot | always 0 for I/O mappers
2d number | subslot | always 0 if the slot is not subslotted
3rd number | start address for the mapping | always 0 for I/O mappers - 0=0x0000 - 1=0x2000 - 2=0x4000 - 3=0x6000 - 4=0x8000 - 5=0xA000 - 6=0xC000 - 7=0xE000
4th number | mapper size | always 0 for I/O mappers - 1=8 Kb - 2=16 Kb - 4=32 Kb - 8=64 Kb - 16=128 Kb - 24=192 Kb - 32=256 Kb - 64=512 Kb - 96=768 Kb - 128=1024 Kb - 256=2048 Kb - 512=4096 Kb
5th number | mapper type | see the pages about the RAM mappers , ROM mappers and I/O mappers
rom | way to the rom on the hard disk | only if the mapper requires a rom


Contact information

If you have comments, bug reports, feature requests or useful tips about blueMSX, please visit the Official blueMSX Forum. The forum allows you to submit questions and ideas and gives you a chance to discuss with the developers of blueMSX.

You can also visit the blueMSX homepage or the Japanese support page to get information about new releases and useful MSX links.


ColecoVision joystick

Besides the directions and the fire buttons, the ColecoVision joystick includes a special keypad with the numbers 1 to 9, 0 and two extra keys with "*" and "#".

By default, the buttons, directions and keys are mapped to the followings keys of the PC Qwerty keyboard : Spacebar - Left Alt - Up - Down - Left - Right - 1 to 9, 0, -, = (the keys of the numpad are not used).

You can change the mapping, for example if you want to use the numpad combined with the PC joystick !

The procedure is simple, see how we can map the Coleco 1 key to the 1 key of the PC numpad :

1st STEP

select the 1 key by clicking on the virtual joystick
2nd STEP

press on the 1 key of your PC numpad

3rd STEP

repeat eventually the 2 first steps for the other keys, buttons and directions, then click on the OK button of the Input editor to save the configuration


2-button joystick

The MSX joystick is an eight way joystick with two buttons. It is emulated by either a real PC joystick or by keyboard keys.

By default, the buttons and directions are mapped to your PC joystick, but you can change the mapping, for example if you don't have a PC joystick !

The procedure is simple, see how we can map the left button to the Spacebar key of the PC keyboard :

1st STEP

select the left button by clicking on the virtual joystick
2nd STEP

press on the Spacebar key of your PC keyboard

3rd STEP

repeat eventually the 2 first steps for the other buttons and directions, then click on the OK button of the Input editor to save the configuration


Keyboard

The keyboard bitmap is based on the MSXturboR GT keyboard. It's the most complete keyboard, as it includes 2 special keys, that are only used by the intern software of this machine (ST or GT variant). Remark : in a future version, a bitmap of the SF-7000 keyboard will be used when you will run this Sega computer.

For general explanations about some keys, check the page about the virtual keyboard (only available with the DIGIblue SUITE-X theme).

However, you need to notice that the keyboard configuration is first defined by the BIOS of the emulated machine. You will find more explanations on the pages related to a specific keyboard :

Arabic MSX keyboard | Korean MSX keyboard
Brazilian MSX keyboard | Russian MSX keyboard
Estonian MSX keyboard | Spanish MSX keyboard
European MSX keyboard | Swedish MSX keyboard
French MSX keyboard |
Gernan MSX keyboard | SVI keyboard
Japanese MSX keyboard | SEGA keyboard

blueMSX uses also many keys or combinations of keys for shortcuts, that you can change in the Shortcuts Editor.

If the default mapping is source of problems, you can change it !

The procedure is simple, see how we can map the MSX SELECT key to the PageUp key of the PC keyboard :

1st STEP

select the MSX SELECT key by clicking on the virtual keyboard

by doing that, you can see the current mapping of the SELECT key (to the END key of the PC keyboard) and the SELECT key of the virtual keyboard is pressed down

2nd STEP

press on the PageUp key of your PC keyboard

by doing that, the new mapping is detected by the emulator and displayed (in this example, PRIOR is the universal word used in the keyboard's world for the PageUp key)

besides, the current MSX key concerned by the PageUp key of the PC keyboard (by default, it's the STOP key) will become red

3rd STEP

repeat eventually the 2 first steps for other keys, then click on the OK button of the Input editor to save the configuration

Logically, you should map the MSX STOP key to the END key of the PC keyboard, by using the same procedure, to get a coherent alternative keyboard !

If you want to create a complete new keyboard configuration, it will require some time and patience, but, generally, it's easier to only change the keys that interest you.

The keys for which you don't have made any change will remained defined by the BIOS of the emulated machine.


Other controllers

Mouse

Some MSX programs have support for mouse. Not surprising, the emulator uses the PC mouse as input device to emulate the MSX mouse.

The mouse can be used on a MSX like a joystick, if you press the left button at least 5 seconds after the boot sequence when you start the machine. It's also the case in blueMSX !
Dongle

Some MSX games are copy-protected by an hardware piece, a dongle, that must be inserted in a joystick port.

Two different dongles are available :
- the Tetris 2 Special Edition dongle for the game with the same name;
- the Magic Key dongle for the Replicart and Gall Force (Defense of Chaos) games
Gunstick

Some MSX games can generally only be played with a gunstick : Cosmic Sheriff, Solo, Target Plus, Duck Hunt, Mike Gunner, Dungeon Hunter.

Two different gunsticks are available :
- the ASCII Plus-X Terminator Laser
- the MHT Ingenieros Gunstick

In both cases, your PC mouse becomes a gunstick !
Arkanoid Pad

To be used only with the Arkanoid games


Daewoo CPC-300 and CPC-300E

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

Both machines have a tape interface ; you can also add a diskdrive. Switch key between Korean and English characters is RightAlt.

The Daewoo CPC-300 machine comes with an integrated help, MSX-Tutor. You can skip it and go to MSX-BASIC by pressing SELECT when the tutor is shown.

If you type SET SYSTEM 1 in MSX-BASIC, the MSX-Tutor will be skipped on next boot (go back to default by SET SYSTEM 0).

The Daewoo CPC-300E machine does not come with the MSX-Tutor.

From the intro screen, you know directly that these computers are Korean machines.

.


Daewoo CPC-400 and CPC-400S

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

Both machines have a tape interface and a diskdrive. The system disk includes MSX-DOS, a tutor, a demo and a graphic tool, Super Graphic. Switch key between Korean and English characters is RightAlt.

The digitizing and superimposing capabilities of the CPC-400S computer are not yet supported by blueMSX.

Tutor

Launching by RUN "TUTOR.BAS"
Demo

Launching by RUN "DEMO.BAS"
Super Graphic

Requires a mouse and at least 256 Kb RAM

Launching by SUPERGRP from the MSX-DOS command line


Creating cas images

Remark : SC-3000 cassettes are not yet supported.

Some games allow to save data on tape, so you need to create a new empty tape image.
It is also the case if you want to save files on a new tape.

How to create and insert a new empty CAS file ?
- click on File / Cassette / Insert
- type a new name in the filename field and click on the button "Open"

How to save data on a CAS file ?
- check first in File / Cassette if the tape is not in only reading mode
Especially for games, the direct writing mode is recommended to avoid data loss but you could have some good reasons to use the only reading mode

- use eventually the Set Position option to choose the good position on the tape image

- follow the saving instructions that are specific to some games

- for your own BASIC or binary files, use the appropriate MSX-BASIC commands and press on RETURN (the ENTER key of your PC)

Command
SAVE"CAS:name" | To save BASIC files in ASCII mode
BSAVE"CAS:name",start address,end address,[execution address] | To save binary files
CSAVE"name" | To save BASIC files in tokenized mode

- if the tape is in only reading mode, don't forget to use the Save Cassette Image option of the File / Cassette menu and select eventually the appropriate format of the CAS file : older fMSX98/AT CAS format, standard fMSX-DOS CAS format or SVI-318/328 format.


Creating disk images

Some games allow to save data on a user-disk, so you need to create and format a new empty disk image.
It is also the case if you want to save files on a new disk.

How to create and insert a new empty DSK file ?

First procedure - only for MSX computers

- click on File / Disk Drive A / Insert
- type a new name in the filename field and click on the button "Open"

This procedure will always create "standard" DSK files for the MSX system : 720 Kb - 2 sides - 80 tracks - 9 sectors per track

Second procedure - for MSX, SVI-328 and SF-7000 computers

- click on File / Disk Drive A / Insert New Disk Image
- select one of the 7 available disk sizes (4 for MSX, 2 for SVI-328 and 1 for SF-7000)
- type a new name in the filename field and click on the button "Open"

This procedure can create 7 different types of DSK image :

MSX computers (3.5'' disks)
- 720 Kb - 2 sides - 80 tracks - 9 sectors per track
- 640 Kb - 2 sides - 80 tracks - 8 sectors per track
- 360 Kb - 1 side - 80 tracks - 9 sectors per track
- 320 Kb - 1 side - 80 tracks - 8 sectors per track

SVI-328 computers (5.25'' disks)
- 338 Kb - 2 sides
- 168 Kb - 1 side

SF-7000 computer (3'' disks)
- 160 Kb - 1 side

How to format a new DSK file ?

MSX computers

- start the selected MSX computer with the new empty DSK file in drive A
- when you come in MSX-BASIC, use the CALL FORMAT command to format the new disk.

- precise the concerned drive (if two drives are present)
- choose the type of formatting (if the floppy drive controler supports different formats)
- press on a key to begin the formatting and wait for the end of the operation

On MSX1, MSX2 and MSX2+ machines, this formatting will only support MSX-DOS 1 (no subdirectories);
a different formatting is possible on MSX2 and MSX2 + machines by using the MSX-DOS 2.2 system, that requires to start first the computer with the MSX-DOS 2 rom in a slot cartridge and a MSX-DOS 2 disk in drive A

On a MSXturboR, the formatting will be different if the machine is running in Z80 mode or in R800 mode :
* in Z80 mode, the formatting will only support MSX-DOS 1 (no subdirectories)
* in R800 mode, the formatting will support also MSX-DOS 2.3 (subdirectories and extra commands)

It's the more handful way to format disks on a MSX computer, but you can also use the MSX-DOS commandline and type FORMAT : in this case, you need to start first the computer with a MSX-DOS 1 disk in drive A.

SVI-328 computers

- start the selected SVI-328 computer with the CP/M disk in drive A that corresponds to the size of your new DSK file
- on the CP/M commandline, type FORMAT

- place the new disk in drive A
- precise the concerned drive (if two drives are present)
- press on ENTER to begin the formatting and wait for the end of the operation
-answer N if you want to format another disk
- place the CP/M disk in drive A
- press on ENTER to reboot in CP/M mode

It's the more handful way to format disks on a SVI-328 computer, but you can also start the computer with a disk that contains the SV Disk Basic corresponding to the size of your new DSK file and use the Basic FORMAT program.

SF-7000 computer

- start the SF-7000 computer with a system disk in the drive
- on the green screen, type UTILITY
- on the utility screen, type F
- insert the new disk
- press on the spacebar to begin the formatting
- when the formatting is finished, type B on the utility screen
- insert the system disk
- press on the spacebar

How to save data on a DSK file ?
- follow the saving instructions that are specific to some games

- for your own BASIC or binary files, use the appropriate BASIC commands and press on RETURN (the ENTER key of your PC)

Command
SAVE"[drivename:]filename",A | To save BASIC files in ASCII mode on MSX and SVI
BSAVE"[drivename:]filename",start address,end address,[execution address] | To save binary files on MSX and SVI
SAVE[drivename:]"filename" | To save BASIC files in tokenized mode on all supported systems
SAVEM"filename",start address,end address | To save binary files on SF-7000

In MSX-BASIC, names of drives are A and B; in SV Disk Basic, names of drives are 1 and 2.


Creating hard disk images

If you want to create yourself a new hard disk image, then you must do that in 4 steps :
- add IDE or SCSI controllers to a machine
- create an empty hard disk image
- format this new hard disk image
- transfer files to the hard disk image

To run hard disk images, see this page.

SCSI hard disk images are not compatible with the Sunrise IDE hard disk images.

First step : add IDE or SCSI controllers to a machine

- click on
File / Cartridge Slot 1 (or Slot 2) / Insert Special / IDE
or File / Cartridge Slot 1 (or Slot 2) / Insert Special / SCSI

- select one of the 3 available IDE controllers : Sunrise / Beer / GIDE
or one of the 3 available SCSI controllers : Mega-SCSI / Wave-SCSI / Gouda SCSI

You need also to select the SRAM size for Mega-SCSI or Wave-SCSI.

For more infos about the 3 IDE systems and the 3 SCSI systems, see this page.

Second step : create an empty hard disk image

- go to File / Hard Disk

As you have added an IDE or SCSI controller, the menu can now be used and is a little different for each IDE or SCSI type.

- go to the Primary Controller or the only one available controller

You access to this sub-menu :

 - click on Insert New Disk Image
- select the size of your new hard disk image : 6 different sizes are directly available (5 MB, 10 MB, 20 MB, 50 MB, 100 MB, 200 MB), but you can also enter the hard disk size of your choice with 3MB as minimum size
- type a new name in the filename field and click on the button "Open"

Third step : format the new hard disk image

Sunrise IDE
- insert ideutils.dsk in the first floppy drive (now recognized as B:)

(other option : create a MSX-DOS 2 formatted dsk file with the following files : MSXDOS2.SYS - COMMAND2.COM - IDEFDISK.COM - IDEFLOAD.COM and insert it in the first floppy drive)

- start the emulator
- on the commandline, run the command IDEFDISK (or other HD formatting application)
- in IdeFdisk, you can set up partitions as you wish

A quick setup is:

* [A]utogenerate partition table (Press space when done)
* [W]rite partition table to medium (Press space when done)
* [I]nitialize all ENABLED partitions (Press space when done)
* [Q]uit

- on the commandline, copy MSXDOS2.SYS and COMMAND2.COM from the floppy (B:) to the hard disk (A:)
- eject the floppy and restart the emulator

Beer IDE
- create a dsk file with all the BEERFDSK files
- insert this disk in the first floppy drive
- start the emulator
- when you are in MSX-BASIC, type RUN"BEERFDSK.BAS" and press on RETURN

GIDE
- write and use a specific tool to make the partition

MEGA-SCSI and WAVE-SCSI
- insert mginst.dsk in the first floppy drive (now recognized as B: - A: is reserved for the SRAM)
- on the commandline, type INST1 or INST2 to install MSX-DOS1 or 2 on the SRAM and initialize the SRAM
- reset the MSX
- to assign drive letter to the hard drive, use the ESET tool (it will also change the drive letter for your floppies)
- reset the MSX
- to format the hard disk image, use SFORM-1 under MSX-DOS 1 or SFORM-2 under MSX-DOS 2
- don't forget to copy MSXDOS 2 on the hard disk !

GOUDA SCSI
- insert novaxis.dsk in the first floppy drive (now recognized as B:)
- press on GRAPH when booting the MSX to ignore the hard disk
- go to the hddutils subdirectory and start the NFDISK tool
- press on the spacebar to access to the partition menu
- create only one partition if you don't have changed the default settings of the hard disk (*)
- write this partition and quit the NFDISK tool
- after the reset, copy MSXDOS2.SYS and COMMAND2.COM from the floppy (B:) to the hard disk (A:) by using the MSX-BASIC command COPY

(*) the setup menu is accessible by pressing on the DEL key when booting

Fourth step : transfer files to the hard disk image

"Normal" files from disk image
You can use the COPY command of MSX-DOS 2.

"Special" disk images (data in sectors)
External tools are required.

In the case of Snatcher English/Portuguese, they are on the disk 0, you need to follow the procedure described in the text file. If you use a Sunrise IDE hard disk image, the manual procedure is recommended.

For other games, you need to find the best option as some tools work better with some games. You can find more infos by checking this thread on the blueMSX forum : http://www.bluemsx.com/blueforum/viewtopic.php?t=1310

Files from PC harddisk
It is recommended to use the Japanese DiskExplorer with the MSX plugin. Although conceived for SCSI harddisks images, it works also with IDE harddisks images. You need to select the "vmware plain disk" option when you open the hard disk image.

Japanese DiskExplorer : http://hp.vector.co.jp/authors/VA013937/editdisk/index_e.html

MSX plugin : http://genora.s55.xrea.com/msx/plugin.html


Credits

The following persons have been directly involved in the blueMSX development and their contributions have been invaluable for the development of blueMSX.

Shimanuki Koshi | for sweeping news groups for bug reports and giving invaluable feedback and information to the blueMSX project. He also suggested the mixer control and did the Japanese translation
Roger Filipe | for creating the gcc/mingw build environment and for doing some bug fixes. Roger has made improvements in the rom mappers and made more games playable in blueMSX. He also made the Portuguese translation
SLotman | for integrating the zlib libraries and for porting the Scale2x monitor emulation (all done in the blueMSX clone called RedMSX)
Johan van Leur | for the first impulse what concerns the trainer and the hunting to the game cheats
Nicolas Beyaert | for doing renewed and extensive rom and cas databases
Patrick van Arkel | for his great work to converting the rom database into a dynamic and nice database that will be very useful for the MSX community
Laurent Halter | for creating a new screenshot feature, coding the horizontal and vertical stretching of the MSX screen and for his help with DirectX problems
Kobayashi Michiko | for suggesting graphics to the toolbar
Albert Beevendorp | for his multiple contributions and suggestions to improve differents parts of the emulator
Atarulum | for help with horizontal stretch, more accuracy in Japanese machines, many suggestions and researches to improve Panasonic FDC, MSX-AUDIO, etc.
BouKiChi | for help with the blueMSX debugger
Rob Hiep | for help with the Sunrise IDE harddisk support
Marco Casali | - member of RAM Corporation (T2) and ICM Group Italy - for his help with the Italian translation, MSX-AUDIO problems and the Tetris 2 Special Edition dongle support
Jon Cortázar Abraido | for his help with supporting asMSX symbol files and debug command in the debugger and trace logger
Vincent van Dam | for help with the cassette support and copy-protected disks and for his useful Game Reader tool
NYYRIKKI | for help with the MHT Ingenieros Gunstick, the ASCII Plus-X Terminator Laser and the Finnish translation
Fabio Albergaria Dias | for great feedback and for testing the brazilian MSX system roms
Glafouk | for testing the audio emulation and providing music disks and for doing the French translation
Martijn van Tienen | for help with command line arguments and the Dutch translation
Hiro | for his gentle permission to use his wonderful MSXturboR GT keyboard bitmap in the Controllers/Keyboard editor
Amer Dugmag | for help with the Arabic roms
Alexandre Souza | for help with the Forte II arcade board
Luciano Sturaro | for help with the Ciel Expert 3 IDE machine
Enrico Barbisan | for help with the Philips NMS-801 and Frael Bruc 100-1 system roms
Sjoerd de Vries | for the Dutch version of the manual
UC_ARS | for help with the Chinese Simplified translation
nhlay | for help with the Chinese Traditional translation
Ulver | for help with the Korean translation
SaebaRYO | for help with the Korean translation
Oleg Malyshev (ALLiGaToR) | for help with the Russian translation
Víctor Fernández Sánchez | for help with the Spanish translation
Davide Platania | for help with the Italian translation
Miikka Poikela | for help with the Finnish translation
Tanni | for help with the German translation
Jacek Bogucki (Gucek) | for help with the Polish translation
Manuel Soler | for help with the Catalan translation
Hondarer | for help with the Japanese translation and for providing a source to get a more accurate FDD LED blinking and resolve some problems
William Ouwehand | for help with the emulator archives and for good feedback on the user interface
Wouter Vermaelen | for help with sprite emulation and rom mappers
Manuel Bilderbeek | for help with many emulation related issues
Maarten ter Huurne | for help with VDP emulation and video renderers
Tobias Keizer | for providing Z80 timing tables
Sandy Pleyte | for help with Megaram emulation and ideas for improvements
MkII | for his help with the additional M1 waiting states
Eduardo Mello | for help with different RAM and VRAM issues on MSX and Coleco
Rudolf Lechleitner | for great feedback and technical advice in rom mapper analysis and sharing his source for the printer emulation

The following people have created software that are used in blueMSX and without their software there would not be a blueMSX application.

Marat Fayzullin | Author of fMSX from which old versions of blueMSX (before version 2.0) were derived
Alex Wulms | Author of the VDP Command Engine emulation
R. Belmont and O. Galibert | Authors of the YMF278 sound chip emulation (part of the Moonsound emulation)
Jarek Burczynski | Author of the YM2413 sound chip emulation and the YMF262 sound chip emulation (part of the Moonsound emulation)
Mitsutaka Okazaki | Author of the YM2413 sound chip emulation
Tatsuyuki Satoh | Author of the Y8950 sound chip emulation and the VLM5030 sound chip emulation
Gilles Vollant | Author of the unzip package


Yamaha CX5M, CX5MII, CX5M-128, CX7M, CX7M-128 and YIS-503M

To run these machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

For most of the special features of these computers, you need also to have a musical MIDI keyboard connected to your PC. If detected by the emulator, you must select it in the Options/Sound menu, in the section YK-01/YK-10/YK-20 In.

If you don't have a real musical keyboard, you need to combine a tool called MIDI YOKE with a virtual MIDI keyboard. Of course, it does not replace the real thing, but it's better than nothing !

MIDI Yoke : http://www.midiox.com/myoke.htm

2 examples of Virtual MIDI keyboard :

http://cdalpha.univ-lyon1.fr/ruben/vmk/vmk.htm

http://www.granucon.com/vmk.html

The first version of CX5M is shipped with the SFG-01 module. You can't access directly to the synthesizer, but need to launch the machine with the YRM-102 or 502 cartridge in a slot and use the command CALL FMV, then type MU in the sound editor menu to come in the synthesizer menu :

Synthesizer menu of the SFG-01 module

All the other machines come with the SFG-05 module.

CX5M, CX5MII, CX5M-128 and YIS-503M are MSX1 machines, but the CX5M-128 is equipped with the MSX2 VDP; CX7M and CX7M-128 are MSX2 computers.

CX5M-128 and CX7M-128 come with the YRM-502 rom inside, it's the second version of a Voicing Program (sound editor).

These machines have a cassette interface; you can also add a diskdrive. They start always first with the blue MSX-BASIC screen.

To access to the special features, you need to use one of these commands :

- CALL MUSIC (access to the synthesizer only with the SFG-05 module)

Polyphonic mode (F2) | Monophonic mode (F1)
Voice menu (F3) | Load/Save menu (F4)

- CALL FMV (access to the sound editor)

YRM-502 Help menu Edit mode (activated by F1)

Different music cartridges can be used with these machines.

YRM-101 FM Music Composer
without disk support

Version with disk support is YRM-501
YRM-102 FM Voicing Program
without disk support

Version with disk support is YRM-502 (see above)
YRM-103 DX7 Voicing Program
without disk support

Version with disk support is YRM-304
(this version can only be used with the SFG-05 module)

You need the DX-7 synthesizer to handle its voices.
YRM-104 FM Music Macro
without disk support

Can be used without musical keyboard

Version with disk support is YRM-504
(no screenshot available) YRM-105 DX9 Voicing Program
without disk support

You need the DX-9 synthesizer to handle its voices
YRM-301 MIDI Recorder

Launching by CALL MR
YRM-302 Rhythm Editor

Launching by CALL RX
YRM-303 MIDI Macro & Monitor
(no screenshot available) YRM-305 DX21 Voicing Program

You need the DX-21 synthesizer to handle its voices
YRM-506 FB-01 Voicing Program

You need the FB-01 synthesizer to handle its voices

Can be used only with the SFG-01 module
CMP-01 FM Auto Arranger
DMS1 Real Time Sequencer

Can be used only with the SFG-01 module
UPA-01 Play-Card System

For more infos about these computers, see these sites :

http://www.rgp.nl/cx5m/cx5m/index.htm

http://www.notam02.no/~eirikli/cx5m/cx5mFAQ.html


blueMSX Debugger

blueMSX provides a powerful little debugger that can be used simultaneously with the emulator.
You can start the debugger by using the shortcut RCtrl+RSft+D.

For a realistic working of the debugger, it's recommended to run a specific machine without any CAS patch of the BIOS rom.

Some commands of the debugger have a direct effect on the emulator itself :
the emulator can be started, paused, unpaused or restarted from the debugger window.

The debugger is fully working when you use the Break All feature by pressing on Crtl+Alt+Break.
The emulation is stopped and the debugger displays different infos in 7 windows :

* Disassembly

* CPU Registers

* Stack

* Callstack

* Memory Viewer

* Peripheral Registers

* I/O Ports

The debugger supports also the BiFi's BREAKPOINT and DEBUG commands :

* BREAKPOINT (set bp from assembler)

Examples :

A program counter breakpoint:

ld b,b
jr $+2

The breakpoint will be set after jr $+2

An address only breakpoint:

ld b,b
jr $+4
dw address

The breakpoint will be set on the specified address.

* DEBUG

Example of a debug string :

ld d,d
jr $+2+length
db string

The string will be output to the Trace Logger plugin. The length is of course the length of the string and can't be longer than 125 characters.


Callstack

This window displays the different calls to the stack in the executed code.

If you select a call (by using the mouse), the change is also made in the disassembly window


CPU Registers

You can see the values in the different CPU registers or counters.

On the Z80, these registers or counters are called: A, B, C, D, E, F, H, L, IX, IY, SP, PC, I, R, IM, CLH, CLL, CNT.
There are also shadow registers : A', B', C', D', E', F', H', L', useful to swap values with the normal registers.

A is the accumulator, it's the most important register.

As the Z80 is an 8-bit processor, the A, B, C, D, E, H, L registers can hold any value from 0-255 (= 8 bit or one byte).
To store larger numbers, you can combine a few of them: BC, DE, HL. The result is a 16 bit register, having a range from 0-65535.

F is the flag register, it contains flags which store certain conditions after executing opcodes :

Z | zero flag (Z = zero flag set / NZ = not set)
C | carry flag (C = carry flag set / NC = not set)
P | parity flag (PE = even / PO = odd) also used as overflow flag
S | sign flag (P = plus / M = minus)

If you change the flags, you can see the result in the AF register.

I is the interrupt register that contains the upperword of the interrupt table. Its flag indicates if the interrupts are enabled (EI) or disabled (DI)

IX and IY are mostly used as auxiliary HL and can be used as index fields.

SP is the stackpointer, it's a very important register, though it's changed most of time indirectly by PUSHing/POPing values to/from the stack.

PC is a program counter, to keep track of where the Z80 is getting instructions from.

R is the memory refresh register. After each instruction, it'll be incremented. It can be used as a poor random number generator.

IM is the interrupt mode register. Value can be 0, 1 or 2.

CLH is the high 16 bits of the CPU clock counter, CLL is the low 16 bits of the CPU clock counter (so the current clock counter is 65536 * CLH + CLL) and CNT is an instruction counter. These values may come in handy while debugging.


Disassembly

You can see a complete disassembly of the current executed code.

The yellow arrow indicates the current statement address.

You can navigate in this window by using the PageUp and PageDown keys ; you can go back to the current command with the Home key.

You can place, remove, enable and disable breakpoints by using the mouse and the toolbar (select first the concerned line of the code).

See also the different shortcuts and menu options available in the debugger.

A full red circle indicates an enabled breakpoint.

An empty red circle indicates a disabled breakpoint.

Symbol information about external labels (used by the asMSX and tniASM cross-assemblers) can be shown or hidden in this window.

If you use the Go To feature (Ctrl + G), it's also possible to use registers (just like symbols).
The register name needs to be prefixed with the letter 'R', e.g. 'RHL' or 'RIX'

You can find an overview of the Z80/R800 instructions on this site : http://map.tni.nl/resources/z80instr.php


The debugger.ini file

If you have used the debugger, the different parameters of this utility are saved in the debugger.ini file
when you close the emulator. You can also edit manually this file.

There are 8 sections in the debugger.ini files corresponding to the different windows of the utility.

For each window, there are 4 parameters to determine the location of the window on the screen :
the x, y coordinates of the top left point, the width and the height.

For the main window, the check vram access can be enabled (value 1) or disabled (value 0);
the visibility of the other windows can be in the same way enabled (value 1) or disabled (value 0).

Example :

Main Window

Disassembly Window

CPU Registers Window

Peripheral Registers Window

IO Ports Window

Callstack Window

Stack Window

Memory Window


I/O Ports

In this floating window, you can see the values at different I/O ports

You can find an overview of the MSX I/O ports on this site : http://map.tni.nl/resources/msx_io_ports.php


Memory Viewer

You can read the full content of the different available memories in hexadecimal and ascii modes.

The dropdown menu allows to select a different memory (visible memory, VRAM, normal or mapped RAM, MoonSound or MSX-Audio Sample RAM).

You can also precise the start address for the reading of the selected memory.

You can make directly changes in the hexadecimal or in the ascii part.

Symbol names (used by the asMSX and tniASM cross-assemblers) can be used to look up an address in this window.

It's also possible to use registers (just like symbols).
The register name needs to be prefixed with the letter 'R', e.g. 'RHL' or 'RIX'


The Debugger Menu

This paragraph contains a description of the items in the drop down menu.

File Menu

Menu Item | Description
Load Symbol File | Allows to load a Symbol file, used by the asMSX and tniASM cross-assemblers.
Save Disassembly | Allows to save the disassembly in a text file with .ASM as extension.
Save Memory | Allows to save the currently debugged memory in a binary file.
Exit | Closes the debugger window.

Debug Menu

Menu Item | Description
Start / Continue | Starts or continues the emulation.
Break All | Stops the emulation and displays infos in the debugger.
Stop Debugging | Stops the emulation and the current debugging.
Restart | Hard resets the emulator and stops the current debugging.
Step Into | Goes to next step of the code in the disassembler.
Step Over | Goes to next step of the code in the disassembler and executes subroutines at full speed.
Step Out | Quits the step over mode and continues the emulation.
Run To Cursor | Continues the emulation to the address selected by the cursor of the mouse.
Show Symbol Information | Enables / disables the showing of the symbol information about external labels (used by the asMSX and tniASM cross-assemblers)
Find | Searches for a specified string or value.
Go To | Goes to a specified address or label.
Add New Breakpoint | Adds a new breakpoint on a specified address or label.
Set / Remove Breakpoint | Sets or removes a breakpoint on the address selected by the cursor of the mouse.
Enable / Disable Breakpoint | Enables or disables breakpoint on the address selected by the cursor of the mouse.
Remove All Breakpoints | Removes all the breakpoints.
Enable All Breakpoints | Enables all the breakpoints.
Disable All Breakpoints | Disables all the breakpoints.
Break on too fast VRAM access | Enables / disables automatic control of the VDP timing (useful for MSX1 machines)
Show Assembly Flags | Enables / disables the showing of assembly flags in addition to the other flags

Window Menu

Menu Item | Description
Disassembly | Displays the Disassembly window
CPU Registers | Displays the CPU Registers window
Stack | Displays the Stack window
Callstack | Displays the Callstack window
Memory Viewer | Displays the Memory Viewer window
Peripheral Registers | Displays the Peripheral Registers window
I/O Ports | Displays the I/O Ports window

Help Menu

Menu Item | Description
About | Shows the About dialog.


Peripheral Registers

In this floating window, you can see the values in the registers of the peripheral chips : VDP, PSG, special sound chips.


The Debugger Shortcuts

The table below lists all keyboard shortcuts that are available in the blueMSX debugger window.

Shortcut | Description
PageUp | Goes to next page of the code in the disassembler.
PageDown | Goes to previous page of the code in the disassembler.
Home | Goes back to the current command of the code in the disassembler.
F5 | Starts or continues the emulation.
F8 | Enables / disables the showing of the symbol information about external labels (used by the asMSX and tniASM cross-assemblers).
F9 | Sets or removes a breakpoint on the address selected by the cursor of the mouse.
F10 | Goes to next step of the code in the disassembler and executes subroutines at full speed (step over mode).
F11 | Goes to next step of the code in the disassembler.
Ctrl+B | Adds a new breakpoint on a specified address or label.
Ctrl+F | Searches for a specified string or value.
Ctrl+G | Goes to a specified address or label.
Ctrl+M | Enables / disables the showing of assembly flags in addition to the other flags
Ctrl+V | Enables / disables automatic control of the VDP timing (useful for MSX1 machines)
Shift+F5 | Stops the emulation and the current debugging.
Shift+F9 | Enables or disables breakpoint on the address selected by the cursor of the mouse.
Shift+F10 | Continues the emulation to the address selected by the cursor of the mouse.
Shift+F11 | Quits the step over mode and continues the emulation.
Crtl+Shift+F5 | Hard resets the emulator and stops the current debugging.
Crtl+Shift+F9 | Removes all the breakpoints
Crtl+Alt+Break | Stops the emulation and displays infos in the debugger.


Stack

This window displays the different values stored in the stack.

The stack is used for storing temporary values (PUSHing/POPing) and to store the return address of a calling program.


The Debugger Toolbar

The toolbar contains a number of buttons.

Button | Description
Start / Continue | Starts or continues the emulation
Break All | Stops the emulation and displays infos in the debugger.
Stop Debugging | Stops the emulation and the current debugging.
Restart | Hard resets the emulator and stops the current debugging.
Show Next Statement | Goes to the next statement address in the disassembler.
Step Into | Goes to next step of the code in the disassembler.
Step Over | Goes to next step of the code in the disassembler and executes subroutines at full speed.
Step Out | Quits the step over mode and continues the emulation.
Run To Cursor | Continues the emulation to the address selected by the cursor of the mouse.
Set / Remove Breakpoint | Sets or removes a breakpoint on the address selected by the cursor of the mouse.
Enable / Disable Breakpoint | Enables or disables breakpoint on the address selected by the cursor of the mouse
Enable All Breakpoints | Enables all the breakpoints.
Disable All Breakpoints | Disables all the breakpoints.
Remove All Breakpoints | Removes all the breakpoints.


Digitize and superimpose

Digitization is an extra feature of some MSX2 computers; at the moment, blueMSX supports the Philips NMS-8280 that can digitize in screen 8 and has also superimposing capabilities.

If you want to digitize also in the screens 10, 11 or 12, you need to use the Sony HBI-V1 digitizer on MSX2+ or MSXturboR machines; this device can also digitize in screen 8 on MSX2 (and higher) machines and is supported by blueMSX.

Prerequirements

To run the Philips NMS-8280 in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

What concerns the HBI-V1 rom, you can find it on the Net with an utility disk.

You need also to use a PC with a grabber card and to connect a video source to this PC. The emulator can fetch the first video capture device found in your system or you can select it manually in the Options / Video In Source menu.

It's often possible to configure for example a TV-card before starting blueMSX.
Sometimes you can even configure the capture device in runtime, at least if you start the configuration program after blueMSX.
Note that no video will be seen in the application used for configuring.

Philips NMS-8280

This computer has an additionnal MSX-BASIC command : SET VIDEO.

Syntax : SET VIDEO mode, intensity, effect, synchro, audio, video, a/v

mode picture source 0 = computer normal mode
1 = computer digitize mode
2 = superimpose
3 = only video
intensity color intensity 0 = clearer
1 = darker
effect color effect 0 = no effect
1 = effect 		Example : SET VIDEO 2,0,1: COLOR 15, 4
the video screen will only be with blank and blue colors
synchro synchronisation 0 = intern
1 = extern
audio audio source 0 = computer
1 = mix computer + extern only on right side
2 = mix computer + extern only on left side
3 = mix computer + extern on both sides
video video input 0 = RGB-SCART
1 = other connection
a/v audio/video output 0 = other output than RGB-SCART
1 = RGB-SCART

To switch in the SUPERIMPOSE mode, you need to use SET VIDEO 2 : COLOR ,0,0

To go back to the normal mode, you can use for example SET VIDEO 0 : COLOR ,4,4

You can also make a VIDEO MIX (50 % computer picture + 50 % extern picture) by using COLOR ,0,0 : SET VIDEO 1: OUT &HF6,&B11011111

To de-activate the VIDEO MIX mode, you need to use OUT &HF6,&B11111111

Here's a short program to DIGITIZE :

100 ' DIGITIZE
110 ON STOP GOSUB 210
120 STOP ON
130 SCREEN 8
140 COLOR,,255:' prepares the screen for digitizing
150 SET VIDEO 1: 'enables the synchronisatie for digitizing
160 COPY SCREEN: ' beginning of digitizing
170 TIME = 0
180 IF INKEY$ = "" GOTO 160
190 IF TIME < 4 GOTO 190
200 IF INKEY$ = "" GOTO 200 ELSE 140
210 SET VIDEO 0,0: ' end of digitize mode
220 END

You can find on this page different programs to digitize and superimpose with the NMS8280 :

http://msx.retro8bits.com/msxvideo.html

Sony HBI-V1

This cartridge comes with a built-in software, 64 Kb VRAM and adds different commands to the MSX-BASIC :

CALL AD (A,B,C,D,E,F,G) for auto digitizing

A = blocksize X
0: 1/1 - 1: 1/2 - 2: 1/3 - 3: 1/4 - 4: 3/4 - 5: 2/2 - 6: 2/3 - 7: 2/4

B = blocksize Y
0: 1/1 - 1: 1/2 - 2: 1/3 - 3: 1/4 - 4: 3/4 - 5: 2/2 - 6: 2/3 - 7: 2/4

C = startblock X
0<C<3

D = startblock Y
0<D<3

E = wait parameter (in frames, 60 per second, in Europe 50)
0 ~ 255 0 = nowait

F = autocopy
0,1 (1 = autocopy)

G = scanlines
0 = auto, 1= even, 2 = odd

CALL DCLS to clear the cartridge VRAM

CALL DCOPY (A,B)-(C,D) TO (E,F) to copy from the cartridge VRAM to the computer VRAM

0 <= A <=255
0 <= B <=211

A <= C <= 255
B <= D <= 211

0 <= E <=255
0 <= F <=211

CALL DFONT(X,Y,Z$) to write a text on the screen

CALL DG to start the built-in digitizing software

CALL MD (A,B,C,D,E) for manual digitizing

A = blocksize X
0: 1/1 - 1: 1/2 - 2: 1/3 - 3: 1/4 - 4: 3/4 - 5: 2/2 - 6: 2/3 - 7: 2/4

B = blocksize Y
0: 1/1 - 1: 1/2 - 2: 1/3 - 3: 1/4 - 4: 3/4 - 5: 2/2 - 6: 2/3 - 7: 2/4

C = startblock X
0<C<3

D = startblock Y
0<D<3

E = scanlines
0 = auto, 1= even, 2 = odd

CALL TOBAS to reboot the system

CALL YJK (B,R,G) for YJK color adjusting with RGB values

-7 < B< 7
-7 < R< 7
-7 < B< 7

See this page : http://www.faq.msxnet.org/hbivi.html

See also the German version of the user's manual :

http://www.msxarchive.nl/pub/msx/docs/manuals/sonyhbiv1userguidegerman.pdf


Extern Dsk Database

blueMSX uses different databases with SHA1 values :

- svidb.xml : the SVI database (with cas/wav, dsk and rom data)

- segadb.xml : the Sega database (only rom and dsk data for the moment)

In the future, the described format will also be used for MSX and Coleco disks.

How to add dskdata in these databases ?

You must use the following general syntax :
<software>
oooooo <title xml :lang="en"> .......</title> | Example : Metal Gear 2 Solid Snake
oooooo <system> ....... </system> | Example : MSX (other options : SVI - Coleco - Sega)
oooooo <company> .......</company> | Example : Konami
oooooo <year> ......</year> | Example : 1990
oooooo <country> ....... </country> | Country code - Example : JP for Japan
oooooo <dump>
oooooo <group> | Only if more than 1 disk for a game
ooooooooooooo <original value="...."> ....

         2 options :
- for a GoodMSX dump : <original value="true">GoodMSX</original>
- for an other dump : <original value="false"/>
ooooooooooooo <dsk> | software medium
ooooooooooooo <start>
only for non-autostartable disks that can actually be runned
ooooooooooooooooo<text> ....... </text> | running command
ooooooooooooo </start>
ooooooooooooo <format type="..."> | file format : dsk or another format
oooooooooooooo o o <hash algo="sha1"> ....... </hash> | sha1 value
ooooooooooooo </format>
ooooooooooooo <format type="...">... </format> | Next file format for the same disk !
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | You can add here other infos about this disk
ooooooooooooo </remark>
ooooooooooooo </dsk>
ooooooooooooo <dsk>............................... </dsk> | Next disk of the same group !
oooooo </group>
oooooo </dump>
oooooo <dump> | Next dump of the same game !
...........................
oooooo </dump>
</software>

How to find the sha1 code of a dsk game ?

- use Google to make a research on the Net and you'll find different tools to calculate the sha1 value


Questions and answers about disk images

How to proceed with non-autobootable disks?
Many SF-7000 disks require that you boot first the SF-7000 computer with a system disk that contains the Sega Disk Basic.
On the MSX and SVI systems, this problem is more rare, but in case of games or demos with multiple disks, it can happen if the game or demo must be started from the first disk for example.

How to proceed with non-autostartable games?
It's the case of all SF-7000 and SVI318/328 disks. Some MSX disks don't start automatically because they don't include an AUTOEXEC.BAS or AUTOEXEC.BAT file.

Check the contents of the disk by using the command FILES in BASIC or DIR in MSX-DOS or CP/M.

To run a MSX-DOS or CP/M program (with the extension .COM), simply enter his name without the extension on the commandline.

To run BASIC or binary files from BASIC, you must use one of these commands and press on RETURN (the ENTER key of your PC) :

Command
RUN"[drivename:]filename" | For MSX-BASIC , SVI-BASIC and SEGA BASIC files
LOAD"[drivename:]filename",R | For MSX-BASIC and SVI-BASIC files
BLOAD"[drivename:]filename",R | For MSX or SVI binary files saved with BSAVE
LOADM"filename",start address | For SEGA binary files

In MSX-BASIC, names of drives are A and B; in SV Disk Basic, names of drives are 1 and 2.

How to get more memory to run some MSX games ?
Some MSX games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl during the boot sequence, until you hear a beep (it will desactivate the second drive)

If you use a MSXturboR machine and can't start a game that runs without any problem on a MSX1, a MSX2 or a MSX2+, reboot the MSXturboR and press on the '1' key in the boot sequence before the beep, it will de-activate DOS2 and will do the trick for many games.
Of course, you can also press on Left Ctrl in the boot sequence of a MSXturboR !

How to proceed with games or demos with multiple disks ?
- to avoid reboot after each disk swap, the option Reset After Insert/Remove in the File / Disk menu must be de-actived
- run blueMSX with the first disk in drive A
- to swap disk, you can use procedure 1, 2 or 3 (menu, toolbar or hotkey) as for the first disk, but blueMSX includes an unique feature that makes it all more easy : v-DRIVE, it's the hotkey ALT+F9 !
- to continue the game or demo after the disk swap , you must generally press on the spacebar

Can I also run zipped dsk games ?
Yes, but the fifth procedure (double click) is not available for zipped dsk games

- if only one dsk game is in the zip file, it is loaded directly
- if there are many dsk games in the zip file , a dialog where you have to select which dsk game to load from the zip file is shown
- in case of multiple disks for a game or demo , the .zip file must only contain the different concerned .dsk files if you want to play this game or demo by using v-DRIVE , an unique blueMSX feature

Can I also create and use new dsk files ?
Yes, more info here !

How to proceed with MSX games with .BAS, .BIN, .LDR, ... files?
- create a new Windows Directory with all the files of the MSX game
- click on File / Disk Drive A / Insert Directory or File / Disk Drive B/ Insert Directory
- if you have inserted the directory in drive A and come only to MSX-BASIC, it means that there is no "AUTOEXEC.BAS" file. Search for the loader file and use the following command : RUN"GAME.LDR" (if the loader file is "GAME.LDR") and press on RETURN (the ENTER key of your PC)

Another solution is to create a DSK file by using Disk-Manager>Disk-Manager.

How to use simultaneously drive A and drive B ?
- choose procedure 1, 2 or 3 v(menu, toolbar or hotkey)
- insert first .dsk file in drive A as explained above
- insert second .dsk file in drive B :
* if you have choosen the 1st procedure, click on File / Disk Drive B / Insert
* if you have choosen the 2d procedure, use the 6th icon of the toolbar (Insert Disk in Drive B)
* if you have choosen the 3rd procedure, the hotkey is CTRL + F10

How to avoid that blueMSX starts automatically the game ?
- de-activate the option Reset After Insert/Remove in the File / Disk menu
- choose procedure 1, 2 or 3 (menu, toolbar or hotkey)

It doesn't work ! What must I do ?
- if you have choosen procedure 1, 2 or 3 (menu, toolbar or hotkey), you don't probably have activated the option Reset After Insert/Remove in the File / Disk menu : press on F9 (= Run) or on F12 (= Reset) to start the game

- some games are only for MSX2 or higher and you are running a MSX1 machine : choose a MSX2 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

- note also that some games are only for MSX2+ and/or MSXturboR.

- if you use a MSX2, a MSX2+ or a MXturboR machine and can't start a game that runs without any problem on a MSX1, check the loader file of the game and place the following poke at the beginning of the file : POKE-1,(15-PEEK(-1)\16)*17 (on a line 1 for example) ; this 'universal' poke must replace the eventual already present poke -1,0 or poke -1, 85 or poke -1,170 or poke -1,255.

- if you use a machine without Floppy Drive Controller , it can't work ! The solution is to insert a disk rom in slot 1 or in slot 2. Some machines, initially not conceived for a diskdrive, need to be runned on a special way if you add a disk rom.

- if you use a MSX machine with a 360 Kb Floppy Drive Controller, 720 Kb disk images won't work ! The solution is to select a MSX machine with a 720 Kb Floppy Drive Controller or to extract the files with Disk-Manager and to put them on a 360 Kb disk image

- some MSX games or applications can work correctly only if a joystick is configured or a mouse is selected in the Input Editor

- if the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation of the drive support; please report the problem on the blueMSX forum, we will try to fix it !


The Disk Menu

The Disk Menu is the second part of the File Menu; for every drive, it contains the following menu items :

 Insert
Allows to insert a dsk image in drive A or in drive B.
The option accepts files of type .DSK, .DI1, .DI2, .360, .720, .SF7 and .ZIP.
If a zip file contains more than one disk image, a dialog with a list of all disks will be shown.

 Insert Directory
Only for MSX games or applications

Allows to insert a Windows directory as Disk in drive A or drive B. This directory must contain files of a MSX game.
The emulator will build with these files a virtual disk image (including a normal MSX boot sector) and run this virtual disk image.

If you have inserted the directory in drive A and come only to MSX-BASIC, it means that there is no "AUTOEXEC.BAS" file. Search for the loader file and use the following command : RUN"GAME.LDR" (if the loader file is "GAME.LDR") and press on RETURN (the ENTER key of your PC) .

This is the Dir as Dsk feature, that works only in reading mode for security reasons : you can make changes on the virtual disk image, but these changes are not transferred to the Windows source directory.

This feature has also specific MSX limitations : no more than 112 files in a directory and you can't exceed a total size of 720 Kb (including the boot sector that will be added automatically on the virtual disk image). It can't work with MSX subdirectories and with special boot sectors.

 Insert New Disk Image
Allows to create a new dsk image in drive A or in drive B.
7 differents formats are available, 4 for MSX, 2 for SVI-328 and 1 for SF-7000.

You can find more info here.

 Eject
Allows to eject a dsk image or a Windows directory from drive A or drive B.

 Reset After Insert
If this option is checked, the emulator is automatically reset when a disk image or a Windows directory is inserted.

 Recent files
Shows a list of the most recently disk or Windows directories that are loaded into the concerned drive.
You can select a disk of a directory of this list in place to use the "Insert" and "Insert Directory" options.


Estonian MSX Keyboard

The Estonian MSX keyboard is used in the generic MSX Estonian and MSX2 Estonian machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Yamaha YIS-503IIR Estonian (*)

- MSX2 machines : the current version of blueMSX does not support the specific MSX2 Estonian machines (we need to add the network support !)

The MSX keyboard is very similar to a standard PC keyboard, but the accented Estonian characters are not present. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Cyrillic | Right Alt | Toggles between Russian and normal mode.
Comma on numpad | Page Down |
Question Mark | Right Ctrl | Locks in Russian mode and allows to write the Question Mark character (?). Combined with Shift, it gives the Slash character (/).

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Cyrillic mode | Cyrillic mode + Shift
Graph | Graph + Shift

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


Ethernet

The only existing ethernet solution for MSX is ObsoNET by Daniel Berdugo.
ObsoNET is a cartridge that contains an ethernet controller and a bios for doing low level networking.

In order to connect to a real network, an internet stack is needed.
The best solution is to run InterNestor Lite by Nestor Soriano.
InterNestor Lite provides TCP/IP networking and basic networking programs, like ping, tftp and telnet.

Prerequirements

In order to use the ethernet emulation in blueMSX, you need to install WinPcap, The Windows Packet Capture Library. This is a third party tool that makes it possible to send and receive low level network packets under Windows.

You can download WinPcap from their official website:

http://www.winpcap.org/

First step : select a network interface

- click on Options / Ethernet
- select a network interface to which the emulated network controller will connect. This is one of the interfaces (network cards) in your PC.

Remark : WinPcap does not work very well on wireless interfaces due to limitations in Windows. Therefore its recommended to run the ethernet emulation on a wired network interface. You can look at the FAQ on WinPcap's homepage for more details.

Second step : insert an ObsoNET bios rom

- click on File / Cartridge Slot 1 (or Slot 2) / Insert
- select an Obsonet bios rom

This rom enables the emulated ethernet controller and provides bios functionallity to send and receive packets.

You can find the roms and additional information at the official ObsoNET site:

http://www.konamiman.com/msx/msx-e.html#obsonet

Third step : load InterNestor Lite

- click on File / Disk Drive A / Insert
- select a disk with the InterNestor Lite internet stack and start the emulator.

You need to configure the network stack in order to connect to the network.

Follow the detailed help that comes with the InterNestor Lite applications or visit the official website for ObsoNET:

http://www.konamiman.com/msx/msx-e.html#inl


European MSX Keyboard

http://www.museo-computer.it/Computer

The European MSX keyboard is used in the generic MSX and MSX2 machines without any other indication. It's also used in the generic MSX2 Only PSG, MSX2+ European and MSXturboR European machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Daewoo DPC-200E (*) / Frael Bruc 100-1 / Goldstar FC-200 (*) / Philips NMS-801 (*) / Philips VG-8000 (*) / Philips VG-8010 (*) / Philips VG-8020-00 (*) / Philips VG-8020-20 (*) / Spectravideo SVI-728 / Spectravideo SVI-738 (*) / Spectravideo SVI-738 Henrik Gilvad (*) / Toshiba HX-10 (*) / Toshiba HX-10S (*) / Toshiba HX-20 (*)/ Yamaha CX5M-1 (*) / Yamaha CX5M-2 (*) / Yamaha CX5MII (*) / Yamaha CX5M-128 (*) / Yamaha YIS-303 (*) / Yamaha YIS-503 (*) / Yamaha YIS-503II (*) / Yamaha YIS-503M (*) / Yashica YC-64 (*)

- MSX2 machines : Philips NMS-8220 (*) / Philips NMS-8220 (a) (*) / Philips NMS-8245 (*) / Philips NMS-8250 / Philips NMS-8255 / Philips NMS-8280 / Philips VG-8235 (*) / Philips VG-8240 (*) / Spectravideo SVI-738-2 CUC (*) / Spectravideo SVI-738-2 JP Grobler (*) / Toshiba HX-23 (*) / Toshiba HX-23F (*) / Yamaha CX7M (*) / Yamaha CX7M-128 (*)

The MSX Philips VG-8000 and VG-8010 and VG-8010F machines come with a strange keyboard matrix that is patched for the emulator. Besides, the GRAPH and CODE keys work as toggles, just like the KANA key on Japanese machines.

The Frael Bruc 100-1 machine is a computer without the MSX logo, but with a MCL extended basic and a PC keyboard ! It was used in some Italian schools. The machine is compatible with MSX1 with some little differences or additionnal features : blinking cursor, step forward word by word, cut a text line, no display of the functions keys, different default color for the Basic screen, etc. Check http://fraelbruc100.msxit.org/ for more infos.

The following European machines use a little different keyboard matrix, with the pound sterling symbol £ in stead of ` and the ` character on third row with Code after the ij character (* = this machine is without numeric keypad) :

- MSX machines : Canon V-10 (*) / Canon V-20 (*) / JVC HC-7GB (*) / Mitsubishi ML-F80 (*) / Mitsubishi ML-FX1 / Pioneer PX-7 (*) / Sanyo MPC-100 (*) / Sanyo PHC-28S (*) / Sanyo Wavy MPC-10 (*) / Sony HB-10P (*) / Sony HB-55P (*) / Sony HB-75P (*) / Sony HB-201P (*) / Sony HB-501P (*) / Yamaha YIS-503F (*)

- MSX2 machines : Philips VG-8230 (*) / Sony HB-F9P / Sony HB-F500P / Sony HB-F700P / Sony HB-G900AP / Sony HB-G900P /

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | Right Ctrl | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key - Accent Mark then the vowel key : accent grave (`). Example : à. - Shift + Accent Mark then the vowel key : accent acute (´). Example : á. - Code + Accent Mark then the vowel key : accent circumflex (^). Example : â. - Shift + Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Normal mode (variant)
Code | Code + Shift
Code (variant) | Code + Shift (variant)
Graph | Graph + Shift

The extrem right character of the fourth row is the Accent Mark.


Gradiente Expert Plus

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive.

It comes with an integrated firmware that includes different applications.

Gradiente Expert Plus menu | Applications menu
Graphic tool | Music tool
Consumption tool | Receipts


Features

Since version 2.0, blueMSX is completely free from all fMSX sources and codes.
Old versions of the blueMSX emulator were based on fMSX 2.7 by Marat Fayzullin.
All features have been rewritten and new features have been added.

 | VIDEO EMULATION
Improved | TMS9918/28/29, V9938, V9958 VDP's
 | Support for two 80 columns graphics cards on MSX1 : Microsol VMX-80 and SVI-737
 | 192kB VRAM (extended VRAM)
 | 16kB VRAM (for some MSX1 machines with a V9938)
 | Correct specific palettes of colors (MSX1, MSX2/2+)
 | Correct Z80<->VDP timing for Panasonic MSX2+ and MSXturboR machines
 | Pixel accurate rendering: horizontal screensplits are rendered almost correctly
 | Correct overscan behaviour
 | Support for NMS-8280 digitizer
 | Support for NMS-8280 superimpose
 | Support for Sony HBI-V1 digitizer
 | VIDEO EXTRAS
 | Full screen rendering
 | Support to emulate any non-colour monitor, like monochrome-green, amber or white
 | Screenshot feature with different options
 | Scale2x monitor emulation
 | Hq2x monitor emulation
 | Hq3x monitor emulation
 | Gamma/Brightness/Contrast/Saturation controls
 | PAL video emulation
 | Additional noise to get better old TV feeling
 | Selectable video resolution in fullscreen mode
 | Horizontal and vertical stretch on all monitor modes
 | Real interlace mode and deinterlace
 | Sliders for adaptable scanlines and RF Modulator effect on all monitor modes
Improved | DirectX support
 | Supports 16 and 32 bit color
 | Interpolation from emulated video out to PC screen to get smoother video
 | Autodetection of emulated video sources
 | Event logging, replay and AVI rendering
 | AUDIO
 | AY-8910, YM-2149 and SN-76489 PSG's
 | MSX-Audio
 | MSX-Music
Improved | MoonSound
 | VLM-5030 speech synthesis
 | Sony Playball digitized speech
 | Jaleco Moero!! Nettou Yakyuu '88 sample player
 | Yamaha SFG-01 and SFG-05 OPL
 | Konami synthesizer PCM
 | Majutsushi PCM
 | MSXturboR PCM
 | SCC and SCC-I
 | MIDI-Out support
 | Real MIDI-in support for MSXturboR
 | Support for MIDI input and output in the Philips Music Module (MSX-Audio)
 | Support for MIDI input and output in SFG-05 (Yamaha CX5M/CX7M)
 | Support for keyboard input in the Philips Music Module (MSX-Audio)
 | Support for Yamaha YK-01/10/20 keyboard input
 | SIMPL/Covox (sound via the printer port)
 | "Moonblaster Stereo": MSX Music on one channel, MSX Audio on the other
 | Mixer with Mono and Stereo sound
 | Audio capture
 | Joyrex PSG module
 | STORAGE
 | Support for the MSX Game Reader
Improved | Sunrise IDE interface with harddisk
 | NoWind USB interface
 | Several floppy disk controllers: Toshiba, Panasonic, National, Spectravideo, Microsol, NEC
 | SRAM for several cartridge types, PAC, ASCII, Koei, ...
 | Sony HBI-55 datacartridge
 | ESE-SCC cartridges
 | ESE-RAM cartridges
 | Mega Flash ROM SCC cartridges
 | BEER IDE interface
 | GIDE interface
Improved | MEGA-SCSI interface
Improved | WAVE-SCSI interface
Improved | MSX Club Gouda SCSI interface (NOVAXIS)
 | Support for SCSI CD Audio and CD-ROM
 | DIR as DSK feature
 | Support of 3 CAS formats : fMSX-DOS, fMSX98/AT and SVI318/328
New | Support for .der copy protected disk files
 | Support for creating new disk images of various size on MSX, SVI-328 and SF-7000
 | Support for loading zipped ROM/DSK/CAS files
 | If a zip file contains multiple files, a list with the matching file type is displayed where the user can select the file to load.
 | MAPPERS
 | Plain linear memory mappers (RAM, ROM)
 | Konami with/without SCC
 | Manbow 2 with SCC and Flash memory
 | Matra Ink with AMD Flash memory
 | ASCII8 with/without SRAM
 | ASCII16 with/without SRAM
 | GameMaster2 with SRAM
 | Halnote with SRAM
 | R-Type
 | Cross Blaim
 | Harry Fox - Yuki no Maou hen
 | Super Pierrot
 | Koei
 | Super Lode Runner
 | Zemmix multigame roms
 | Holy Quran
 | PAC/FMPAC/FMPAK
Improved | DRAM in MSXturboR
 | Panasonic firmware mappers with SRAM
 | National firmware mapper
 | MSX Bunsetsu Henkan Jisyo ROM
 | 12×12 dot Kanji
 | Kanji JIS ROM 1 and 2
 | Basic rom mapper
 | MegaRAM
 | Konami Keyboard Master
 | Sony HBI-V1
 | F&M Direct Assembler System
 | Yamaha SFG-01 and SFG-05
 | MSX-DOS2
 | OTHER EMULATION FEATURES
Improved | Cycle exact Z80 emulation with full support for undocumented instructions and flags
 | Real time timing, using an advanced timing model
 | Emulation of the Philips printer
 | Emulation of the Epson printer
 | Uart emulation
 | Magic key dongle
 | Tetris II Special Edition dongle
 | Different CPU clock speeds, including those for the Panasonic MSX2+ machines
 | Rensha turbo auto fire support
 | Run time insertion and removal of cartridges and other extensions
 | Option to run at maximum possible speed
 | Speed setting (in percent)
 | MISCELLANEOUS
 | Plugin structure that allows to add external program (dll's) : debugger and trainer
 | Databases in XML format
Improved | Manuals online and in distribution
 | Multiple language support
Improved | Save states
 | Quick save feature with filenames with sequence number which makes it easy to restart emulation from an old saved state
Improved | More than 180 MSX machine hardware configurations included
 | Support for Forte II Games arcade boards
 | Support for ObsoNET, the only existing Ethernet solution for MSX
 | Support for Colecovision, SVI-3x8, Sega SG-1000, SC-3000 and SF-7000
 | Cheat finder dialog that supports cheats for many games
 | USER INTERFACE
 | Powerful user interface with menus, property dialogs and status bars
 | User friendly machine editor that allows the user to build his own configurations and to emulate specific machines
 | Configurable shortcut keys for easy access to most UI actions
 | Virtual keyboard
 | Input Editor which allows gamepad inputs and keyboard inputs on the PC to be assigned to both emulated keyboards and joysticks
 | MSX keyboard matrix quirk emulation
 | Joystick and mouse support
 | Support for the MHT Ingenieros Gunstick
 | Support for the Arkanoid pad
 | ASCII Plus-X Terminator Laser control
 | Drag and drop of ROM, DSK, hard disk, CAS and STA files
 | Registration of file types, so double clicking a file automatically starts blueMSX
 | Change of multiple disks with a single key click
 | File history which lists the most recent roms/disks/tapes loaded
 | Support for XML based themes which allows users to create their own look of the emulator
 | Saves the position of the main dialogs on the screen
 | Ability to disable of the Windows screensaver and the Windows menu keys
 | DEBUGGER
 | Disassembly window with single step, step into/over
Improved | Memory viewer window
 | CPU and peripheral register window
 | Breakpoints
 | Stack window
New | Support for MSX1 VDP timing checks
 | Symbol file support for several assemblers which shows symbols in the disassembly window
 | Debug device: write data with special Z80 instruction sequence and it gets logged to the trace window. Very useful if you develop MSX assembly programs in blueMSX


French MSX Keyboard

http://www.msxcafe.com/modules/smartsection/category.php?categoryid=5

The French MSX keyboard is used in the generic MSX French and MSX2 French machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Olympia PHC-2 (*) / Olympia PHC-28 (*) / Philips VG-8010F (*) / Philips VG-8020F (*) / Sanyo PHC-28L (*) / Yeno DPC-64 (*) / Yeno MX64 (*)

- MSX2 machines : Philips NMS-8245F (*) / Philips VG-8235F (*) / Sony HB-F700F

The Philips VG-8010F computer comes with a strange keyboard matrix that is patched for the emulator. Besides, the GRAPH and CODE keys work as toggles, just like the KANA key on Japanese machines.

The MSX keyboard is very similar to a standard French PC keyboard used in Belgium. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | PC key after the "P" | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key - Accent Mark then the vowel key : accent grave (`). Example : à. (*) - Shift + Accent Mark then the vowel key : accent acute (´). Example : á. (*) - Code + Accent Mark then the vowel key : accent circumflex (^). Example : â. - Shift + Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä (*) Some PC keyboards seem to have problems with these accented characters.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Code | Code + Shift
Graph | Graph + Shift


National FS-4000

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive in slot 1 or slot 2, but the internal firmware can't be used normally in this case as you need to press on SHIFT to de-activate the diskdrive.

The firmware is MSX-JE, a Japanese Word Processor. Switch key between Japanese and English characters is RightAlt.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Word Processor part 1
2 - Word Processor part 2
3 - MSX1 BASIC
Word Processor


National FS-4500 and FS-4700

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

Both machines come with MSX-JE 2, a Japanese Word Processor. Switch key between Japanese and English characters is RightAlt.

The National FS-4500 machine has a tape interface ; you can also add a diskdrive.

The National FS-4700 machine has a tape interface and a diskdrive. The system disks include MSX-DOS and files for the Japanese Word Processor.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Word Processor part 1
2 - Word Processor part 2
3 - Address Book & Name Card
4 - MSX2 BASIC
Word Processor Address Book & Name Card


National FS-4600

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine comes with MSX-JE 3, a Japanese Word Processor. Switch key between Japanese and English characters is RightAlt.

It has a tape interface and a diskdrive. The system disk includes MSX-DOS and a graphic tool, Image Converter.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Word Processor part 1
2 - Word Processor part 2
3 - Address Book & Name Card
4 - MSX2 BASIC
Word Processor Address Book & Name Card
Image Converter


National FS-5000

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

It has a tape interface and 2 diskdrives. The system disk includes MSX-DOS and a Japanese Word Processor. Switch key between Japanese and English characters is RightAlt.


National FS-5500F1 and FS-5500F2

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

The FS-5500F1 machine has a tape interface and a diskdrive. A second diskdrive comes with the FS-5500F2 machine. The system disk includes MSX-DOS and a graphic tool, Video Graphics. Switch key between Japanese and English characters is RightAlt.

The digitizing and superimposing capabilities of these computers are not yet supported by blueMSX.


Panasonic FS-A1

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1 machine comes with an integrated firmware. You can skip it by pressing DEL when booting.

Without any game in a cartridge slot, you come on this firmware menu :

F1 - Clock
F2 - Alarm
F3 - Timer
F4 - Calendar
F5 - Calculator
F6 - Word Processor

F8 - MSX2-BASIC
Clock | Alarm
Timer | Calendar
Calculator | Word Processor


Panasonic FS-A1F

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and a diskdrive. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1F machine comes with an integrated firmware. You can skip it by pressing DEL when booting.

A system disk includes MSX-DOS and 3 applications to be runned from the firmware interface.

Without any game in a cartridge slot, you come on this firmware menu.

Top options : selection keyboard / joystick / mouse - clock setting - screen adjust by the cursors and RETURN

Main options :
1 - Clock
2 - Calendar
3 - Calculator
4 - Disk Tool (requires system disk)
5 - Word Processor, Address Book & Name Card (requires system disk)
6 - Graphic Tool (requires system disk)
7 - MSX2-BASIC
8 - Other colors
Clock setting | Screen adjust
Clock | Calendar
Calculator | Disk Tool
Word Processor, Address Book & Name Card | Graphic Tool


Panasonic FS-A1FM

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and a diskdrive. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1FM machine comes with an integrated firmware. You can skip it by pressing DEL when booting or by de-selecting the Panasonic front switch in the Options/Emulation menu.

A system disk includes MSX-DOS and 3 applications.

The modem capabilities of this computer are not yet supported by blueMSX.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Clock setting
2 - Screen adjust
3 - Clock
4 - Calendar
5 - Modem settings
6 - Modem database
7 - Modem using
8 - MSX2-BASIC
Clock setting | Screen adjust
Clock | Calendar
Modem settings | Modem database
Modem using
Menu of the system disk :

1 - Disk tool
2 - Word Processor, Address Book & Name Card
3 - Graphic tool
4 - MSX2-BASIC

When you quit an application, you come on the MSX-DOS command line; by typing TOOL on this command line, you can go back to the menu of the system disk.
Disk Tool | Word Processor, Address Book & Name Card
Graphic Tool


Panasonic FS-A1FX

To run this MSX2+ machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and a diskdrive. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1FX machine comes with an integrated firmware. You can skip it by pressing DEL when booting or by de-selecting the Panasonic front switch in the Options/Emulation menu.

A system disk includes MSX-DOS and 3 applications to be runned from the firmware interface.

Without any game in a cartridge slot, you come on this firmware menu :

Top options : selection keyboard / joystick / mouse - clock setting - screen adjust by the cursors and RETURN

Main options :
0 - Other colors
1 - Clock
2 - Calendar
3 - Disk Tool (requires system disk)
4 - Graphic Tool (requires system disk)
5 - Gallery (requires system disk)
6 - MSX2+-BASIC
Clock setting | Screen adjust
Clock | Calendar
Disk Tool | Graphic Tool
Gallery


Panasonic FS-A1GT

To run this MSXturboR machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a diskdrive, a MIDI interface and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt. A mouse is required to use VSHELL and MSX-View.

The Panasonic FS-A1GT machine comes with 2 integrated firmwares. You can skip VSHELL and the A1 firmware by de-selecting the Panasonic front switch in the Options/Emulation menu.

There are 3 systems disks : the first system disk is required for MSX-JE, the Japanese Word Processor; the second system disk includes MSX-DOS2.3 and 3 applications, the third disk is the disk part of MSX-View, an OS with Word Processor and Graphic Tools.

From MSX-BASIC, you can go (back) to the A1 firmware menu by typing CALL MWP.

Without any game in a cartridge slot, you come on VSHELL

Main icons :
1 - Exploration of a disk (by default the ROM disk C:)
2 - A1 firmware
3 - MSXturboR-BASIC
4 - FS-A1GT Presentation

To choose another disk, click on VSHELL and select the D option (A: and B: real disks, C: ROM disk, D: S-RAM disk, H: virtual disk)

To access to the MSX-View menu, click on the 4th icon on the first line.
MSX-View menu | PageVIEW
ViewDRAW | ViewTED
FS-A1GT Presentation
The A1 firmware menu :

1 - Japanese Word Processor part 1
2 - Japanese Word Processor part 2
3 - Japanese Word Processor part 3 (requires system disk 1)
4 - Address Book & Name Card part 1
5 - Address Book & Name Card part 2
6 - Disk/Tape/Other databases
7 - PCM Recorder
8 - Calculator, Calendar and Clock setting
9 - Mouse and Printer settings
0 - MSXturboR-BASIC (if front switch de-selected) or VSHELL (if front switch selected)
Word Processor | Address Book & Name Card
Disk/Tape/Other databases | PCM Recorder
Calculator | Calendar
Clock setting | Mouse and Printer settings
Menu of the second system disk :

1 - PCM Digi Talk
2 - Graphic tool
3 - Color Printer Tool
4 - MSX2-DOS
5 - MSXturboR-BASIC

When you quit an application, you come on the MSX-DOS2 command line; by typing TOOL on this command line, you can go back to the menu of the system disk.
PCM Digi Talk | Graphic Tool
Color Printer Tool


Panasonic FS-A1MK2

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1MK2 machine comes with an integrated firmware. You can skip it by pressing DEL when booting.

Without any game in a cartridge slot, you come on this firmware menu.

Top options : selection keyboard / joystick / mouse - clock setting - screen adjust by the cursors and RETURN

Main options :
1 - Clock
2 - Calendar
3 - Calculator
4 - Game 1
5 - Game 2
6 - Game 3
7 - MSX2-BASIC
8 - Other colors
Clock setting | Screen adjust
Clock | Calendar
Calculator | Game 1
Game 2 | Game 3


Panasonic FS-A1ST

To run this MSXturboR machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a diskdrive and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1ST machine comes with an integrated firmware. You can skip it by de-selecting the Panasonic front switch in the Options/Emulation menu.

There are 2 systems disks : the first system disk is required for MSX-JE, the Japanese Word Processor; the second system disk includes MSX-DOS2.3 and 3 applications.

From MSX-BASIC, you can go (back) to the firmware menu by typing CALL HIRO.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Japanese Word Processor part 1
2 - Japanese Word Processor part 2
3 - Japanese Word Processor part 3 (requires system disk 1)
4 - Address Book & Name Card part 1
5 - Address Book & Name Card part 2
6 - Disk/Tape/Other databases
7 - PCM Recorder
8 - Calculator, Calendar and Clock setting
9 - Mouse and Printer settings
0 - MSXturboR-BASIC
Word Processor | Address Book & Name Card
Disk/Tape/Other databases | PCM Recorder
Calculator | Calendar
Clock setting | Mouse and Printer settings
Menu of the second system disk :

1 - PCM Digi Talk
2 - Graphic tool
3 - Color Printer Tool
4 - MSX2-DOS
5 - MSXturboR-BASIC

When you quit an application, you come on the MSX-DOS2 command line; by typing TOOL on this command line, you can go back to the menu of the system disk.
PCM Digi Talk | Graphic Tool
Color Printer Tool


Panasonic FS-A1WSX

To run this MSX2+ machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a diskdrive and built-in MSX-MUSIC. The tape interface is replaced by a RGB connector. It is possible to load/save via this connector, but the volume is very low by comparison with tape interface. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1WSX machine comes with an integrated firmware. You can skip it by de-selecting the Panasonic front switch in the Options/Emulation menu.

There are 2 systems disks : the first system disk is required for MSX-JE, the Japanese Word Processor; the second system disk includes MSX-DOS and 3 applications.

From MSX-BASIC, you can go (back) to the firmware menu by typing CALL MENU.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Japanese Word Processor part 1
2 - Japanese Word Processor part 2
3 - Japanese Word Processor part 3 (requires system disk 1)
4 - Address Book & Name Card part 1
5 - Address Book & Name Card part 2
6 - Disk/Tape databases
7 - Other databases
8 - Calculator, Calendar and Clock setting
9 - Mouse and Printer settings
0 - MSX2+-BASIC
Word Processor | Address Book & Name Card
Disk/Tape databases | Other databases
Calculator | Calendar
Clock setting | Mouse and Printer settings
Menu of the second system disk :

1 - Disk tool
2 - Graphic tool
3 - Color Printer Tool
4 - MSX2+-BASIC

When you quit an application, you come on the MSX-DOS command line; by typing TOOL on this command line, you can go back to the menu of the system disk.
Disk Tool | Graphic Tool
Color Printer Tool


Panasonic FS-A1WX

To run this MSX2+ machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface, a diskdrive and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt.

The Panasonic FS-A1WX machine comes with an integrated firmware. You can skip it by pressing DEL when booting or by de-selecting the Panasonic front switch in the Options/Emulation menu.

There are 2 systems disks : the first system disk is required for MSX-JE, the Japanese Word Processor; the second system disk includes MSX-DOS and 3 applications.

From MSX-BASIC, you can go (back) to the firmware menu by typing CALL MENU.

Without any game in a cartridge slot, you come on this firmware menu :

1 - Japanese Word Processor part 1
2 - Japanese Word Processor part 2
3 - Japanese Word Processor part 3 (requires system disk 1)
4 - Address Book & Name Card part 1
5 - Address Book & Name Card part 2
6 - Disk/Tape databases
7 - Mouse and Printer settings
8 - Calculator, Calendar and Clock setting
9 - MSX2+-BASIC
Word Processor | Address Book & Name Card
Disk/Tape databases | Mouse and Printer settings
Calculator | Calendar
Clock setting
Menu of the second system disk :

1 - Disk tool
2 - Graphic tool
3 - Gallery
4 - MSX2+-BASIC

When you quit an application, you come on the MSX-DOS command line; by typing TOOL on this command line, you can go back to the menu of the system disk.
Disk Tool | Graphic Tool
Gallery


Konami Game Master 1 (RC-735)

This cartridge allows to cheat with most MSX1 Konami games and some MSX2 Konami games.
With MSX1 games, it must be inserted in slot 1 (the game itself will be inserted in slot 2); for some games, only a part of the Game Master options are really available.
With MSX2 games, it must be inserted in slot 2 (the game itself will be inserted in slot 1); in this case, only some options of the Game Master are activated.

General menu

Japanese cartridge | European cartridge

First option : GAME
If you want to play the game without any cheat, select this option.
You can also access directly to the game by pressing on ESC in the boot sequence of the emulated MSX.
De-activating the Game Master is also possible : press on SHIFT in the boot sequence.

Second option : MODIFY

The Game Master displays the number of the cartridge with the game.

Cheating options allow you to modify the number of the beginning stage and to modify the player number (what means the number of lifes !)

Next two options are explained below.

Last option starts the game with the modifications that you have made.
Ranking mode

This mode allows to save / load names of gamers.

To enable this mode for a new game, you must select the option "Clear Ranking Data" before you start the game.

If ranking data are already saved, you can of course use the "Load" options.
Color test pattern

This option is not really useful on an emulator.
On a real machine, it helps you to adjust the monitor.
The Print Screen feature gives only a screendump in black and white.

Third option : SELF (also accessible without a game in slot 2)

First option of this menu is not really useful on an emulator (see above).

Second option allows you to load the saved data of a screen.
To convert these data into a bloadable format :
* set the cursor before END in the menu
* press at the same time on the following keys : Left CTRL - SHIFT - Spacebar
You'll get a new file with the extension .VRM.
This file can be used in a MSX-BASIC program with the following instructions :
COLOR 15,0,0: SCREEN 2,2: BLOAD "filename.VRM",S: A$=INPUT$(1)

PAUSE option
When the game is running, press on STOP (=PageUp) to pause the game.
It works also with the demo of the game. The CAPS lock led will turn on.
To quit the Pause mode, press again on STOP (=PageUp) . The CAPS led will turn off.

ONE FRAME option
When you are in Pause mode, press on ":" to advance only one frame.

SLOW MOTION option
When you are in Pause mode, press on ESC to enable slow motion.
You can adjust the speed by using the DEL ans INS keys.
To disable this mode, press on STOP (=PageUp) .

SAVE / LOAD options
When you are in Pause mode, press on Left CTRL to access to the Save / Load options.
You can save different things : Hi-Score, Game, Screen, Ranking (only if Ranking mode is activated).
You can choice between tape and disk as support.
As the save states of blueMSX, the game data include RAM and VRAM data of the specific used MSX machine.
The files have the following extensions:
.Hxx for Hi-Score data, .Gxx for Game data, .Sxx for Screen data, .Rxx for Ranking Data,
with xx = the two last digits of the Konami RC number.
Screen data files can be converted into a bloadable format (see the SELF option)

RANKING options
When you are in Pause mode, press on Left CTRL to access to the Ranking options.
It works only if you have activated the Ranking mode (see above).
You can view the list of the scores with the names of the gamers.
You can also change the names of the gamers.

SCREENDUMP option
When you are in Pause mode, press on F3 to make a screendump in black and white.
It needs a printer and it is not really useful on an emulator.

GENERAL RESTART option
When you are in Pause mode with the Save / Load menu, set the cursor before END in the menu.
Press at the same time on the following keys : Left CTRL - SHIFT - Spacebar
It will restart completely the Game Master and the game.

Concerned MSX1 games (the game must be inserted in slot 2)

GAME | RC | REMARKS
Antartic Adventure | 701 | You can't modify the number of lifes
Athletic Land | 700 |
Cabbage Patch Kids | 716 |
Circus Charlie | 712 |
Comic Bakery | 714 |
F1 Spirit / A1 Spirit | 752 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Frogger | 704 | You can't modify the number of the beginning stage
Gofer no Yabou Episode 2 / Nemesis 3 | 764 | No Ranking mode
Gradius / Nemesis | 742 |
Gradius 2 / Nemesis 2 | 751 | No Ranking mode
Hyper Olympic 1 / Track & Field 1 | 710 | You can't modify the number of lifes
Hyper Olympic 2 / Track & Field 2 | 711 | You can't modify the number of lifes
Hyper Rally | 718 | You can't modify the number of lifes
Hyper Sports 1 | 715 | You can't modify the number of lifes
Hyper Sports 2 | 717 | You can't modify the number of lifes
Hyper Sports 3 | 733 | You can't modify the number of lifes
King's Valley 1 | 727 |
King's Valley 2 (MSX1 version) | 760 |
Knightmare | 739 |
Knigtmare 2 - The Maze of Galious | 749 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Konami's Base Ball | 724 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Konami's Billiards | 706 | You can't modify the number of the beginning stage
Konami's Boxing | 736 | You can't modify the number of lifes; no Ranking mode
Konami's Mahjong Dojo | 707 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Konami's Ping Pong | 731 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Konami's Soccer / Konami's Football | 732 | You can't modify the number of lifes; no Ranking mode
Konami's Tennis | 720 | You can't modify the number of the beginning stage or the number of lifes; no Ranking mode
Magical Tree | 713 |
Monkey Academy | 702 | You can't modify the number of the beginning stage
Mopiranger | 728 |
Parodius | 759 | No Ranking mode
Pippols | 729 |
Q-Bert | 746 |
Road Fighter | 730 | You can't modify the number of lifes
Salamander | 758 |
Sky Jaguar | 721 |
Super Cobra | 705 | You can't modify the number of the beginning stage
The Goonies | 734 | You can't modify the number of lifes
Time Pilot | 703 | You can't modify the number of the beginning stage
Twinbee | 740 |
Yie Ar Kung-Fu | 725 |
Yie Ar Kung-Fu 2 | 737 |
Yumetairiku Adventure / Penguin Adventure | 743 |

Concerned MSX2 games (the game must be inserted in slot 1)

GAME | RC | REMARKS
Akumajyo Drakyula / Vampire Killer | 744 | Only some options : you can select stage and lifes when you start the game; in the game, the PAUSE and ONE FRAME options are available.
Ganbare Goemon / Samurai | 748 | Only some options : you can select stage and lifes when you start the game; in the game, the PAUSE and ONE FRAME options are available.
Hinotori / Firebird | 747 | Only some options : you can select stage and lifes when you start the game; in the game, the PAUSE and ONE FRAME options are available.


Konami Game Master 2 (RC-755)

This cartridge allows to cheat with most MSX1 and MSX2 Konami games.
It must be inserted in slot 1 (the game itself will be inserted in slot 2).
If you want to use only the SRAM feature, you can also insert it in slot 2 (the game itself will be inserted in slot 1).
Contra / Grysor and Hai no Majutsushi / Mahjong 2 can't be started from the Game Master 2.
The best choice with both games is insertion of the Game Master 2 in slot 2.
For some games, only a part of the Game Master 2 options are really available.

General menu

Intro on a Japanese MSX2 or higher (different intro on a Japanese MSX1) | Menu on an European machine (no title on a Japanese machine)

First option : GAME
If you want to play the game without any cheat, select this option.
You can also access directly to the game by pressing on ESC, GRAPH or the spacebar in the boot sequence of the emulated MSX.
De-activating the Game Master 2 is also possible : press on SHIFT in the boot sequence.
GRAPH and the spacebar work also without a game in slot 2. In this case, you go to MSX-BASIC or MSX-DOS.

Second option : MODIFY

The Game Master 2 displays the number of the cartridge with the game.

Cheating options allow you to modify the number of the beginning stage and to modify the player number (what means the number of lifes !)

Last option starts the game with the modifications that you have made.

Third option : SELF (also accessible without a game in slot 2)

First option of this menu allows you to load the saved data of a screen.
To convert these data into a bloadable format :
* set the cursor before END in the menu
* press at the same time on the following keys : Left CTRL - SHIFT - Spacebar
You'll get a new file with the extension .VRM.
This file can be used in a MSX-BASIC program with the following instructions
- for a MSX1 game :
COLOR 15,0,0: SCREEN 2,2: BLOAD "filename.VRM",S: A$=INPUT$(1)
- for a MSX2 game :
COLOR 15,0,0: SCREEN 5,2: BLOAD "filename.VRM",S: COLOR=RESTORE: A$=INPUT$(1)

Options 3 and 4 give access to little games (Tennis - Hockey) and to a Biorythm program.
SRAM Disk Utility

For 10 Konami games, data can be saved in the SRAM of the Game Master 2.
Before the SRAM can be used, it must be formatted by using the third option of this menu.
Other options give a list of the SRAM files and allow to delete them.
Don't save too many files on this SRAM, because its size is only 8 Kb.
You can find on this page utilities created by Sean Young to save the SRAM to disk and vice versa :
http://bifi.msxnet.org/msxnet/utils/

SRAM option
It works only for some games and if you have first formatted the SRAM (see above).
The way to use the SRAM can vary for each game.

Contra / Gryzor - Gofer no Yabou Episode 2 / Nemesis 3 - Parodius
Press F1 to pause the game, then press S to save and L to load from SRAM
Gekitotsu Pennant Race - Gekitotsu Pennant Race 2
The SRAM is only used to load / save the game league and team data
Hai no Majutsushi / Mahjong 2
You can save on SRAM only at the end of a round
King's Valley 2 (MSX1 and MSX2 versions)
The SRAM is only used to load / save custom stages
Knightmare 3 Shalom
You can save on SRAM only in some locations of the game
Metal Gear 2 Solid Snake
Press F5 to access to the load / save menu

PAUSE option
When the game is running, press on STOP (=PageUp) to pause the game.
It works also with the demo of the game. The CAPS lock led will turn on.
To quit the Pause mode, press again on STOP (=PageUp) . The CAPS led will turn off.

ONE FRAME option
When you are in Pause mode, press on ":" to advance only one frame.

SLOW MOTION option
When you are in Pause mode, press on ESC to enable slow motion.
You can adjust the speed by using the DEL ans INS keys.
To disable this mode, press on STOP (=PageUp) .

SAVE / LOAD options
When you are in Pause mode, press on Left CTRL to access to the Save / Load options.
You can save only a disk different things : Game, Screen.
The files format is not compatible with Game Master 1.
As the save states of blueMSX, the game data include RAM and VRAM data of the specific used MSX machine.
The files have the following extensions:
.Gxx for Game data, .Sxx for Screen data,
with xx = the two last digits of the Konami RC number.
Screen data files can be converted into a bloadable format (see the SELF option)

GENERAL RESTART option
When you are in Pause mode with the Save / Load menu, set the cursor before END in the menu.
Press at the same time on the following keys : Left CTRL - SHIFT - Spacebar
It will restart completely the Game Master 2 and the game.

Concerned MSX1 games (the game must be inserted in slot 2)

GAME | RC | REMARKS | SRAM
Antartic Adventure | 701 | You can't modify the number of lifes |
Athletic Land | 700 |  |
Cabbage Patch Kids | 716 |  |
Circus Charlie | 712 |  |
Comic Bakery | 714 |  |
F1 Spirit / A1 Spirit | 752 | You can't modify the number of the beginning stage or the number of lifes |
Frogger | 704 | You can't modify the number of the beginning stage |
Gofer no Yabou Episode 2 / Nemesis 3 | 764 |  | GOFE1 GOFE2
Gradius / Nemesis | 742 |  |
Gradius 2 / Nemesis 2 | 751 |  |
Hyper Olympic 1 / Track & Field 1 | 710 | You can't modify the number of lifes |
Hyper Olympic 2 / Track & Field 2 | 711 | You can't modify the number of lifes |
Hyper Rally | 718 | You can't modify the number of lifes |
Hyper Sports 1 | 715 | You can't modify the number of lifes |
Hyper Sports 2 | 717 | You can't modify the number of lifes |
Hyper Sports 3 | 733 | You can't modify the number of lifes |
King's Valley 1 | 727 |  |
King's Valley 2 (MSX1 version) | 760 |  | FILE1 FILE2 FILE3
Knightmare | 739 |  |
Knigtmare 2 - The Maze of Galious | 749 | You can't modify the number of the beginning stage or the number of lifes |
Knigtmare 3 - Shalom | 754 | You can't modify the number of the beginning stage or the number of lifes | SHALM
Konami's Base Ball | 724 | You can't modify the number of the beginning stage or the number of lifes |
Konami's Billiards | 706 | You can't modify the number of the beginning stage |
Konami's Boxing | 736 | You can't modify the number of lifes |
Konami's Mahjong Dojo | 707 | You can't modify the number of the beginning stage or the number of lifes |
Konami's Ping Pong | 731 | You can't modify the number of the beginning stage or the number of lifes |
Konami's Soccer / Konami's Football | 732 | You can't modify the number of lifes; no Ranking mode |
Konami's Tennis | 720 | You can't modify the number of the beginning stage or the number of lifes |
Magical Tree | 713 |  |
Monkey Academy | 702 | You can't modify the number of the beginning stage |
Mopiranger | 728 |  |
Parodius | 759 |  | PARO
Pippols | 729 |  |
Q-Bert | 746 |  |
Road Fighter | 730 | You can't modify the number of lifes |
Salamander | 758 |  |
Sky Jaguar | 721 |  |
Super Cobra | 705 | You can't modify the number of the beginning stage |
The Goonies | 734 | You can't modify the number of lifes |
Time Pilot | 703 | You can't modify the number of the beginning stage |
Twinbee | 740 |  |
Yie Ar Kung-Fu | 725 |  |
Yie Ar Kung-Fu 2 | 737 |  |
Yumetairiku Adventure / Penguin Adventure | 743 |  |

Concerned MSX2 games (the game must generally be inserted in slot 2)

GAME | RC | REMARKS | SRAM
Akumajyo Drakyula / Vampire Killer | 744 |  |
Contra / Gryzor | 762 | Only the SRAM option It's better to place the game in slot 1 and the Game Master 2 in slot 2 | CONTR
Ganbare Goemon / Samurai | 748 |  |
Gekitotsu Pennant Race | 757 | You can't modify the number of the beginning stage or the number of lifes | PENAN
Gekitotsu Pennant Race 2 | 766 | Only the SRAM option | PENA2
Hai no Majutsushi / Mahjong 2 | 765 | Only the SRAM option It's better to place the game in slot 1 and the Game Master 2 in slot 2 | MAJAH
Hinotori / Firebird | 747 |  |
King Kong 2 | 745 | You can't modify the number of the beginning stage or the number of lifes |
King's Valley 2 (MSX2 version) | 761 |  | FILE1 FILE2 FILE3
Metal Gear 1 | 750 | You can't modify the number of the beginning stage or the number of lifes |
Metal Gear 2 - Solid Snake | 767 | Only the SRAM option | SNAK1 SNAK2 SNAK3
Space Manbow | 768 | Only modification of the number of the beginning stage and the number of lifes |


Generic machines

The full version of blueMSX is shipped with 25 generic machines; the required system roms are stored in the Machines/Shared Roms subdirectory. To allow fast loading of CAS files, a CAS patch is applied by default on the BIOS on these machines.

You can also find extra generic machines on the Resource page of the blueMSX website : European MSXturboR - European MSX2+ - Brazilian MSX2+. Unzip the config files in the Machines subdirectory of the emulator.

MSX1 machines

The 11 MSX machines are regional variants of the first MSX generation, they have 3 non-expanded slots, 1 expanded slot, 2 cartridge slots, 1 tape port, 64 Kb RAM, 16 Kb VRAM and generally 2 physical drives. The MSX Brazilian machine has only 1 physical drive.

Besides, the MSX Arabic machine includes a special firmware (see presentation of the Al Alamiah AX-170 machine).

Differences between these machines concern mainly the keyboard, the special characters, the type of floppy drive controller (FDC) and the video frequency :

 | Keyboard | Characters | FDC | Video frequency
MSX (European) | QWERTY | Accented | Philips-Sony | 50 Hz
MSX Arabic | QWERTY | Arabic | National-Daewoo | 50 Hz
MSX Brazilian | QWERTY | Accented | Microsol | 60 Hz
MSX Estonian | QWERTY | Cyrillic | National-Daewoo | 60 Hz
MSX French | AZERTY | Accented | Philips-Sony | 50 Hz
MSX German | QWERTZ | Accented | Philips-Sony | 50 Hz
MSX Japanese | QWERTY | Kana | Panasonic | 60 Hz
MSX Korean | QWERTY | Hangul | National-Daewoo | 60 Hz
MSX Russian | JCUKEN | Cyrillic | National-Daewoo | 60 Hz
MSX Spanish | QWERTY | Accented | Philips-Sony | 50 Hz
MSX Swedish | QWERTY | Accented | Philips-Sony | 50 Hz

To get MSX-MUSIC sounds with a MSX1 machine, insert a FM-PAC rom in one cartridge slot by using the normal or the special cartridge menu.

To get MSX-AUDIO sounds with a MSX1 machine, use the Machine editor to add a MSX Audio chip or Y8950 (without addition of a rom), then save the new machine, eventually under a new name.

The insertion of a Panasonic MSX-AUDIO rom in a cartridge slot is only required for applications that use the MSX-AUDIO BASIC

MSX2 - MSX2+ - MSXturboR machines

9 of the 12 MSX2 machines are regional variants of the second MSX generation, they have 2 non-expanded slots, 2 expanded slots, 2 cartridge slots, 1 tape port and are boosted with 512 Kb mapped RAM, 128 Kb VRAM, MSX-MUSIC, MSX-AUDIO, MoonSound, Turbo-Basic, the PAC cartridge and generally 2 physical drives. The MSX2 Brazilian machine has only 1 physical drive.

The MSX2 Arabic, MSX2 Korean, MSX2+ and MSXturboR machines are boosted in the same way, but have 1 non-expanded slot and 3 expanded slots. Besides, the MSX2 Arabic machine includes a special firmware (see presentation of the Al Alamiah AX-350 machine). The MSXturboR machine is without tape port.

Note about MSX-AUDIO : the insertion of a Panasonic MSX-AUDIO rom in a cartridge slot is only required for applications that use the MSX-AUDIO BASIC or that can use MSX-AUDIO as a substitute for MSX-MUSIC (Compile games and diskstations).

In this last case, edit first the MSX2 Only PSG machine by using the Machine editor to add a MSX Audio chip, then save the new machine, eventually under a new name.

The MSX2 Only PSG machine is not boosted with the special soundchips, you must use it if you want to run a game with automatic choice between PSG and MSX-MUSIC, but want to hear the PSG sounds in stead of MSX-MUSIC.

You can view on this page the list of the rom games with automatic choice between PSG and MSX-MUSIC.

For these machines, there are also differences about the keyboard, the special characters, the type of floppy drive controller (FDC) and the video frequency :

 | Keyboard | Characters | FDC | Video frequency
MSX2 (European) | QWERTY | Accented | Philips-Sony | 50 Hz
MSX2 Arabic | QWERTY | Arabic | National-Daewoo | 50 Hz
MSX2 Brazilian | QWERTY | Accented | Microsol | 60 Hz
MSX2 Estonian | QWERTY | Cyrillic | National-Daewoo | 60 Hz
MSX2 French | AZERTY | Accented | Philips-Sony | 50 Hz
MSX2 German | QWERTZ | Accented | Philips-Sony | 50 Hz
MSX2 Japanese | QWERTY | Kana + Kanji | Panasonic | 60 Hz
MSX2 Korean | QWERTY | Hangul + Screen 9 | National-Daewoo | 60 Hz
MSX2 Only PSG | QWERTY | Accented | Philips-Sony | 50 Hz
MSX2 Russian | JCUKEN | Cyrillic | National-Daewoo | 60 Hz
MSX2 Spanish | QWERTY | Accented | Philips-Sony | 50 Hz
MSX2 Swedish | QWERTY | Accented | Philips-Sony | 50 Hz
MSX2+ | QWERTY | Kana + Kanji | Panasonic | 60 Hz
MSXturboR | QWERTY | Kana + Kanji | Panasonic | 60 Hz


German MSX Keyboard

http://www.msxcafe.com/modules/smartsection/category.php?categoryid=5

The German MSX keyboard is used in the generic MSX German and MSX2 German machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Panasonic CF-2700G (*) / Sanyo MPC-64 (*) / Sony HB-55D (*) / Sony HB-75D (*)

- MSX2 machines : Philips NMS-8280G / Sony HB-F700D

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | Extrem right PC key on the first row | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key - Accent Mark then the vowel key : accent acute (´). Example : á. - Shift + Accent Mark then the vowel key : accent grave (`). Example : à. - Code + Accent Mark then the vowel key : accent circumflex (^). Example : â. - Shift + Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Code | Code + Shift
Graph | Graph + Shift


Sony HB-55 and HB-75

To run these MSX1 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface ; you can also add a diskdrive in slot 1 or slot 3, but the internal firmware can't be used in this case.

The internal firmware is a Personal Databank; data can be saved on cassette or a Sony HBI-55 cartridge. Note also that these Sony computers exist in different international versions, the name is followed by a letter : D=German, F=French, S=Spanish, P=English.

You can add the HBI-55 cartridge by using the Insert Special menu in the Files/Cartridge Slot 1 menu or the Files/Cartridge Slot 2 menu. You can also use the Machine Editor in the Tools menu and create a different machine including this cartridge.

The firmware menu is slighly different when the HBI-55 cartridge has been inserted. Besides, on the Sony HB-75 machine, you can use an option BASIC + DATA CARTRIDGE that allows to save little BASIC programs on the cartridge and to load / run them from the cartridge, with the commands SAVE"CAT:" and LOAD"CAT:".

English menu without HBI-55 | English menu with HBI-55
German menu without HBI-55 | German menu with HBI-55


Sony HB-201

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. On Japanese machines, switch key between Japanese and English characters is RightAlt.

The internal firmware is a Personal Databank; data can be saved on cassette, disk or a Sony HBI-55 cartridge. Note also that this Sony computer exists in different international versions, the name is followed by a letter : D=German, F=French, S=Spanish, P=English.

You can add the HBI-55 cartridge by using the Insert Special menu in the Files/Cartridge Slot 1 menu or the Files/Cartridge Slot 2 menu. You can also use the Machine Editor in the Tools menu and create a different machine including this cartridge.

The firmware menu is slighly different when the HBI-55 cartridge has been inserted. Besides, you can use an option BASIC + DATA CARTRIDGE that allows to save little BASIC programs on the cartridge and to load / run them from the cartridge, with the commands SAVE"CAT:" and LOAD"CAT:".

Remark about HB-501 : A computer very similar to the HB-201 but without the internal firmware (exception is the French version); in stead of that, it comes with an integrated cassette reader.

Japanese menu without HBI-55 | Japanese menu with HBI-55 and diskdrive
English menu without HBI-55 | English menu with HBI-55 and diskdrive


Sony HB-F1 and HB-F1II

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machines have a tape interface ; you can also add a diskdrive. Switch key between Japanese and English characters is RightAlt.

The internal firmware is mainly a Personal Databank; data can be saved on cassette, disk or a Sony HBI-55 cartridge. By pressing F2, F3 or F4, you have access to a calculator, a clock and a calendar.

You can add the HBI-55 cartridge by using the Insert Special menu in the Files/Cartridge Slot 1 menu or the Files/Cartridge Slot 2 menu. You can also use the Machine Editor in the Tools menu and create a different machine including this cartridge.

The firmware menu is slighly different when the HBI-55 cartridge has been inserted.

Menu without HBI-55 | Menu with HBI-55 and diskdrive
Calculator | Clock
Calendar


Sony HB-F1XDJ

To run this MSX2+ machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface, a diskdrive and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt.

The Sony HB-F1XDJ machine comes with an integrated firmware, MSX-JE, a Japanese Word Processor, but it can't be directly runned as the appropriate system disk is not provided. You need to use the third system disk of the Sony HB-F1XV machine.

The system disk of the Sony HB-F1XDJ includes MSX-DOS, a graphic tool, Halos and tools to create games of different kinds. If you want to use it, press on LeftCtrl when booting.

Menu of the system disk :

1 - Graphics = Halos
2 - Program = Game Tools

To access to the menu of the Game Tools, choose option 2 in the welcome text or type in MSX-BASIC RUN"FILER.BAS"; after running of one tool, you can go back to this menu by pressing F1.
Halos | Game Tools menu
Example of action game | Example of animation
Character Editor | Animation Editor
Keyboard Trainer | Keyboard Recorder
Example of shooter | Sprite Editor
Example of strategy game


Sony HB-F1XV

To run this MSX2+ machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface, a diskdrive and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt.

The Sony HB-F1XV machine comes with an integrated firmware, MSX-JE, a Japanese Word Processor.

There are four system disks : the first system disk contains the first version of Synthsaurus, a tool for MSX-MUSIC; the second system disk includes MSX-DOS, a graphic tool, Halos and other creativity tools (if you want to use it, press on LeftCtrl when booting); the third system disk allows to run the Japanese Word Processor and the fourth system disk contains some bonuses such as two little games and an animation.

Synthsaurus 1
Score Editor | Sound Editor
Score Player | Rhythm Editor
Menu of the second system disk :

1 - Graphics = Halos
2 - Program = Game Tools

You can also type in MSX-BASIC RUN"FILER.BAS" to run some tools.
Halos | Game Tools menu
Example of animation | Animation Editor
Voice recorder | Filer menu
Sprite Editor | Color printer tool
Keyboard Trainer
Word Processor intro | Word Processor
Menu of the fourth system disk :

1 - Game 1
2 - Game 2
3 - Tool
4 - Animation
Game 1 | Game 2
Animation


Sony HB-F9P, HB-F9P Russian and HB-F9S

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface ; you can also add a diskdrive.

This machine comes with an internal firmware, a Family Databank with different tools; data can be saved on cassette or disk; you can use this Databank in 4 languages (English, Dutch or Spanish, French, Italian) and a mouse is recommended. To skip it, you need to press on GRAPH when booting.

Using of this machine with a diskdrive is a little special :
- press on SHIFT in the boot sequence to use the firmware and save data on cassette
- boot with a disk inserted in drive A to use the firmware and save data on disk

The Russian version is without this nice firmware. Switch key on Russian machine between Cyrillic and English characters is RightAlt.

Hobbyists have converted this nice machine in a MSX2+ machine. The improved Spanish version is also available on the Resource page of the blueMSX website.

Main menu | Desk Tech menu
Calculator | Calendar
Time Calculator | Timer
Family Databank menu | New data
Settings menu | Save/Load menu


Sony HB-F700

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and a diskdrive. Note also that this Sony computer exists in different international versions, the name is followed by a letter : D=German, F=French, S=Spanish, P=English.

The Sony HB-F700 machine comes with 2 system disks : first system disk includes MSX-DOS and an operating system called Hibrid, that requires a mouse and can be used in 6 languages (English, Italian, Spanish, French, Dutch, German); second system disk is actually a demo disk.

Hibrid intro | Hibrid menu
Calculator | Clock
Calendar | Control Panel
Files on disk A:

Next screenshots : the demo disk !


Sony HB-F900

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface and 2 diskdrives. Combined with the HBI-F900 AV Creator (video/soundmixer and digitizer), it's a very professionnal machine.

The Sony HB-F900 machine comes with 2 system disks : first system disk includes a very advanced graphic tool, Quick Telopper; second system disk includes MSX-DOS, the extended version of a graphic tool, Halos and digitized pictures. A mouse is required to use the tools.

The digitizing and superimposing capabilities of this computer are not yet supported by blueMSX.

Quick Telopper menu

You need to press on LeftCtrl when booting
Graphics Editor (Halos) Text Editor
Scroll/Wipe Tool
Halos (extended version)

You need to type HALOS on the command line

Next screenshots : some digitized pictures !


Sony HB-G900P and Sony HB-G900AP

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machines have a tape interface and 2 diskdrives. Combined with the HBI-G900 videotizer, they are very professionnal machines with also a modem and commands to pilot a laser disc player.

The Sony HB-F700 machine comes with 4 system disks : first and second system disk contain a very advanced graphic tool, Multi-Telopper, with also a backup tool; third system disk includes the extended version of a graphic tool, Halos; fourth system disk comes with MSX-DOS and some fonts.

The digitizing, superimposing, modem and laser disc capabilities of these computers are not yet supported by blueMSX.

Multi-Telopper | Backup tool
Halos (extended version) | Fourth system disk


Toshiba HX-20, HX-23 and HX-23F

To run these machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

The HX-20 is a MSX1 computer, the HX-23 and HX-23F are MSX2 computers.

These machines have a tape interface ; you can also add a diskdrive. They comes with an integrated firmware, a Word Processor that you can skip by pressing ESC when booting.


IDE and SCSI controllers

Different controllers for hard disk or CD-ROM can be connected to MSX computers. They use 2 different bus systems :

- IDE (= Integrated Drive Electronics) is a standard interface for connecting storage devices such as hard disks, solid state disks and CD-ROM drives inside personal computers

- SCSI (= Small Computer Systems Interface) is a standardized way of connecting hardware peripherals to a computer using standardized hardware and control commands.

Sunrise IDE

Sunrise IDE is the well-known IDE developed by Sunrise for MSX. It allows to connect a maximum of two IDE devices like hard disk or CD-ROM and contains MSX-DOS2. A recent version allows to use the Sunrise driver on a MSX1 with memory mapper, but it's recommended to use it on a MSX2, a MSX2+ or a MSXurboR to have full access to the fun of an hard disk !

See also the Sunrise site : http://www.msx.ch/sunformsx/download/dl-ide.html

Or the MSX Pro site : http://www.msxpro.com/ide.html

Direct link to a very useful DSK file : http://www.msxpro.com/download/ideutils.zip

Beer IDE

Beer IDE is a system developed by Egor Voznesnssenski (SOLID) and a partition tool has been written by Adriano da Cunha (A&L Software). This IDE interface doesn't need a memory mapper or MSX-DOS 2, but a patching of the BIOS Beer can be required. BEER202 BIOS manages a fixed number of 5 drives and each partition can handle to 32MB.

See this page and search for BEER : http://msx.retro8bits.com/dos-and-disks.html

GIDE

GIDE is a generic IDE interface for Z80 based computers. It allows to connect a maximum of two IDE devices like hard disk or CD-ROM to such computers. It also contains a real-time-clock (RTC, Seiko-Epson 72421). The interface is accessed via I/O instructions, the base address is 0x40 for SVI-328 and 0x60 for MSX. It is more conceived for developers and experts as it requires to write some software to use it.

See also these sites : http://www.gaby.de/gide/

http://www.iee.et.tu-dresden.de/~kc-club/gide/gide.html

MEGA-SCSI, Wave-SCSI and NOVAXIS/Gouda SCSI

SCSI has been developed for MSX by the Japanese Ese Artists' Factory and by the Dutch MSX Club Gouda. The bus of this interface allows to control 7 peripheral devices. SRAM is connected to the interface in the Japanese versions. In all cases, MSX-DOS 2 is required.

See this site for MEGA-SCSI and Wave-SCSI : http://www.big.or.jp/~saibara/msx/ese/index.html

See this site for the NOVAXIS/Gouda SCSI and general info about SCSI : http://msx.retro8bits.com/msxscsi.html


blueMSX 2.8.2 |  | Getting started |
Introduction The MSX system Features Version history Credits Contact License |  | Installing blueMSX Running blueMSX Generic machines C-BIOS machines Specific machines Non-MSX machines Running games |
Rom images | Cas images | Disk images | Hard disk images
Running rom images Rom images FAQ Cartridge menu Special Cartridge menu Rom databases Konami combis Game Master 1 Game Master 2 | Running cas images New cas images Cas images FAQ Cassette menu Virtual Tape Deck Cas/Wav databases | Running disk images New disk images Disk images FAQ Disk menu Virtual FDD Dsk database | Running hard disk images New hard disk images IDE and SCSI controllers
User interface | Options menu | Input Editor |
Menu Toolbar Left Panel Right Panel Statusbar | Emulation Video Sound Performance Files Disks Settings Ports Language | Input Editor 2-button Joystick ColecoVision Joystick Other Controllers Keyboard Virtual Keyboard Keyboard FAQ SVI Keyboard SEGA Keyboard | Arabic MSX Keyboard Brazilian MSX Keyboard Estonian MSX Keyboard European MSX Keyboard French MSX Keyboard German MSX Keyboard Japanese MSX Keyboard Korean MSX Keyboard Russian MSX Keyboard Spanish MSX Keyboard Swedish MSX Keyboard
Sound Mixer |  | Special blueMSX features | Special MSX/SVI features
Sound Mixer PSG SCC PCM MSX-MUSIC | MSX-AUDIO MoonSound SFG KEYCLICK MIDI | Audio Captures Command line Save States Screenshots Tricky Features Video Captures | 80 Columns In Text Mode CD-ROM and CD AUDIO Digitize and superimpose Ethernet
Special machines |  |  |
Al-Alamiah AX-170 Al Alamiah AX-350/370 Daewoo CPC-300/300E Daewoo CPC-400/400S Gradiente Expert Plus National CF-3300 National FS-4000 National FS-4500/4700 National FS-4600 National FS-5000 | National FS-5500F1/F2 Panasonic FS-A1 Panasonic FS-A1F Panasonic FS-A1FM Panasonic FS-A1FX Panasonic FS-A1GT Panasonic FS-A1MK2 Panasonic FS-A1ST Panasonic FS-A1WSX Panasonic FS-A1WX | Philips NMS-8220 Philips NMS-8245/50/55/80 Philips VG-8230/35/40 Pioneer PX-7/PX-V60 Sanyo Wavy PHC-70FD1/2 Sony HB-55/75 Sony HB-201 Sony HB-F1/F1II Sony HB-F1XDJ Sony HB-F1XV | Sony HB-F700 Sony HB-F900 Sony HB-G900P/G900AP Sony HB-F9P/F9S Spectravideo SVI-738 Talent TPC-310 Toshiba HX-20/23/23F Yamaha CX5M/CX7M/YIS-503M
Machine Editor | Shortcuts Editor | Trainer | Debugger
Machine Editor Slot Configuration Memory Configuration Chip Configuration Extras Configuration RAM mapper types ROM mapper types I/O mapper types Config.ini files | Shortcuts Editor Shortcuts Themes Themes Controls Triggers Actions | Trainer Active cheats Find cheats Bottom Menu MCF files Trace Logger Trace Logger | Debugger Disassembly CPU Registers Stack Callstack Memory Viewer Peripheral registers I/O Ports Debugger - Menu Debugger - Toolbar Debugger - Shortcuts Debugger.ini file


Installing blueMSX

Run the self-installable archive blueMSXvxxx.exe that will autorun blueMSXvxxx.msi.
(xxx = version number of the blueMSX emulator)

The installation program asks you for a directory where you want to install the emulator.
By default, blueMSX will be installed in C:\Program Files\blueMSX

If you prefer to install blueMSX in another directory, then click on "Browse ..." and select a directory. You can also enter manually the destination directory. The button "Disk Cost" allows you to check the available space on all your disks.

You can also decide to install blueMSX only for you or to extend the installation to all users of your computer. This feature is especially useful for WinXP users.

By clicking on the button "Next", you will begin the installation. If the destination directory does not exist, it will be created automatically before unzipping of the files in this directory.

No further installation is required.

The installation will copy the emulator executable and documentation to the selected directory.

It will also create a shortcut on your desktop and 13 subdirectories in the directory where blueMSX is installed :

Audio Capture | will contain .wav files created when you use the Audio Capture feature of the emulator
Casinfo | will contain .pos files that are used by blueDECK, a new approach of the cassette emulation
Databases | will contain .xml files and .dat files for the different databases
Keyboard Config | will contain the files for different keyboard configurations, including those created with the Keyboard Editor
Machines contains different folders with all the parameters of the generic machines supported by the emulator and of some specific machines;
will also contain parameters for the personal machines that you'll create yourself with the Machine editor

If you have installed the full version of the emulator, a subdirectory Shared Roms will contain all the system roms that are used by the generic machines

If you have installed the minimal version of the emulator, only 3 MSX machines are available : MSX - C-BIOS , MSX2 - C-BIOS and MSX2+ - C-BIOS. These machines have not yet disk or cas support, you can only run rom games.
Properties | contains the Audio Mixer
QuickSave | will contain .sta files when you use the Quick Save State feature of blueMSX
Screenshots | will contain .bmp files when you use the Save Screenshot feature of blueMSX
Shortcut Profiles | will contain the files for different shortcut profiles, including those created with the Shortcuts Editor
SRAM will contain .sram files when you quit the emulator after having played a game with intern of extern SRAM;
will also contain .cmos files with the content of the clockchip of the last used MSX machine
Themes | will contain an example of customisable skins to develop a theme for the general layout of the emulator
Tools | will contain .dll files for the tools implemented as plugins
Video Capture | will contain .cap files and .AVI files created when you use the Video Capture and Rendering Video features of the emulator

How to uninstall or repair blueMSX ?

To uninstall blueMSX, go to Control Panel. Select Add/Remove Programs and double click on the blueMSX item. Then choose uninstall.
To repair the blueMSX configuration, follow the steps above but choose repair instead of uninstall.


Introduction

blueMSX is a Windows based application that can emulate an MSX computer. The blueMSX application simulates behavior of the hardware components in the MSX computer with software. The result is an application that behaves like a real MSX in and enables you to run a great amount of software written for the MSX computer.

MSX is a computer platform used by a large public from the early eighties to the mid nineties. In contrast to other platforms of the same period, MSX was a standard for computers, not a specific brand. Many companies such as Sony and Panasonic created their own computers based of the MSX standard.

The original MSX was followed by a couple of generations of MSXes. Since version 2.0, blueMSX supports MSX, MSX2, MSX2+ and MSXturboR software. Almost MSX machines like the ColecoVision console, the Sega SG-1000 console, the Sega SC-3000 and SF-7000 computers and the Spectravideo SVI318/328 computers are also supported.

blueMSX was created in September 2003 by Daniel Vik. The core development team has known different changes, it consists now of Daniel Vik, Benoît Delvaux, Tomas Karlsson, hap, Ray Zero, Ricardo Bittencourt and white cat.

But there are many persons that in different ways have contributed to the development. See the Credits section for a list of everyone that have made blueMSX what it is today.


I/0 Mapper Types

The following I/O mapper types are supported by blueMSX :

(*) | With rom |
29 | Jisyo | Jisho rom (to use with the Bunsetsu rom)
24 | Kanji1 | Kanji rom
30 | Kanji12 | Kanji12 rom
79 | MoonSound | MoonSound rom
103 | SVI727 | Spectravideo 80 column card for MSX1
82 | SVI80COL | Spectravideo 80 column card for SVI-328
 | Without rom |
33 | F4 Device Normal | Device used in MSXturboR computers and Sony MSX2+ computers
34 | F4 Device Inverted | Device used in most MSX2+ computers
97 | GIDE | Generic IDE interface
147 | Joyrex PSG | Joyrex PSG module
26 | Matsushita SRAM | 2Kb internal SRAM for MSX2, MSX2+ and MSXturboR machines
88 | MSX-MIDI | Only for MSXturboR FS-A1GT
84 | MSX Printer | Only for the MSX family
101 | Philips NMS-8280 Digitizer | Only for MSX2 NMS-8280
32 | S1985 | MSX engine used in MSX2 computers
58 | S1990 | MSX engine used in MSXturboR computers
75 | SVI-328 Disk Controller | Only for SVI-328
83 | SVI-328 Printer | Only for SVI-328
85 | SVI-328 Serial Port | Only for SVI-328
90 | Turbo-R Pause | Only for MSXturboR
60 | Turbo-R PCM Chip | Only for MSXturboR
59 | Turbo-R Timer | Only for MSXturboR
80 | Y8950 | MSX-AUDIO chip

(*) number used in the config.ini file


Japanese MSX Keyboard

http://www.msxcafe.com/modules/smartsection/category.php?categoryid=7

The Japanese MSX keyboard is used in the generic MSX Japanese, MSX2 Japanese, MSX2+ and MSXturboR machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : National CF-1200 (*) / National CF-2000 (*) / National CF-2700 (*) / National CF-3000 / National CF-3300 / National FS-1300 (*) / National FS-4000 / Pioneer PX-V60 (*) / Sony HB-201 (*)

- MSX2 machines : National FS-4500 / National FS-4600 / National FS-4700 / National FS-5000 / National FS-5500F1 / National FS-5500F2 / Panasonic FS-A1 (*) / Panasonic FS-A1 (a) (*) / Panasonic FS-A1F / Panasonic FS-A1FM / Panasonic FS-A1MK2 / Sanyo Wavy MPC-25FD / Sanyo Wavy PHC-23 / Sony HB-F1 (*) / Sony HB-F1II (*) / Sony HB-F1XD / Sony HB-F1XDMK2 / Sony HB-F500 / Sony HB-F900 / Sony HB-F900 (a)

- MSX2+ machines : MSXPLAYer 2003 / Panasonic FS-A1FX / Panasonic FS-A1WSX / Panasonic FS-A1WX / Panasonic FS-A1WX (a) / Sanyo Wavy PHC-35J / Sanyo Wavy PHC-70FD1 / Sanyo Wavy PHC-70FD2 / Sony HB-F1XDJ / Sony HB-F1XV

- MSXturboR machines : Panasonic FS-A1GT / Panasonic FS-A1ST / Panasonic FS-A1ST (a) / Panasonic FS-A1ST (b)

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters in normal mode.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Kana | Right Alt | Toggles between Japanese and normal mode; if the Caps key is off, you access to the Hiragana mode, otherwise you access to the Katakana mode. Kanas characters are mapped in two different ways : ANSI (all the MSX1 machines and some MSX2 machines) and JIS (the other machines). Only the JIS layout is supported in current version of blueMSX. Remark : To be able to type in Kanji, you'll have to enter the Basic command CALL KANJI (doesn't work on MSX1 machines).
Comma on numpad | Page Down |
Underscore | Right Ctrl | Combined with Shift, it allows to write the Underscore character (_).

Most Panasonic MSX2+ machines and all Panasonic MSXturboR machines have two special Japanese keys, that allow in some programs to validate or invalidate a choice. The Panasonic FS-A1FX does not have these additionnal keys.

MSX key | PC key |
Iee | Left Windows or Back (Explorer) | Invalidates the choice.
Hai | Right Windows or Forward (Explorer) | Validates the choice.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
ANSI Hiragana mode | ANSI Hiragana mode + Shift
JIS Hiragana mode | JIS Hiragana mode + Shift
ANSI Katakana mode | ANSI Katakana mode + Shift
JIS Katakana mode | JIS Katakana mode + Shift
Graph

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


Input Editor

blueMSX provides a powerful Input editor that allows to change the mapping of some keys or buttons.

As the emulator detects automatically all your compatible DirectX devices, including for example a joypad with 8 buttons or more, you can also assign buttons of your joypad to some keys or buttons of the emulated machine.

The Input editor dialog contains different parts :

- the 2 first tabs allow to select a controller for each controller port and configure it

The emulator supports different types of controllers :

* 2-button joystick

* mouse, dongle, gunstick

* ColecoVision joystick

- the 3rd tab includes a keyboard that you can configure it

- two bottom buttons

OK | Saves every change made to the current configuration and closes the Input editor dialog
Cancel | Closes the Input editor dialog. If the configuration is modified and not saved, a warning dialog will be shown.

- two top buttons to minimize or to close the Input editor window.


Questions and answers about keyboard

Why my keyboard doesn't seem to respond or gets wrong output when I press some keys ?
First thing first, the routine procedure is to check your keyboard configuration on your Windows OS. Be sure that you have a correct keyboard (driver) configuration that matches your locale. This means that you should not use a certain language keyboard that doesn't match your OS language. (i.e. English layout keyboard on Japanese OS). Such use can cause unpredictable result when using blueMSX.

Beware that MSX bios chooses which keyboard layout are being used. So if you boot an European MSX machine, then you will have European keyboard layout which matches the MSX keys accordingly. You will most likely to get different output if a Japanese MSX bios is used on an English keyboard. This is how blueMSX is designed and that's a normal behavior.

It can happen that some keyboards have problems with specific keys (like the Kana key on a Japanese keyboard). You can solve this kind of problems by using the Input Editor.

Why my keyboard seems to hang when I press many keys at the same time ?
This is not a blueMSX bug, but a problem with some PC keyboards, that act very strange when many keys are pressed at the same time.

The maximum keys that can be pressed together can vary from keyboard to keyboard, and this problem can also only happen with some combinations of keys like Right + Left + End or Down + Left + Spacebar.

You can find a solution in most cases by using the keys of the numpad :

- use the Input Editor to change the mapping of the 4 arrows;
- think as 8,4,6,2 keys as arrows and you should be able to use some combinations that don't work with the arrows.

By using this trick, the above examples become 6+4+End and 2+4+Spacebar.


Keyclick

The keyclick is the sound produced when using the keyboard.

This sound can be used to produce 1-bit PCM samples. It's for example the case in the game Super Laydock


Korean MSX Keyboard

http://commons.wikimedia.org/wiki/MSX

The Korean MSX keyboard is used in the generic MSX Korean and MSX2 Korean machines.

Here's the list of the concerned specific machines : (* = this machine is without numeric keypad) :

- MSX machines : Daewoo DPC-100 (*) / Daewoo DPC-180 (*) / Daewoo DPC-200 (*)

- MSX2 machines : Daewoo CPC-300 / Daewoo CPC-300E / Daewoo CPC-400 / Daewoo CPC-400S

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters in normal mode.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Hangul | Right Alt | Toggles between Korean and normal mode. Remark : To be able to type in a bigger Hangul font, you'll have to enter the Basic command SCREEN 9 (available only on MSX2 machines).
Comma on numpad | Page Down |
Underscore | Right Ctrl | Combined with Shift, it allows to write the Underscore character (_).

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Hangul mode | Hangul mode + Shift
Graph MSX1 | Graph MSX2

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


The Left Panel

The left panel of the DIGIblue SUITE-X 2.2 theme contains different LED's and buttons :

three LED's about the status of the Caps key, the Kana key and the R800 processor.
three buttons that change the status of different switches and the corresponding LED's
(F-S : Panasonic Front Switch; A-S: Panasonic MSX-AUDIO switch; P-S : Pause Switch)


License

This software is provided 'as-is', without any express or implied warranty. In no event will the author(s) be held liable for any damages arising from the use of this software.

The MSX trademark and logo are copyrighted by the MSX Association, of which blueMSX is not affiliated with in any way.

Note about old versions (before version 2.0)
In old versions, some parts of blueMSX contain code from fMSX which restricts usage and distribution to non-commercial use only. If you want to distribute old versions of blueMSX commercially, you need to contact Marat Fayzullin or rewrite all code that he is responsible for.


Chip Configuration

In this panel you can configure video chips emulation

You can select the video chip to use and to configure its video RAM size. blueMSX supports four different video chips:

TMS9929A | Used in 50Hz PAL MSX1 machines and in the Spectravideo SVI-318 and SVI-328 machines. | 16 Kb VRAM
TMS99x8A | Used in 60Hz NTSC MSX1 machines, the ColecoVision and SG-1000 consoles, the SC-3000 and SF-7000 computers | 16 Kb VRAM
V9938 | Used in MSX2 machines for both PAL and NTSC. The MSX bios ROM configures the video chip to use either PAL or NTSC. A japanese bios uses NTSC and an european bios uses PAL. | 16, 64 or 128 Kb VRAM
V9958 | Used in MSX2+ and MSXturboR machines for both PAL and NTSC and is configured by MSX bios the same way as V9938. | 128 or 192 Kb VRAM


Machine Editor

blueMSX provides a powerful machine editor that allows to edit the memory layout and configure I/O to create configurations that matches existing or custom made machines.

The machine editor requires some knowledge about the hardware but the interface is made as simple as possible to make it easier to understand the inner part of the emulated machine.

Minimal version and full version of the emulator come with several default machine configurations that probably are sufficient for most emulator users, but for the more technical users this tool allows for a detailed specification of the emulation. The default machines may then serve as a start when designing custom machines.

If you have installed the minimal version of the emulator, only the C-BIOS machines are fully working.

The full version of the emulator includes the system roms for the generic machines, in the subdirectory Machines / Shared Roms.

Both versions of the emulator come also with specific machines configurations (Panasonic, National, Sanyo, ...). On the blueMSX website you can download the complete packages with the special system roms and system disks.

In this editor you can create user defined configurations.

The machine editor dialog contains three parts.

At the top is a dropdown list with all current configurations. All configurations are stored in the "Machines" subdirectory of the emulator.

The center part is a tab control where the configuration is defined. The tab control contains four pages:

Slot Layout
Memory
Chip Emulation
Extras

The bottom part contains four buttons :

Save | Saves changes made to the current configuration.
Save As... | Saves the current configuration with a new name. When the button is pressed, a file dialog is opened where you can specify the new name of the configuration. The original configuration will not be modified.
Run | Starts the emulator using the current configuration. If the configuration is modified and not saved, a warning dialog will be shown.
Close | Closes the machine editor dialog. If the configuration is modified and not saved, a warning dialog will be shown


Extras Configuration

In this panel you can configure emulation of CPU frequency, Floppy Drive Controller and CMOS chip.

CPU Frequency | You can change here the frequency of the main CPU used by the machine. You can therefore underclock or overclock the Z80 frequency. Overclocking request more CPU resource, so don't exaggerate with this option. Underclocking can be interesting, but don't expect that it will make miracles on a slow PC ! If you run a MSXturboR machine, you can also change the R800 frequency.
Floppy Drive Controller | This option is only available if you run a machine with a Floppy Drive Controller. By default, almost all generic machines have a FDC with 2 physical drives. You can change the number of drives in this menu. Brazilian MSX1 and MSX2 machines have by default only 1 physical drive to allow a good working of the CTRL key when pressing in the boot sequence. When there's only one physical drive, the MSX system can still use 2 logical drives (what requests to switch disks when copying from A: to B: or from B: to A: )
CMOS | This option allows to enable support for the CMOS chip and his loaded battery, as it required for a good working of the MSX2, MSX2+ and MSXturboR machines. If you start a MSX1 machine, the CMOS chip is disabled by default, like on the real computer


Memory Configuration

In this panel you can configure the memory and assign rom machines to different addresses and slots.

The dialog consists of a list view that shows the current memory configuration. Each row contains one RAM mapper, ROM mapper or I/O mapper configuration.

The list has five columns. The first column indicates whether the mapper has any conflicts with any previous mapper.

In the picture above one mapper is placed on the same slot, subslot and address as a previous one and thus causing a conflict. The conflict can be resolved by changing the address or slot configuration of the mapper.

The meaning of the other columns is as following :

Slot | Slot and subslot number where the rom shall be mapped. A mapper can be unslotted in which case this field is blank.
Address | The address where the ROM/RAM shall be mapped. If the mapper is unslotted, the field is blank.
Type | Specifies the memory type of the mapper.
Rom Image | Specifies the ROM name if the mapper is a ROM mapper.

Below these columns, there are three buttons :

Add... | Adds a new entry to the memory configuration list.
Edit... | Edits the selected entry to the memory configuration list.
Remove | Removes the selected entry from the memory configuration list.

When the Add or Edit button is pressed or if you double click on a mapper entry in the list. A mapper configuration dialog is shown :

The dialog contains five fields :

File | The field shows the selected ROM file for the mapper. The button opens a file dialog where you can select a ROM file for the mapper. If the mapper does not require a ROM file, this field will be disabled.
Type | A dropdown list where the type of mapper is selected.
Slot | Specifies the slot where to map the ROM. If the type is an I/O mapper, this field is disabled.
Address | Specifies the address within the slot where to map the ROM. If the type is an I/O mapper, this field is disabled.
Size | If the mapper is a ROM mapper, this field shows the size of the ROM. If the mapper is a RAM mapper, this field is an enabled drop down menu where you can set the RAM size.


Slot Configuration

In this panel you can configure the core slot layout. The slot layout determines how you can map ROM machines into memory.

Board | Specifies the type of computer you want to emulate. You can choose between 11 different types (the ColecoAdam type is not yet implemented). The MSX type is for a "normal" MSX1 computer. The other MSX types refer to MSX engines used generally in the MSX2, MSX2+ and Turbo-R machines : - the T9769B is used in all Panasonic MSX2+ machines - the T9769C is used in the MSXturboR machines - most of the MSX2 computers use the S-3527 or the S-1985. - Forte II is only for the Brazilian arcade machine with the Knightmare game The VDP timing is different from one MSX engine to another and the PSG sound is different from the PSG on the MSX1 machines, as they include the Yamaha YM2149 chip instead of the General Instruments AY-3-8910 chip. SVI is a system that is very close to the MSX1 system and concerns the Spectravideo SVI-318 and SVI-328 machines. ColecoVision and SG-1000 are consoles that are very close to the MSX1 system, it's also the case of the SC-3000 and SF-7000 computers.
Slot Layout | Specifies whether the four slots in the machine shall be subslotted or not.
External Slots | Specifies the slot where external slots will be mapped. The external slots are usually used for game cartridges and are inserted in the Cartridge menu. If the selected slot is subslotted, the subslot also needs to be defined.


The Menu

This paragraph contains a description of the items in the drop down menu.

File Menu

Menu Item | Description
Cartridge slot 1 | The Cartridge slot 1 option controls the rom cartridge slot 1. More details here.
Cartridge slot 2 | The Cartridge slot 2 option controls the rom cartridge slot 2. More details here.
Disk drive A | This option controls the Disk drive A. More details here.
Disk drive B | This option controls the Disk drive B. More details here.
Cassette | This option controls the Cassette player. More details here.
Hard Disk | This option controls the Hard Disk. More details here.
Printer | This option allows to advance a printer form to the top of the next page.
Load CPU state | The Load CPU state allows you to load a previously saved CPU state. The option launches a file dialog where you can select the path to a previously saved CPU state. More details here.
Save CPU state | The Save CPU state saves the entire state of the emulator so you can load it and continue execution at a latter time. The option launches a file dialog where you can select the path to a file to which the state will be saved. More details here.
Quick Load state | Loads the CPU state previously saved by Quick Save. The files are stored in the QuickSave directory. More details here.
Quick Save state | Saves the CPU state to a predefined file in the current directory. The files are stored in the QuickSave directory. More details here.
Audio Capture | Starts/stops capturing audio to a file. The files are stored in the Audio Capture directory. A unique file name is always created. More details here.
Video Capture | Starts/stops capturing video to a file. The files are stored in the Video Capture directory. A unique file name is always created. An option allows to create an AVI file with choice of different codecs. More details here.
Save screenshot | Saves a screenshot in the Screenshots directory. A unique file name is always created. More details here.
Exit | Exits blueMSX. The current configuration will always be saved.

Emulation Menu

Menu Item | Description
Run / Pause | Runs or pauses the emulation.
Stop | Stops the emulation.
Hard Reset | Resets and starts the emulation.
Soft Reset | Resets and starts the emulation. The Soft Reset don't erase the RAM memory when the emulation is restarted.
Complete Reset | Resets and starts the emulation with all cartridges and disks ejected.

Window Menu

Menu Item | Description
Small Window | Sets the screen size to 320x240 pixels.
Normal Window | Sets the screen size to 640x480 pixels.
Fullscreen | Runs blueMSX in fullscreen mode.

Options Menu

Menu Item | Description
Video In Source | Allows to select a different video in source (if the machine configuration allows it) . You can use this option if you add the Sony HBI-V1 cartridge to a MSX2 - MSX2+ - MSXturboR computer or run the Philips NMS-8280 MSX2 computer. More details here.
Video Out Source | Allows to select a different video out source (if the machine configuration allows it) . By default, the detection of the video out sources is automatic. You can use this option if you add a 80 columns card to a 'normal' MSX1 computer or run a SVI-328 with such a card. More details here.
Ethernet | Allows to check the presence of the ObsoNET ethernet interface. More details here.
Emulation | Launches the Emulation settings properties dialog. More details here.
Video | Launches the Video settings properties dialog. More details here.
Sound | Launches the Sound settings properties dialog. More details here.
Performance | Launches the Performance settings properties dialog. More details here.
Files | Launches the Files settings properties dialog. More details here.
Settings | Launches the Settings properties dialog. More details here.
Ports | Launches the Ports properties dialog. More details here.
Language | Launches the Language selection dialog. More details here.

Tools Menu

Menu Item | Description
Machine Editor | Launches the Machine editor dialog. More details here.
Shortcuts Editor | Launches the Shortcuts editor dialog. More details here.
Input Editor | Launches the Input editor in a different window. More details here.
Sound Mixer | Launches the Sound Mixer in a different window. More details here.
Trainer | Launches the Trainer in a different window. More details here.
Debugger | Launches the Debugger in a different window. More details here.
Trace Logger | Launches the Trace Logger in a different window. More details here.

Help Menu

Menu Item | Description
Help | Shows the help file.
About | Shows the About dialog.


MIDI

MIDI (Musical Instrument Digital Interface) is a protocol that allows computers, synthesizers, sound cards and drum machines to control each other and to exchange system information.

Physically, it's an one-way (simplex) serial current-loop connection running at 31,250 bits per second and it requires five-pin DIN plugs for MIDI-IN, MIDI-OUT and occasionally MIDI-THRU.

At the moment, blueMSX supports three kinds of MIDI interface :
- Panasonic MSX-MIDI
- Yamaha CX5M/CX7M MIDI (SFG-05)
- Philips Music Module (NMS-1205)

The MSX-MIDI interface is only available on the generic MSXturboR machine and on the Panasonic FS-A1GT. The FM-BASIC can be used on these machines for programs with MIDI music.

The SFG-05 interface is a cartridge that can be inserted in a reserved slot of the Yamaha CX5M/CX7M computers. With a little adapter, this cartridge can be inserted in a slot cartridge of another MSX computer. It has also FM capabilities as explained here.

Other MIDI interfaces can be connected on MSX2 and MSX2+ machines or on the Panasonic FS-A1ST, for example the MIDI interface included in the Philips Music Module. This cartridge has also MSX-AUDIO capabilities as explained here.

The most used synthesizer with MSX computers was the Roland MT-32.

In all cases, you need to use the Options/Sound menu of the emulator. Check also eventually the page about the Yamaha CX5M/CX7M computers.

MIDI tips

Stereo

MIDI sounds produces a stereo effect, that you can enhance in the mixer.

Better sound

A better sound can be obtained in the emulator when you remap the MT-32 instruments to General MIDI and/or when you use a special software that emulates MIDI.


Sound Mixer

The blueMSX mixer gives you full power on the sound produced by the emulator. It allows visualisation in real time of the using of the sound chips and can be used even when no emulated machine is running.

You can access to the mixer by using the menu Tools or the specific shortcut (Left Ctrl + Left Alt + M by default)

You can set the volume and panoration of each individual sound chip : PSG , SCC , MSX-MUSIC , MSX-AUDIO , MOONSOUND , SFG , PCM , KEYCLICK, Input/Output (FDC-AUDIO or the noises produced by the Floppy Drive Controller), MIDI .

By clicking on the led after the name of a sound chip, you can choose to hear or not the sounds and musics of this sound chip. It means that you select or de-select this sound chip. See remark below.
In the master section, there are 3 buttons :

- the small button allows to choose between MONO and STEREO
- the big button is the master volume control
- the led button allows to MUTE all sounds

Click on this button to switch between normal mode and compact mode of the mixer.

Here's the aspect of the mixer in compact mode :
These buttons allow to minimize or to close the mixer window.

Remark : the Mixer allows to hear only the soundchips that interest you, but it doesn't work in all cases : for example, if a demo detects Moonsound, it will use Moonsound in stead of MSX-AUDIO and/or MSX-MUSIC. If you simply de-select Moonsound in the mixer, you'll hear nothing ...

The solution is generally to de-select the boxes in the Options/Sound menu. It will work in most cases.

This trick doesn't work with games like Aleste because they detect the presence of the MSX-MUSIC chip and will therefore use MSX-MUSIC in stead of PSG.

To get only the PSG sounds in games like Aleste, the solution is to use the generic MSX2 Only PSG machine. You can also use the MSX2 C-BIOS machine, but it accepts only rom games.

You can view on this page the list of the rom games with automatic choice between PSG and MSX-MUSIC.


MoonSound

MoonSound is a music soundchip that contains 2 main elements :

- the Yamaha YMF-262 OPL3 FM sound synthesizer with 8 different waveforms, possibility to indicate per channel whether it is audible on the left, right or both and different options for the sound channels :
18 two-operator FM channels
OR 15 two-operator FM channels + 5 FM drums
OR 6 four-operator FM channels + 6 two-operator FM channels
OR 6 four-operator FM channels + 3 two-operator FM channels + 5 FM drums;

- the Yamaha YMF-278B-F YAMAHA OPL4 PCM synthesizer unit (better known in the PC world as wave table synthesis) with a maximum of 24 waves simultaneously, an ajustable stereo in 16 steps for each channel, a playback frequency upto 44.1 kHz of 8-bit, 12-bit or 16-bit data.

This soundchip is MSX-AUDIO compatible (with exception for the ADPCM part) and has a 128 Kb sample RAM, that can be expanded to 2 Mb.

Besides, the MoonSound cartridge includes more than 300 samples !

To hear MoonSound, the emulated MSX machine must include a Moonsound chip (with addition of a rom). It's the case of all generic MSX2, MSX2+ and MSXturboR machines, with exception for the MSX2 Only PSG machine.

For the comfort of the users, the sample RAM is boosted to 640 Kb in all concerned generic machines.

There's no specific MSX-BASIC command for MoonSound.

MoonSound tips

Stereo

MoonSound is the only MSX soundchip with real stereo, you can change the default stereo by a fine tuning in the mixer


MSX-AUDIO

MSX-AUDIO is a music soundchip that contains 2 main elements :

- the YM-8950 YAMAHA OPL1 FM sound synthesizer with 9 channels of FM sound without drums or 6 channels of FM sound + FM drums;

- a 8-bit ADPCM (Advanced Differential Pulse Code Modulation) sample unit with 16kHz as maximum sampling rate and a 32 Kb sample RAM, that can be expanded to 256 Kb.

To hear MSX-AUDIO, the emulated MSX machine must include a MSX Audio chip or Y8950 (without addition of a rom). It's the case of all generic MSX2, MSX2+ and MSXturboR machines, with exception for the MSX2 Only PSG machine.

For the comfort of the users, the sample RAM is boosted to 256 Kb in all concerned generic machines.

The MSX-AUDIO BASIC is an addition to the MSX-BASIC, it allows to use easily MSX-AUDIO, but you must insert the Panasonic MSX-AUDIO cartridge in a slot to access to the new commands.

This part of the audio mixer shows only the MSX-AUDIO part of the Philips Music Module cartridge. If the MIDI part is used, then it will be displayed in the MIDI part of the audio mixer.

MSX-AUDIO tips

If you use a MSX1 machine or a C-BIOS machine, you must add a MSX Audio chip or Y8950 (without addition of a rom), in the Machine editor , then save the new machine, eventually under a new name; if you want to use the MSX-AUDIO BASIC, insert also a Panasonic MSX-AUDIO in a cartridge slot.

Stereo

Many demos use at the same time MSX-AUDIO and MSX-MUSIC, what gives a stereo effect, that you can enhance by a fine tuning in the mixer

Some MSXturboR demos use at the same time MSX-AUDIO and PCM to produce a stereo effect, that you can also enhance in the mixer.

Hear only MSX-AUDIO

- de-select the other soundchips in the mixer

- if you hear nothing, then take a look below

Hear MSX-AUDIO in stead of other soundchips

- de-activate the MSX-MUSIC emulation and/or the MOONSOUND emulation in the Options/Sound menu

- use the MSX2 Only PSG machine after addition, in the Machine editor, of a MSX Audio chip and saving of the new machine, eventually under a new name; if you want to run a Compile game or diskstation or use the MSX-AUDIO BASIC, insert also a Panasonic MSX-AUDIO in a cartridge slot

To run a Compile disk game or diskstation and hear MSX-AUDIO, you can also use in blueMSX the following POKE without need to insert the Philips or the Toshiba MSX-AUDIO cartridge in a slot :
- start the emulated MSX with nothing in the slots and drives;
- when you are in MSX-BASIC, insert the Compile game or diskstation in drive A;
- type POKE -54,35:POKE&HF346,1:_SYSTEM and press on RETURN

MSX-AUDIO cartridges

PANASONIC (FS-CA1)

The unmodified Japanese cartridge has a special switch that you can activate in the Options/Emulation menu :

- when the switch is selected, you access to the built-in firmware that is also available in the Toshiba cartridge;

- when the switch is not selected, you come in MSX-BASIC and can use the extended MSX-AUDIO BASIC (it's like the MSX-MUSIC BASIC but CALL MUSIC is replaced by CALL AUDIO and it contains also extra instructions for ADPCM samples and extern musical keyboard)

- from MSX-BASIC, you can start the firmware by using CALL SYNTHE if you don't have already used CALL AUDIO

This cartridge is normally required to get MSX-AUDIO in stead of MSX-MUSIC or PSG with some Compile games and diskstations, without using a special poke. In case of rom games, it's better to insert the Panasonic MSX-AUDIO in slot 1 and the game in slot 2.

PHILIPS (NMS-1205)

The unmodified Dutch cartridge starts with the built-in firmare, unless you press on ESC when booting the emulated MSX machine.

From MSX-BASIC, you can start the firmware by using CALL MUSICBOX

If you use this cartridge to get MSX-AUDIO in stead of MSX-MUSIC or PSG with some Compile games and diskstations, you must normally proceed as following :
- start the emulated MSX with this cartridge in one slot and don't forget to press on ESC;
- insert the Compile game or diskstation in drive A;
- in MSX-BASIC, type POKE -54,35:POKE&HF346,1:_SYSTEM and press on RETURN

This special POKE can also be used in blueMSX without inserting the Philips cartridge or the Toshiba cartridge in a slot !

TOSHIBA (HX-MU900)

The unmodified Japanese cartridge starts with the built-in firmare, unless you press on ESC when booting the emulated MSX machine.

From MSX-BASIC, you can start the firmware by using CALL SYN

If you use this cartridge to get MSX-AUDIO in stead of MSX-MUSIC or PSG with some Compile games and diskstations, you must normally proceed as following :
- start the emulated MSX with this cartridge in one slot and don't forget to press on ESC;
- insert the Compile game or diskstation in drive A;
- in MSX-BASIC, type POKE -54,35:POKE&HF346,1:_SYSTEM and press on RETURN

This special POKE can also be used in blueMSX without inserting the Philips cartridge or the Toshiba cartridge in a slot !

MSX-AUDIO rom games

Only 3 MSX2 games in rom format can use MSX-AUDIO when you insert the Panasonic MSX-AUDIO cartridge in slot 1 and the game in slot 2 :

Family Stadium
Labyrinth
Xevious - Fardraut Saga


MSX-MUSIC

MSX-MUSIC is a light version of MSX-AUDIO without sample unit , it's the Yamaha YM-2413 OPLL FM sound synthesizer with 9 channels of FM sound without drums or 6 channels of FM sound + FM drums.

To hear MSX-MUSIC, the emulated MSX machine must include a MSX Music chip (with addition of a rom). It's the case of all generic MSX2, MSX2+ and MSXturboR machines, with exception for the MSX2 Only PSG machine.

The FM-BASIC is an addition to the MSX-BASIC, it allows to use easily MSX-MUSIC, but you must insert a MSX-MUSIC chip in a slot to access to the new commands when using a machine without built-in MSX-MUSIC.

MSX-MUSIC tips

If you use a MSX1 machine or a MSX1/MSX2 C-BIOS machine, you must add a MSX Music chip.

The most simple way is to use the normal or special cartridge menu to insert a MSX-MUSIC cartridge in a slot, but you can also make this addition in the Machine editor , then save the new machine, eventually under a new name.

For the C-BIOS machines, it's recommended to use the cbios_music.rom file that comes with the MSX2+ C-BIOS machine : see this page.

Stereo

Many demos use at the same time MSX-AUDIO and MSX-MUSIC, what gives a stereo effect, that you can enhance by a fine tuning in the mixer

Hear only MSX-MUSIC

- de-select the other soundchips in the mixer

- if you hear nothing, then take a look below

Hear MSX-MUSIC in stead of other soundchips

- de-activate the MSX-AUDIO emulation and/or the MOONSOUND emulation in the Options/Sound menu

MSX-MUSIC cartridges

PANASONIC (FM-PAC)

Only this Japanese cartridge contains two different parts : a music chip (MSX-MUSIC) and a saving system for some games (S-RAM).

From MSX-BASIC, you can start the firmware by using CALL FMPAC

CHECKMARK (FM-PAK)

This Dutch cartridge is without S-RAM.

From MSX-BASIC, you can start the firmware by using CALL FMPAK

ZEMINA (MUSICBOX)

This Korean cartridge is without S-RAM and without firmware.

ACVS (FM-ACVS)

This Brazilian cartridge is without S-RAM and without firmware.

MSX-MUSIC rom games

With exception for Synthe Saurus 1.1 and Blade Lords, the concerned roms use generally PSG when no intern of extern MSX-MUSIC chip is found.

For R-Type, Heroes Of The Lance and Nekketsu Judo, it's recommended to use the MSX2 Only PSG machine and to insert the game in slot 1 and a FM-PAC cartridge in slot 2.

MSX1 games

Gambler Jikichushinpa
R-Type (only with FM-PAC in slot 2, otherwhise PSG is used)
Synthe Saurus 1.1 (only MSX-MUSIC)

MSX2 games

Aleste
Blade Lords (only MSX-MUSIC)
Daikoukai Jidai
Europe War
Family Stadium
Fleet Commander 2
Gambler Jikichushinpa 2
Genchohisi
Heroes Of The Lance (only with FM-PAC in slot 2, otherwhise PSG is used)
Inindo Tado Nobunaga
Isin no Arashi
L'Empereur
Maison Ikkoku Final
Mon Mon Monster
Nekketsu Judo (only with FM-PAC in slot 2, otherwhise PSG is used)
Nobunaga no Yabou - Bushouhuunroku
Nobunaga no Yabou - Senkokugunyuden
Pac-Mania
Penguin-Kun Wars 2
Quinpl
Royal Blood
Sangokusi 2
Suikoden
Teitoku no Ketsudan
Tetris
Xevious - Fardraut Saga


The MSX System

On this page, you find a short presentation of the MSX system with his 5 generations

Generation 0 :
ColecoVision, Sega SG-1000, SC-3000, SF-7000 and SVI318/328

These machines can be viewed as the first steps to the creation of the MSX standard.

ColecoVision, Sega SG-1000, SC-3000 and SF-7000 have the same CPU and Video Display Processor (VDP) than the MSX1 machines; they use the Texas Instrument SN76489 sound chip, that is very close to the Programmable Sound Generator (PSG) of the MSX1 machines.

In the SVI318/328 computers, CPU, VDP and PSG are the same than in the MSX1 machines ; the SVI-BASIC is very close to the MSX-BASIC.

The SEGA BASIC, used on the SC-3000 and SF-7000 computers, has also many similarities with the MSX-BASIC.

Generation 1 : MSX1

Main characteristics of the MSX1 machines :

- CPU Zilog Z80A 3,579 MHz (8-bit)
- RAM between 8 Kb and 64 Kb
- MSX BASIC version 1.0
- Video Display Processor : Texas Instruments TMS-9918/TMS-9928/TMS-9929
- Video RAM (VRAM)16kB
- General Instruments AY-3-8910 Programmable Sound Generator.

Many MSX1s use hardware by different brands, eg. Sharp/Zilog/SGS Z80, TMS/Toshiba/Yamaha VDP, GI/Yamaha PSG. The differences are minor but haven't yet been emulated

Remark : Forte II Games is a Brazilian MSX1 arcade board. As on the real machine, you need to insert a coin before playing the embedded game (Knightmare in a slightly modified version) : you can do that by pressing on the "C" key, then on the real or virtual joystick button(as this board comes without any keyboard).

Generation 2 : MSX2

Main characteristics of the MSX2 machines :

- CPU Zilog Z80A 3,579 MHz (8-bit)
- RAM between 64 Kb and 256 Kb (expandable)
- Memory Mapper system
- MSX BASIC version 2.0 / 2.1
- Video Display Processor: Yamaha V9938
- Video RAM (VRAM) 64 Kb or 128 Kb
- General Instruments AY-3-8910 Programmable Sound Generator or compatible (Yamaha YM2149)

Z80 is inside the MSX Engine, probably not Zilog, but a clone.

Generation 3 : MSX2+

Main characteristics of the MSX2+ machines :

- CPU Zilog Z80A 3,579 MHz (8-bit) switchable on some machines to 5,369 MHz
- RAM 64 Kb (expandable)
- Memory mapper system
- MSX BASIC version 3.0
- Video Display Processor : Yamaha V9958
- Video RAM (VRAM) 128 Kb
- General Instruments AY-3-8910 Programmable Sound Generator or compatible (Yamaha YM2149)
- Most machines have built-in MSX-MUSIC (Yamaha OPLL YM-2413)

Z80 is inside the MSX Engine, probably not Zilog, but a clone.

Generation 4 : MSXturboR

Main characteristics of the MSXturboR machines :

- RISC CPU R800 (DAR800-X0G), 7,159 MHz (16-bit)
- CPU Zilog Z80A 3,579 MHz (8-bit)
- RAM 256 Kb or 512 Kb (expandable)
- Memory mapper system
- MSX BASIC version 4.0 / 4.1
- Video Display Processor : Yamaha V9958
- Video RAM (VRAM) 128 Kb
- Yamaha YM2149 Programmable Sound Generator
- Built-in MSX-MUSIC (Yamaha OPLL YM-2413)
- PCM synthesizer 8-bit (sample rate 16kHz)
- The MSXturboR GT has built-in MSX-MIDI interface


Philips NMS-8220

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. It comes with an integrated firmware, a graphic tool that you can skip by pressing ESC when booting.

MSX Designer, the integrated firmware


Philips NMS-8245, NMS-8250, NMS-8255 and NMS-8280

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface and one diskdrive (NMS-8245/50) or two diskdrives (NMS-8255/80). They come with three or four system disks : first system disk contains MSX-DOS with a nice interface; second system disk includes second version of MSX Home Office; third system disk contains a graphic tool, Videographics (with demo mode by pressing F10); fourth system disk comes only with the NMS-8280 computer and is actually a demo disk.

There is a French version of the NMS-8245 machine and a German version of the NMS-8280 machine. The NMS-8280 computer has superimposing and digitizing capabilities that are supported by blueMSX : see this page.

Interface for MSX-DOS | Home Office 2
Videographics title | Videographics menu
Videographics demo

Next screenshots : the demo disk of the NMS-8280 computer !


Non-MSX machines

blueMSX is shipped with different non-MSX machines; the required system roms are generally stored for each machine in a dedicated subdirectory of the directory Machines. The Sega SG-1000 console and the SC-3000 computer do not require a system rom to be fully emulated.

Coleco machines

Only the ColecoVision console is yet supported, this console has 4 non-expanded slots, 1 cartridge slot, 1 Kb Mirrored RAM and 16 Kb VRAM.

You can also use the Spectravideo SVI-603 Coleco game adapter, the ColecoVision with the Opcode Memory Extension (16 Kb RAM) or the Bit Corporation Dina : it's a ColecoVision console with a built-in game; if you don't insert a Coleco cartridge, than the built-in game (Meteoric Shower) will start automatically.

The video frequency is 60 Hz, but you can manually switch to 50 Hz in the Options/Emulation menu.

We hope to emulate in a future version the ColecoAdam computer that has more features.

Sega machines

Three Sega machines are emulated by blueMSX : the SG-1000 console, the SC-3000 and SF-7000 computers.

Sega Game-1000 and Sega Computer-3000 have 4 non-expanded slots, 1 cartridge slot, 2 Kb Mirrored RAM and 16 Kb VRAM. The SC-3000 can run games or applications that require a keyboard. The Sega BASIC comes on cartridges that have their own RAM (16 or 32 Kb).

SF-7000 is an extension for SC-3000, transforming it into a Super Control Station with 1 disk drive, 4 non-expanded slots, 1 cartridge slot, 64 Kb RAM and 16 Kb VRAM. A system disk is required to use the Sega Disk Basic.

The video frequency is 60 Hz, but you can manually switch to 50 Hz in the Options/Emulation menu.

We hope to emulate in a future version the Sega Master System with its advanced video mode.

Spectravideo machines

Five SVI machines are emulated by blueMSX. They have 4 non-expanded slots, 1 cartridge slot, 1 tape port, 16 Kb VRAM and a QWERTY keyboard.

The video frequency is 50 Hz, but you can manually switch to 60 Hz in the Options/Emulation menu.

Differences between these machines concern mainly the RAM, the addition of a drive and the presence of a second video card :

 | RAM | Drive | Second video card
SVI-318 | 16 Kb | No | No
SVI-328 | 64 Kb | Yes | No
SVI-328 80 Column | 160 Kb | Yes | Yes (for 80 columns)
SVI-328 80 Swedish | 160 Kb | Yes | Yes (for 80 columns)
SVI-328 MK2 | 160 Kb | Yes | No


PCM

PCM (Pulse Code Modulation) is a 8-bit sample unit that is only available on the MSXturboR machines; its maximum sampling rate is 16kHz and there's no analogic-digital converter like it is the case with MSX-AUDIO.

To hear PCM, the emulated MSXturboR machine must include a Turbo-R PCM chip (without addition of a rom).

MSXturboR machines include specific MSX-BASIC commands for PCM.

With some advanced programming; PSG can be used to produce also 8-bit samples : http://map.grauw.nl/articles/psg_sample.php

This part of the audio mixer does not show the 1-bit samples produced by using the keyclick, as another part of the mixer is dedicated to the keyclick.

PCM tips

Stereo

Some MSXturboR demos use at the same time MSX-AUDIO and PCM to produce a stereo effect, that you can also enhance in the mixer.

Hear only PCM

- de-select the other soundchips in the mixer


Sanyo PHC-70FD1 and PHC-70FD2

To run these MSX2+ machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface, one diskdrive (PHC-70FD1) or two diskdrives (PHC-70FD2) and built-in MSX-MUSIC. Switch key between Japanese and English characters is RightAlt.

These machines come with an integrated firmware, a special version of Turbo-Basic, that you need to call by CALL BC before to be able to use CALL TURBO ON and CALL TURBO OFF in MSX-BASIC programs.

There's also a system disk that is actually a demo disk with automatic and manual modes. To exit from the demo, press on CTRL+STOP.

Menu of the system disk | MSX2+ demo
MSX-MUSIC demo | Turbo-Basic demo


PSG

PSG (Programmable Sound Generator) is the sound chip that you will find in all MSX and MSX-related machines :

- in MSX and SVI machines, it's the General Instruments AY-3-8910 sound chip

- in MSX2, MSX2+ and MSXturboR machines, it's generally replaced by the Yamaha YM2149 sound chip

- in Coleco and Sega machines, it's the Texas Instrument SN76489 sound chip

It has three tone generators and a white noise generator.

The MSX-BASIC includes instructions to use easily the PSG.

With some advanced programming; PSG can be used to produce 8-bit samples : http://map.grauw.nl/articles/psg_sample.php

This part of the audio mixer shows only the normal using of the PSG channels. If the PCM part is used, then it will be displayed in the PCM part of the audio mixer.

PSG tips

Stereo

As SCC is combined is PSG in some demos and Konami games, it gives a stereo effect, that you can enhance by a fine tuning in the mixer

Hear only PSG

- de-select the other soundchips in the mixer

- if you hear nothing, then take a look below

Hear PSG in stead of other soundchips

- de-activate the MSX-MUSIC emulation and/or the MSX-AUDIO emulation in the Options/Sound menu

- use the MSX2 Only PSG machine, especially if you want to run a game with automatic choice between PSG and MSX-MUSIC, but want to hear the PSG sounds in stead of MSX-MUSIC.

You can view on this page the list of the rom games with automatic choice between PSG and MSX-MUSIC.


Pioneer PX-7 / PX-V60

To run these MSX1 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

This machine has a tape interface; you can also add a diskdrive, but at the moment, it won't work in blueMSX because the special features of these computers are not yet supported.

They comes with an integrated firmware, the P-BASIC that allows to superimpose and to pilot a laser disc player. Besides, a cartridge, Video Art, can be used only with a special touch pen.

Pioneer menu
Video Art Video Art menu


RAM Mapper Types

The following RAM mapper types are supported by blueMSX :

(*) |  | Sizes |
93 | 1 Kb Mirrored RAM | 8 - 16 - 24 - 32 - 40 - 48 - 56 - 64 Kb | Only for ColecoVision consoles
111 | 2 Kb Mirrored RAM | 8 - 16 - 24 - 32 - 40 - 48 - 56 - 64 Kb | Only for Sega SG-1000 and SC-3000 machines
120 | Ese-RAM | 128 - 256 - 512 - 1024 Kb external SRAM | Only for the MSX family
125 | Ese-SCC | 128 - 256 - 512 Kb external SRAM | Only for the MSX family
69 | External RAM | 512 - 1024 - 2048 - 4096 Kb | Only for MSX2, MSX2+ and MSXturboR machines
92 | GameReader | Ascii/Sunrise Game Reader | Only for the MSX family
22 | Mapped RAM | 64 - 128 - 256 - 512 - 1024 - 2048 - 4096 Kb | Only for the MSX family
137 | Mega Flash Rom SCC | 512 Kb external RAM | Only for the MSX family
44 | MegaRAM | 128 - 256 - 512 - 768 - 2048 Kb | Only for the MSX family
115 | Mega-SCSI | 128 - 256 - 512 - 1024 Kb external SRAM | Only for the MSX family
23 | Normal RAM | 8 - 16 - 32 - 64 Kb |
43 | PAC | Panasonic 9 Kb external SRAM | Only for the MSX family
77 | Sony HBI-55 | Sony 4 Kb external SRAM | Only for some Sony MSX1 and MSX2 machines
129 | Wave-SCSI | 128 - 256 - 512 - 1024 Kb external SRAM | Only for the MSX family

(*) number used in the config.ini file


The Right Panel

The right panel of the DIGIblue SUITE-X 2.2 theme contains three LED's and different buttons :

four LED's about the status of the floppy disk drives, the cassette reader and the hard disk
two big buttons that give access to the mixer (MIXER) or the controllers/keyboard editor (KBD-JOY CONF)

three little buttons that change the statusbar (STATUS - CONTROL - VIDEO)


Konami rom combinations

Some Konami games on cartridge allow you to get "extra powers" by inserting two different roms :
the rom of the game and the rom of another game.

There are also 2 special cartridges that allow you to cheat : Game Master 1 and Game Master 2.

How to do with the Konami combinations ?
- Choose procedure 1, 2 or 3 (menu, toolbar, hotkey)
- Insert first rom in slot 1
- Insert second rom in slot 2 :
* if you have choosen the 1st procedure, click on File / Cartridge Slot 2 / Insert
* if you have choosen the 2d procedure, use the 4th icon of the toolbar (Insert Cartridge in Slot 2)
* if you have choosen the 3rd procedure, the hotkey is CTRL + F8

Which are the different Konami rom combinations ?
You find below the different Konami rom combinations.
See also the options added by the Game Master 1 and the Game Master 2

ROM IN SLOT 1 | RC | ROM IN SLOT 2 | RC | "EXTRA POWERS"
F1 Spirit / A1 Spirit | 752 | Game Master 1 | 735 | All circuits are accessible
F1 Spirit / A1 Spirit | 752 | King Kong 2 | 745 | All circuits are accessible.
F1 Spirit / A1 Spirit | 752 | Q-Bert | 746 | All circuits are accessible
Ganbare Goemon / Samurai | 748 | Q-Bert | 746 | You can select stage and lifes when you start the game; PAUSE and ONE FRAME options are available
Gradius 1 / Nemesis 1 | 742. | Twinbee | 740 | Your ship is a twinbee and energy pods are bells
Gradius 2 / Nemesis 2 | 751 | Knightmare 2 - The Maze of Galious | 749 | If you loose a ship, you can get your weapons back (RESTORE option - doesn't work with CONTINUE)
Gradius 2 / Nemesis 2 | 751 | Q-Bert | 746 | You can use 3 passwords in pause mode : LARS18TH - All weapons METALION - Green shield (You are immortal for a while, but you can't fly through the landscape) NEMESIS - Go to next stage
Gradius 2 / Nemesis 2 | 751 | Yumetairiku Adventure / Penguin Adventure | 743 | Metalion will turn into Penguin, powerups will turn into fishes and blue powerups will turn into birds
Hinotori / Firebird | 747 | King Kong 2 | 745 | You can save the game to tape by pressing F4 and load it by pressing F5
Hinotori / Firebird | 747 | Q-Bert | 746 | You can select stage and lifes when you start the game; PAUSE and ONE FRAME options are available
Knightmare 2 - The Maze Of Galious | 749 | Knightmare | 739 | You can revive Popolon or Aphrodite 99 times in Death's shrine
Knightmare 2 - The Maze Of Galious | 749 | Q-Bert | 746 | Full vitality and 100 arrows, coins and keys
Salamander | 758 | Gradius 2 / Nemesis 2 | 751 | You can access to an extra stage, so you can defeat Venom and finish the game
The Treasure Of Usas | 753 | F1 Spirit / A1 Spirit | 752 | In any mood, the secret powers of the happy mood are active
The Treasure Of Usas | 753 | Gradius 2 / Nemesis 2 | 751 | You can continue the game by F5 after a game over
The Treasure Of Usas | 753 | Knightmare 2 - The Maze Of Galious | 749 | 100 coins at the start
The Treasure Of Usas | 753 | Metal Gear 1 | 750 | Halves vitality damage
Yie Ar Kung-Fu 2 | 737 | Yie Ar Kung-Fu | 725 | If you're nearly dead, your father will appear after a while and drop you a cup of tea.


Extern Rom Databases

blueMSX uses different databases (with SHA1 values) :

- msxromdb.xml : the MSX database for games and applications in rom format

- msxsysromdb.xml : the MSX database for system rom files

- svidb.xml : the SVI database (with cas/wav, dsk and rom data)

- colecodb.xml : the Coleco database (only roms for the moment)

- segadb.xml : the Sega database (only rom and dsk data for the moment)

If a game is in one of these databases, there's no problem as blueMSX detects it and knows directly the mapper type, so he can run it !

How to add rom data in these databases ?

You must use the following general syntax :
<software>
oooooo <title xml :lang="en"> .......</title> | Example : Metal Gear 2 Solid Snake
oooooo <system> ....... </system> | Example : MSX (other options : SVI - Coleco - Sega)
oooooo <company> .......</company> | Example : Konami
oooooo <year> ......</year> | Example : 1990
oooooo <country> ....... </country> | Country code - Example : JP for Japan
oooooo <dump>
ooooooooooooo <original value="...."> ....

         2 options :
- for a GoodMSX dump : <original value="true">GoodMSX</original>
- for an other dump : <original value="false"/>
ooooooooooooo <rom> | Other options : megarom - sccpluscart - system rom
ooooooooooooo <type> ....... </type>

         Only for rom - megarom - system rom
Can be skipped for Normal roms
that begin at 0x0000 or for mirrored roms
(auto-detection by the emulator; not recommended for system roms)
ooooooooooooo <start> ....... </start>

         Only for the Normal roms - 4 options : 0x0000 - 0x4000 - 0x8000 - 0xC000
Can be skipped for Normal roms
that begin at 0x0000 or for mirrored roms
(auto-detection by the emulator; not recommended for system roms)
ooooooooooooo <boot> ...... </boot> | Only for the sccpluscarts - 2 options : scc - scc+
ooooooooooooo <hash algo="...."> ....... </hash> | 2 options : crc32 or sha1 value (sha1 value is recommended)
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | You can add here other infos about this dump
ooooooooooooo </remark>
ooooooooooooo </rom>
oooooo </dump>
oooooo <dump> | Next dump of the same game !
...........................
oooooo </dump>
</software>

How to find the sha1 code of a rom game ?

- use Google to make a research on the Net and you'll find different tools to calculate the sha1 value


Questions and answers about rom images

How to get more memory to run some MSX games ?
Some MSX games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl or on Left or Right Shift during the boot sequence, until you hear a beep (it will de-activate the second drive or both drives)

Can I also run zipped rom games ?
Yes, but the procedure with double click is not available for zipped rom games

- if only one rom game is in the zip file, it is loaded directly
- if there are many rom games in the zip file, a dialog where you have to select which rom game to load from the zip file is shown

How to do with the Konami combinations (one rom in slot 1, one rom in slot 2) ?
See this page

How to run Metal Gear and Metal Gear 2 Solid Snake ?
These games can only be runned on MSX2, MSX2+ and MSXturboR machines.

If the rom you use is detected by the emulator in its database, it's very easy : just insert the rom in a slot cartridge, then press on F12.

If the rom you use is not detected by the emulator in its database, then you need to precise the mapper type in the Insert Cartridge dialog : it's "Konami" for Metal Gear and "KonamiSCC" for Metal Gear 2 Solid Snake.

Some special keys :
F1 to pause game
F2 to select weapon
F3 to select item
F4 to use transceiver
N or M to punch
Spacebar to fire weapon
Spacebar + N to duck/dive in Metal Gear 2 Solid Snake

You can find on the Net many websites with detailed explanations about the games. We recommend especially :

- in English : http://www.gamefaqs.com/computer/msx/

- in French : http://mgworld.free.fr/

The easiest way to run these games is to download, install and run the special package blueMSX + Metal Gear + Metal Gear 2 Solid snake (English versions) : http://www.angelfire.com/mech/msxmetalgearpc/

How to avoid that blueMSX starts automatically a game ?
- de-activate the option Reset After Insert/Remove in the File / Cartridge menu
- choose procedure 1, 2 or 3 (menu, toolbar or hotkey)

It doesn't work ! What must I do ?
- if you have choosen procedure 1, 2 or 3 (menu, toolbar or hotkey), you have maybe de-activated the option Reset After Insert/Remove in the File / Cartridge menu : press on F9 (= Run) or on F12 (= Reset) to start the game

- some MSX games are only for MSX2 or higher and you are running a MSX1 machine : choose a MSX2 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

- some Sega games are only for SC-3000 or SF-7000 computer and you are running the SG-1000 console : choose SC-3000 or SF-7000 in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

- some MSX games or applications can work correctly only if a joystick is configured or a mouse is selected in the Input Editor

- some Sega games start or work correctly only if both joysticks are configured in the Input Editor

- some games are not yet in the database and use a special mapper : if you know the mapper type, you can complete one of the files related to the blueMSX extern rom databases and try again to start the game. You can also precise the mapper type in the open rom dialog, see these pages for more precisions : ROM mapper type - I/O mapper type.

- the game YAKSA must be runned in a MSX2 machine with only one extended slot and it must be the slot 3; so, you need to use the Machine editor to create yourself such a generic MSX2 or to select a specific MSX2 with only the slot 3 as extended slot.

- if the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation or you have maybe discovered a new mapper type ; please report the problem on the blueMSX forum, we will try to fix it !


ROM Mapper Types

The following ROM mapper types are supported by blueMSX :

(*) | MSX ROMS |
104 | FMDAS | F&M Direct Assembler System rom
91 | KeyboardMaster | Konami's Keyboard Master rom
144 | MatraInk | Matra rom with AMD Flash memory
19 | Mirrored | Mirrored rom (autodetected)
20 | Normal - start 0x0000 | Normal rom (start at 0x0000 - autodetected)
42 | Normal - start 0x4000 | Normal rom (start at 0x4000)
39 | Normal - start 0x8000 | Basic rom (start at 0x8000)
109 | Playball | Sony Playball rom with digitized speech
1 | Standard | Standard MSX rom (autodetected)
61 | Synthesizer | Konami's Synthesizer rom
 | MSX MEGAROMS |
6 | ASCII16 | ASCII16 rom - Example : Xevious
9 | ASCII16SRAM2 | ASCII16 rom with SRAM - Example : Hydlide 2
5 | ASCII8 | ASCII8 rom - Example : Bubble Bobble
8 | ASCII8SRAM8 Wizardry | ASCII8 rom with SRAM - Examples : Xanadu - Wizardry
11 | CrossBlaim | Cross Blaim rom
7 | GameMaster2 | Game Master 2 rom (with SRAM)
17 | GenericKonami | Konami4 variant (for cracked roms)
12 | HarryFox | Harry Fox - Yuki no Maou hen rom
25 | HolyQuran | Holy Quran rom (to use with the MSX1/2 Arabic machine)
38 | KoeiSRAM8 KoeiSRAM32 | Koei rom with SRAM - Example : Europe War
4 | Konami | Konami4 rom (without SCC chip) - Example : The Treasure of Usas
3 | KonamiSCC | Konami5 rom with SCC chip - Example : Kings Valley 2
62 | Majutsushi | Hai no Majutsushi rom
136 | Manbow2 | Konami5 rom with SCC chip and Flash memory
145 | NettouYakyuu | Moero!! Nettou Yakyuu '88 rom with sample player
10 | R-Type | R-TYPE rom
55 | SCC | Generic SCC rom
15 | SCCextended | Extended SD-Snatcher SCC-I rom
56 | SCC+ or SCCPLUS | Generic SCC-I rom
54 | SCCmirrored | Mirrored SD-Snatcher SCC-I rom
53 | SDSnatcher | SD-Snatcher SCC-I rom
52 | Snatcher | Snatcher SCC-I rom
41 | SuperLodeRunner | Super Lode Runner rom
18 | SuperPierrot | Super Pierrot rom
14 | Zemina126in1 | Korean 126-in-1 rom
13 | Zemina80in1 | For three Korean roms : 30-in-1, 64-in-1 and 80-in-1
51 | Zemina90in1 | Korean 90-in-1 rom
 | MSX SCCPLUSCARTS |
55 | boot : scc | SCC rom games (for cracked roms)
56 | boot : scc+ | SCC-I rom games (for cracked roms)
 | MSX SYSTEM ROMS |
140 | A1FMModem | Panasonic FS-A1FM modem rom
98 | BeerIDE | Beer IDE harddisk rom
28 | Bunsetsu | Bunsetsu rom
66 | CasPatch | Normal rom + cassette patch
21 | DiskPatch | Normal rom + disk patch
138 | ForteII | ForteII arcade bios rom with embedded game
16 | FMPAC | Panasonic FM-PAC rom (with SRAM and MSX-MUSIC)
87 | FMPAK | Dutch or Korean MSX-MUSIC rom
135 | GoudaSCSI | MSX Club Gouda SCSI harddisk rom (Novaxis)
40 | Halnote | Halnote rom with SRAM
64 | MB8877A | National-Daewoo disk rom
63 | Microsol | Microsol disk rom
19 | Mirrored | Mirrored rom (autodetected)
50 | MSX-AUDIO | Panasonic MSX-AUDIO rom
2 | MSX-DOS2 | MSX-DOS 2 rom
78 | MSX-MUSIC | Japanese MSX-MUSIC rom
31 | National | National rom with SRAM
20 | Normal - start 0x0000 | Normal rom (start at 0x0000)
42 | Normal - start 0x4000 | Normal rom (start at 0x4000)
39 | Normal - start 0x8000 | Basic rom (start at 0x8000)
86 | Normal - start 0xC000 | Standard rom (start at 0xC000)
134 | NoWind | Nowind USB disk rom
110 | Obsonet | ObsoNET ethernet cartridge
27 | Panasonic16 | Panasonic FS-A1ST rom with SRAM 16 Kb
68 | Panasonic32 | Panasonic FS-A1GT rom with SRAM 32 Kb
139 | Panasonic8 | Panasonic FS-A1FM rom with SRAM 8 Kb
141 | PanasonicDram | Panasonic FS-A1ST/GT rom with DRAM
142 | PanasonicWx16 | Panasonic FS-A1WSX/WX rom with SRAM 16 Kb
106 | SFG-01 | Yamaha CX5M music rom - first version
105 | SFG-05 | Yamaha CX5M/CX7M music rom
102 | SonyHBI-V1 | Sony HBI-V1 digitizer rom
96 | SunriseIDE | Sunrise IDE harddisk rom
67 | SVI738FDC | Spectravideo SVI-738 disk rom
57 | TC8566AF | Panasonic disk rom for MSX2 and MSX2+ machines
143 | TC8566AFTR | Panasonic disk rom for MSXturboR machines
100 | VMX80 | Microsol 80 column card for MSX1
65 | WD2793 | Philips-Sony disk rom
 | NON-MSX ROMS |
66 | CasPatch | Normal SVI rom + cassette patch
76 | Coleco | Normal ColecoVision/Adam rom
113 | MegaCart | MegaCart(R) rom for ColecoVision/Adam
20 | Normal - start 0x0000 | Normal SVI or Coleco bios rom
108 | SC3000 | Normal SC-3000 rom
112 | SegaBasic | SC-3000 rom with Sega Basic and RAM
107 | SF-7000IPL | SF-7000 Initial Program Loader rom
94 | SG1000 | Normal SG-1000 rom
95 | SG1000Castle | The Castle SG-1000 rom with SRAM
74 | SVI328CART | Spectravideo SVI-318/328 rom

(*) number used in the config.ini file


The Cartridge Menu

The Cartridge Menu is the first part of the File Menu; for every slot, it contains the following menu items :

Insert
Allows to insert a rom image in slot 1 or in slot 2.
The option accepts files of type .ROM, .RI, .MX1, .MX2., .COL, .SC, .SG and .ZIP.

If a zip file contains more than one rom image, a dialog with a list of all roms will be shown.

By using the rom database, the emulator chooses automatically the good rom mapper type;
if the rom is not in the databases or if you want to try another mapper, you can select manually the rom mapper type, see these pages for more precisions : ROM mapper type - I/O mapper type.

 Insert Special
Gives access to a special submenu, dedicated to the insertion of special cartridges.

You can find more info here.

 Eject
Allows to remove a rom image from slot 1 or slot 2.

 Reset After Insert/Remove
If this option is checked, the emulator is automatically reset when a rom image is inserted or removed.

Recent files
Shows a list of the most recently rom that are loaded into the concerned cartridge slot.
You can select a rom of this list in place to use the "Insert" option.


Running blueMSX

Double click on the blueMSX icon and the emulator starts.
You can also create on your desktop a shortcut to the file blueMSX.exe file, and double click on this shortcut to start blueMSX.

You access then to the beautiful interface of blueMSX. The emulator is in pause mode.

Remark : If you want to run blueMSX by using the command line, it's also possible ! More explanations are here.

Language selection

By default, the menus of the emulator are displayed in the language of your Windows version, if this language is available, otherwise English will be used.

To choose manually another language, click on "Options", then on "Language". More explanations are here.

Theme selection

You can choose between two different interfaces (themes) in the Options/Settings menu :

- the Classic theme

- the DIGIblue SUITE-X 2.2 theme

Remark : If you want to create your own theme for blueMSX, it's also possible ! More explanations are here. Check the Resource page of the blueMSX website !

Machine selection

To really go in the MSX world, press on F9 (= Run) or on F12 (= Reset). By default, a generic (European) MSX2 machine will be emulated if you have installed the full version of the emulator. In case of the minimal version, the MSX2 C-BIOS machine will be runned.

You can choose another machine in the Options/Emulation menu or by using the Machine editor in the Tools menu.

In Options/Emulation, you will only see the machines for which you have already the roms : by default, only the C-BIOS machines and the generic machines if you have installed the full version of the emulator. In case of the minimal version, only the C-BIOS machines will be available by default.

In the Machine Editor, you will see all the machines, but if you try to run a machine without the roms (and that's always the case of the specific machines), you'll get the message "failed to start msx emulator". To run these specific machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

Running games and applications

Of course, it's your main goal when running blueMSX ! A big part of this manual will help you, but you need to start with the beginning ! So, go here for the beginning of your adventure in the MSX world !

Other settings and tools

The Options menu includes other sections that are described in the Usage / Options part of this manual.

The Tools menu includes useful tools that are described in different parts of this manual.


Running cas images

Remarks :
- SC-3000 cassettes are not yet supported
- MSXturboR machines can't run cas files because they don't have a tape port

Cas images contains all the data of games on cassette. The files have the extension .cas

For a fast loading of the MSX cas images, run one of the generic MSX1, MSX2 or MSX2+ machines as they come with a special patch applied on the BIOS rom.

If you select a specific machine, you need first to use the Machine editor to apply this patch and save the patched machine under a new name.

You can run these games by using five different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures (menu, toolbar or hotkey) require that the blueMSX window is already on your PC; with the 5th procedure (double click), you can directly double click on a cas image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment

If you have already used cas images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

In all cases, a tape needs a little help from the user to start : when you come in MSX-BASIC, you must use one of these commands and press on RETURN (the ENTER key of your PC) - they can be combined with the Set Position menu

Command
RUN"CAS:" | For MSX-BASIC files saved with SAVE
LOAD"CAS:",R | For MSX-BASIC files saved with SAVE
BLOAD"CAS:",R | For binary files saved with BSAVE
CLOAD | For MSX-BASIC files saved with CSAVE - After loading of the file, press on F5 to run it

The correct command that you need to use is displayed in the DIGIblue SUITE-X 2.2 theme if the cas file is included in one of the cas/wav databases

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Cassette / Insert
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 7th icon of the toolbar (Insert Tape in Cassette Player)
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F11
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Fourth procedure : drag and drop

- use the mouse to drag and drop a cas image on the blueMSX icon
- the emulator goes to MSX-BASIC in the last selected machine and rewinds automatically the tape (even if you have desactivated the option Rewind After Insert in the File / Cassette menu)

Remark : you can also start first blueMSX, then drag and drop the cas image in the blueMSX window, but in this case, the tape won't be rewound automatically if you have de-activated the option Rewind After Insert in the File / Cassette menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a cas image
- the emulator goes to MSX-BASIC in the last selected machine and rewinds automatically the tape (even if you have de-activated the option Rewind After Insert in the File / Cassette menu)


Running disk images

Disk images contain all the data of games on diskettes. The files have generally the extension .dsk, but blueMSX can also treat files with .di1, .di2, .360, .720 or .sf7 as extension.

You can run these games by using six different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures (menu, toolbar or hotkey) require that the blueMSX window is already on your PC; with the 5th procedure (double click), you can directly double click on a dsk image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment

The 6th procedure (dir as dsk) can only be used if the disk image is in the MSX-DOS1 format and contains "normal" files that you can extract with Disk-Manager.

If you have already used disk images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Disk Drive A / Insert
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 5th icon of the toolbar (Insert Disk in Drive A)
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F9
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Fourth procedure : drag and drop

- use the mouse to drag and drop a dsk image on the blueMSX icon
- the emulator will run automatically the last selected MSX machine with the selected game on disk (even if you have de-activated the option Reset After Insert/Remove in the File / Disk menu)

Remark : you can also start first blueMSX, then drag and drop the disk image in the blueMSX window, but in this case, the game won't be runned automatically if you don't have activated the option Reset After Insert/Remove in the File / Disk menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a dsk image
- the emulator runs automatically the last selected MSX machine with the selected game on disk (even if you have de-activated the option Reset After Insert/Remove in the File / Disk menu)

Sixth procedure : dir as dsk

This procedure is only working for MSX disk images in the MSX-DOS1 format and containing "normal" files

- create a new Windows Directory
- use Disk-Manager to extract the files in this directory
- click on File / Disk Drive A / Insert Directory or File / Disk Drive B/ Insert Directory
- if you have inserted the directory in drive A and come only to MSX-BASIC, it means that there is no "AUTOEXEC.BAS" file; search for the loader file and use the following command : RUN"GAME.LDR" (if the loader file is "GAME.LDR") and press on RETURN (the ENTER key of your PC)


Running games and applications

Without any game or application, blueMSX comes generally in MSX-BASIC or SV-BASIC. If the selected machine contains an internal firmware, a special application will normally be launched.

Running the ColecoVision console or the SF-7000 computer without any game will lead to an intro screen ; in case of the SG-1000 and SC-3000 machines, you'll come on a black screen.

In order for something different to happen, you need to load a file into the emulator. The way to proceed is explained on different pages of this manual :

- running rom images
- running cas images
- running disk images
- running hard disk images

blueMSX supports floppy disk files, hard disk files, rom cartridge files and cassette files. These files are images of the real disks, cartridges or cassettes, with all their contents, including for example the boot sector of the disks or the headers of the cassettes.

The disk files have one of these extensions : .dsk, .di1, .di2, .360, .720, .sf7. You can also use a Windows directory as disk if this directory contains the files of a MSX game. The hard disk files have generally the extension .dsk.

The rom files have one of these extensions : .rom, .ri, .mx1, .mx2, .col, .sc, .sg.

The cassette files have the extension .cas

blueMSX also supports zip archives that contain files with these extensions.

You can find MSX games or applications that work with the blueMSX emulator on several sites on the internet.


Running hard disk images

Hard disk images contain all the data of games on hard disks . The files have generally the extension .dsk, just like the most used extension for disk image.

So, it means that the way to use a hard disk image is very close to the way to use a disk image. There's actually only one step more : the addition of IDE or SCSI controllers to the machine that you want to run.

First step : add IDE or SCSI controllers to a machine

- click on
File / Cartridge Slot 1 (or Slot 2) / Insert Special / IDE
or File / Cartridge Slot 1 (or Slot 2) / Insert Special / SCSI

- select one of the 3 available IDE controllers : Sunrise / Beer / GIDE
or one of the 3 available SCSI controllers : Mega-SCSI / Wave-SCSI / Gouda SCSI

You need also to select the SRAM size for Mega-SCSI or Wave-SCSI.

The most handful IDE system on MSX is the Sunrise system.
So, generally, you will add a Sunrise IDE controller to a MSX2, MSX2+ or MSXturboR machine.

TIP : Use the Machine Editor to create for example a MSXturboR with IDE controllers, it will allow you to skip this step the next time that you want to run an hard disk image !

SCSI hard disk images are not compatible with the Sunrise IDE hard disk images.

For more infos about the 3 IDE systems and the 3 SCSI systems, see this page.

Second step : insert an hard disk image

- go to File / Hard Disk

As you have added an IDE controller, this menu can now be used and is a little different for each IDE or SCSI type :

Sunrise IDE
Beer IDE
GIDE
Mega-SCSI
Wave-SCSI
Gouda SCSI

- go to the Primary Controller or the only one available controller

You access to this sub-menu :

 - click on Insert
- this choice calls the Window Explorer, it allows to select a hard disk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game

TIP : you can also use the mouse to drag and drop a hard disk image in the blueMSX window, then press on F9 or F12.

OTHER OPTIONS
- The option Insert CD-ROM (only available for SCSI at the moment) is explained here.
- The option Insert New Disk Image is explained here.
- The option Eject of the sub-menu allows to eject the hard disk image.
- The option Eject All Harddisk of the hard disk menu allows to eject all existing hard disk images.


Running rom images

Rom images contains all the data of cartridges games. The files have generally the extension .rom, but blueMSX can also treat files with .ri, .mx1, .mx2, .col, .sc or .sg as extension.

You can run these games by using five different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures (menu, toolbar or hotkey) require that the blueMSX window is already on your PC; with the 5th procedure (double click), you can directly double click on a rom image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment.

If you have already used rom images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

By using the rom databases, the emulator chooses automatically the good ROM mapper type or I/O mapper type; if the rom is not in the databases or if you want to try another mapper, you can select manually the mapper type, only if you use one of the 3 first procedures (menu, toolbar or hotkey).

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Cartridge Slot 1 / Insert
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu)

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 3rd icon of the toolbar (Insert Cartridge in Slot 1)
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu)

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F7
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu)

Fourth procedure : drag and drop

- use the mouse to drag and drop a rom image on the blueMSX icon
- the emulator will run automatically the last selected MSX machine with the selected game on cartridge (even if you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu)

Remark : you can also start first blueMSX, then drag and drop the rom image in the blueMSX window, but in this case, the game won't be runned automatically if you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a rom image
- the emulator runs automatically the last selected MSX machine with the selected game on cartridge (even if you have de-activated the option Reset After Insert/Remove in the File / Cartridge menu)


Russian MSX Keyboard

http://www.leningrad.su/museum/

The Russian MSX keyboard is used in the generic MSX Russian and MSX2 Russian machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Yamaha YIS-503IIR (*)

- MSX2 machines : Sony HB-F9P Russian / other specific MSX2 Russian machines will be added in the future (we need to add the network support !)

The MSX keyboard is very different from a standard PC keyboard (JCUKEN matrix instead of QWERTY matrix). The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Cyrillic | Right Alt | Toggles between Russian and normal mode.
Comma on numpad | Page Down |
Question Mark | Right Ctrl | Allows to write the Question Mark character (?). Combined with Shift, it gives the Slash character (/).

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Cyrillic mode | Cyrillic mode + Shift
Graph | Graph + Shift

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


Save states

If you find a game really too long, too difficult and that it doesn't have saving options (or that the existing options are not so interesting), then you will be more than interested by the blueMSX save states features !

You can choose between two features. In both cases, blueMSX saves the complete CPU state, including the emulated machine with all his specifications and the path to the rom, dsk or cas file of your game or application.

So don't try later to load a save state in another machine and don't change the place of your games on the harddisk !
It's also recommended to put your games in a directory with a simple path (for example : C:\MSX\Roms) before your first CPU save states if you have the intention to share them with other fans.

If you use cheats, the parameters of the cheats are not saved. So it means that if you load later a save state, you need to re-apply exactly the same cheats on the game after loading of the save state.

Quick save states

This feature is really fast, because you leave blueMSX decide for you the name of the .sta file, that will be stored in the QuickSave directory.

The more easy way to make a quick save state is the hotkey : F8 by default. You can also use the File menu and select the option "Quick Save State"

A unique file name is always created, by using this system : the name of the game or demo, followed by "_" , a number of 2 digits (the first combination is "00") and the extension .sta.

Customised save states

This feature is slower, because you must precise yourself the name of the file (with the extension .sta) and the path to this file on your harddisk

The more easy way to make a customised save state is the hotkey : LAlt+F8 by default. You can also use the File menu and select the option "Save CPU State".

Questions and answers

How to run a save state ?
The .sta file can be runned in blueMSX almost like a .rom, .dsk or .cas file.

The more easy way to run a save state is the hotkey : F7 by default (only for the quick save states) or LAlt+F7 by default.

You can also use one of these 3 procedures to load a save state :
- use the File menu and select the option "Quick Load State" (only for the quick save states) or the option "Load CPU State";
- drag and drop a .sta file in the window of the emulator;
- double-click on a .sta file (only if you have first registered some files types with blueMSX by using the menu Options / Settings / Windows Environment).

If you choose the option 'Load CPU State", you can preview the different save states and check their exact time (hour - day) of saving, so you can more easily select the save state that interests you.

How to know the exact content of a save state ?
If you are very curious about the exact content of a blueMSX save state, simply rename the .sta file with the extension .zip and unzip the file !

The number of files that you'll find can vary from one machine to another, especially if you compare a boosted machine to a non-boosted machine.

In all cases
- a screenshot of the starting point for the save state is included, it's a .bmp file
- different binary files keep the parameters for all chips and extensions of the used machine, the names of these files end with _00
- the path to the cas/dsk/rom file on your harddisk is kept in the binary file board_00
- the file date.txt keeps the exact time (hour - day) of the saving
- the file version is a text file with the number version of the save state (currently, it's version 8 - older versions of the blueMSX save states are not compatible with this version, used since version 2.5)


SEGA Keyboard

http://www.sc-3000.com

The SEGA keyboard is used in the SC-3000 and SF-7000 computers. It comes without numeric keypad, but it is very similar to a standard PC keyboard (with exception of the way the Shift key is working). The typewrite keys are almost the same.

As some SEGA keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete SEGA keyboard :
- the PC key before the "1" key is used for emulate the extrem right SEGA key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right SEGA key on the first row

Specific Sega keys are mapped to the following PC keyboard keys :

SEGA key | PC key |
Break | Page Up | Allows to pause and resume a task in the SEGA-BASIC. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Toggles between normal characters and graphical characters. Can be combined with Shift.
Eng Dier's | Shift + Left Window | Gives special or accented characters by pressing it with a normal character. Remark : on Japanese SEGA keyboards, it is replaced by a Kana key giving access to Kana characters when pressing it with a normal character.
Func | Tab | When pressing it with normal characters, you have directly access to SEGA-BASIC commands.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Eng Dier's
Graph | Graph + Shift

The extrem right character of the fourth row can be typed by using the RightCtrl key (+ eventually Shift).


SCC

SCC (Sound Custom Chip or Sound Creative Chip) is a sound chip developed by Konami and Yamaha under the technical name K051649.

SCC is a primitive 8bit wavetable sound chip. It adds 5 channels to the 3 PSG channels to produce a better sound. The SCC chip has also his own memory mapper. Each channel can be controlled by an on/off bit, volume, frequency and 32 bytes waveform.

SCC-I is a improved version under the form of a Sound Cartridge released with the SD-Snatcher and Snatcher games.

Differences between SCC and SCC-I are mainly an independant 5th sound channel and an intern 64 Kb RAM in SCC-I. This RAM can be expanded to 128 Kb.

To hear SCC or SCC-I, the SCC or SCC-I chip must be present on a slot cartridge. It's the case with the concerned Konami rom games.

Some games on disk (Konami Games Collection, Snatcher, SD-Snatcher, adapted rom games for Flashrom) or demos (Fony Demo Disk 1 for example) require the insertion of a SCC cartridge or a SCC-I cartridge to get good sounds. You can use for that the File/Cartridge/Insert Special menu.

In other cases, you need to pause the emulator to insert a real SCC cartridge just after the booting.

There's no specific MSX-BASIC command for SCC.

SCC tips

Stereo

As SCC is combined is PSG, it gives a stereo effect, that you can enhance by a fine tuning in the mixer

Hear only SCC

- de-select the other soundchips in the mixer

Original SCC rom games

Normal versions of these games include the SCC chip and have the KonamiSCC (konami5) mapper.

If you use a Flashrom version (ASCII8 mapper), you must add a SCC chip in slot 2 by using the special cartridge menu.

MSX1 games

F1 Spirit / A1 Spirit
Gofer no Yabou Episode 2 / Nemesis 3
Gradius 2 / Nemesis 2
King's Valley 2 (MSX1 version)
Parodius
Salamander

MSX2 games

Contra / Gryzor
Gekitotsu Pennant Race
Gekitotsu Pennant Race 2
King's Valley 2 (MSX2 version)
Metal Gear 2 - Solid Snake
Quarth
Space Manbow

Original SCC or SCC-I dsk games

These games require to add the SCC or SCC-I chip in a slot by using the special cartridge menu.

Only a part of the MSX1 games are adapted to use SCC sounds; you can find the list of the concerned games in the next section "Hacked SCC or SCC-I rom games".

MSX1 games
Konami Game Collection 1
Konami Game Collection 2
Konami Game Collection 3
Konami Game Collection 4

MSX2 games
Konami Game Collection Special
SD-Snatcher
Snatcher

Hacked SCC or SCC-I rom games

These hacked roms have been created by extracting and adapting the games from the 5 Konami Game Collection disks.

They include all the SCC or SCC-I chip.

MSX1 games

Antartic Adventure
Gradius / Nemesis
Hyper Rally
Hyper Sports 2
Knightmare
Konami's Boxing
Pippols
Road Fighter
Sky Jaguar
Super Cobra
Twinbee
Video Hustler
Yie Ar Kung-Fu
Yie Ar Kung-Fu II

MSX2 games

Go Othello
Rice
Rice 2
Title Memory


Screenshots

Of course, every fan wants to make screenshots of his favorite games or demos !

By default, blueMSX will make all your screenshots in the PNG format, but if you deselect the checkbox in Options/Settings, then they will be made in the BMP format.

You can choose between two features (the indicated hotkeys are the default blueMSX shortcuts) :

RAlt+F11 Saves a small unfiltered screenshot (272 x 240 pixels).
RAlt+F12
 or PrtScrn 		Saves a large unfiltered screenshot (544 x 480 pixels).

The first feature is also available by using the File menu and by selecting the option " Save Screenshot".

In all cases, the .png or .bmp files are stored in the Screenshots directory.

A unique file name is always created, by using this system : the name of the game or demo, followed by "_" , a number of 4 digits (the first combination is "0000") and the extension .bmp or .png.

TIP : It can be difficult to get good screenshots with demos or games using interlaced pictures. Think to use the "Blend consecutive frames" feature in Options/Video and the video display will be smoother, allowing to make good screenshots.


Disks Settings

In this panel you can change some parameters about the disks opened by the emulator, allowing to use CD-ROM drive on MSX.

Access Method | Determines the method that will be used to access to the CD-ROM drive.
Drive | Indicates the letter of the PC drive that will be used as CD-ROM drive.


Emulation Settings

In this panel you can configure the core part of the emulation. The most common option to change is the MSX machine option.

MSX machine | Determines which machine to emulate. The dropdown menu displays only the machines for which the corresponding system roms are already installed : - if you use the full version of the emulator, the generic machines, the C-BIOS machines and the non-MSX machines are by default available; - if you use the minimal version of the emulator, only the C-BIOS machines are by default available. For a MSXturboR machine, it is recommended to run blueMSX on a PC with a power > 1.2 Ghz, because this support requires more CPU resources. If you want to run a specific machine or create a new machine, use the Machine editor.
Video frequency | Allows you to change the video frequency. The default value is automatically determined by the MSX machine that you want to emulate : generally, it's 60Hz (NTSC) for Japanese, Korean and Brazilian machines and 50Hz (PAL) for European machines. If you select 50Hz, most games will be slower on a non-European machine. If you select 60Hz, most games will be faster on an European machine. Using of this option can lead to imprevisible results with smart demos that change the video frequency when they are running.
Emulation speed | Allows you to change the emulation speed. The default value is 3.579 MHz. A checkbox allows to disable the Floppy Drive timing. Accurate and slow disk loading is indeed only required for some games and demos. In most cases, non-accurate and fast disk loading works very good.
Panasonic Switches | Three checkboxes allow to toggle - the Panasonic Front Switch available on these machines : MSX2 FS-A1FM - MSX2+ FS-A1FX - FS-A1WX - FS-A1WSX - MSXturboR FS-A1ST - FS-A1GT - the Pause switch (that you can find also on some Sony and Sanyo machines) - the Panasonic MSX-AUDIO cartridge switch


Files Settings

In this panel you can change some parameters about the files opened by the emulator.

File History | Determines the number of files that will be shown in the file history for cartridges, disks, and cassettes. Valid values are 0 to 30 entries.
Drag and Drop | If you use the drag and drop of a file (rom image, disk image) to the emulator, the file will be loaded generally in slot 1 or drive A. You can change this behaviour in this menu by selecting the slot 2 for the rom images or the drive B for the disk images.
Open Rom Dialog | Determines the default mapper type in the open rom dialog for the rom images for which there is no sha1 code in the rom databases.


Language Settings

This dialog allows you to select the language in which you want to see displayed the blueMSX menus.

You can choose between 16 languages : Catalan, Chinese Simplified, Chinese Traditional, Dutch, English, Finnish, French, German, Italian, Japanese, Korean, Polish, Portuguese, Russian, Spanish, Swedish.

It can happen that some parts are not yet translated or that there are errors in the translation. If this is the case, take contact with the blueMSX team !


Performance Settings

In this panel you can configure the performance of the emulator.

Display driver | Determines whether to use DirectDraw (2 variants) or GDI. DirectDraw gives much better performance. DirectDraw HW acceleration uses video and system memory for an optimised performance.
Frame skipping | If the emulator uses to much CPU time, you can increase the number of frames that won't be drawn. For most users the best result is when no frameskipping is selected. The emulator has an automatic frameskip that will skip frames if the CPU is too slow.
Fullscreen resolution | Allows to select the type of video resolution that will be used by the emulator when you run it in fullscreen mode TIP : Select at least the resolution 1024 x 768 and the Hq2x scaler in the Video menu : the emulator will actually use the Hq3x scaler, what will enhance seriously the rendering !
Sound driver | Determines whether to use DirectX or WMM. DirectX gives much better performance.
Sound buffer size | Sets the size of the internal sound buffer. A low value gives a faster and more acurate response but may make the output sound bad.
Sync mode | Determines how the emulator synchronizes the MSX clock to the PC clock. If you use a slow PC (less than 1.4 GHz), use the Auto mode. The Sync on MSX refresh links the synchronisation to the refresh frequency (50 Hz or 60 Hz) of the emulated machine. It gives more accuracy with the real machines, but requires more CPU resources. The Sync to PC Vertical Blank is the most perfect sync mode, as it guarantees high degree of accuracy and smoothness, by doing a linear interpolation of the MSX frames to match the PC monitor frequency, but you need a powerful PC and a videocard that supports this synchronisation mode. The Asynchronous PC VBlank can be viewed as a variant of the Sync to PC Vertical Blank that can give better results on some monitors.


Ports Settings

The ports settings panel allows to configure the parallel port (for the printer) and the serial ports (for the modem).

blueMSX detects automatically all your compatible DirectX ports and devices.

Parallel ports (implemented only for MSX and SVI machines) |
Port | If you have a printer connected to your PC, blueMSX will detect it and display the port (LPT) in the first droplist. Other options allow to - connect to the printer port a SiMPL / Covox DAC device that will produce audio samples in some applications; - send the result of a print operation to a text file.
Filename | Allows to indicate the location and the name of the text file in which the result of a print operation will come. By default, the location is the blueMSX directory and the name is printer.dat.
Emulation | Allows to choose between an Epson FX-80 printer, a MSX printer and a SVI printer.

When printing to a real printer using one of the emulated printers, a whole page needs to be filled before the page is sent to the printer. To switch to next page, you can use the shortcut LCtrl+LSft+P, the printer form will advance to the top of the next page.

Printing to a file will lock the file while the emulator is running because it keeps the file open. So you need to close the emulator and the printing to a file will then begin.

Serial ports (this part of the emulator is not yet fully implemented) |
Port | If you have a modem connected to your PC, blueMSX will detect it and display the port (COM) in the first droplist. Another option allow to send the result of a communication to a text file.
Filename | Allows to indicate the location and the name of the text file in which the result of a communication will come. By default, the location is the blueMSX directory and the name is uart.dat.


Application Settings

In this panel you can configure some of the behaviour of the blueMSX application.

Theme | Determines the theme used by the emulator. If your PC is very slow, choose the Classic Theme. You can create yourself new themes with customisable skins : see the examples in the Themes directory. More details here.
Windows Environment | Six checkboxes allow to - disable the screen saver while blueMSX is running. - register some file types with blueMSX : it concerns the .rom, .ri, .mx1, .mx2, .col, .sc, .sg, .dsk, .di1, .di2, .360, .720, .sf7, .cas and .sta files - disable automatically the normal function of the Windows menu keys that become free for an MSX function - boost the priority of the emulator on other applications - choose the BMP or the PNG format for your screenshots made with blueMSX (by default, the PNG format is selected) - eject all medias when blueMSX exits


Sound Settings

The Sound settings panel allows to configure the emulation of some special sound chips : MSX-MUSIC, MSX-AUDIO, MoonSound and MIDI

Sound Chip Emulation | All the generic MSX2, MSX2+ and MSXturboR machines are boosted with the MSX-MUSIC, MSX-AUDIO and MoonSound soundchips. The check boxes allow to enable or disable the YM-2413, the Y8950 and the Moonsound sound chips. By default, theses boxes are checked in all generic and specific machines : it does not mean that the soundchips are really present, but only that they will be fully supported by the emulator if they are really present. Although it can vary from a PC configuration to another, it's recommended to run Moonsound demos or to enable Moonsound on some games only if the power of your PC is > 1.2 Ghz.
MIDI In Device | Allows to select the device used for the MIDI IN port. blueMSX detects all the MIDI IN devices that can be used.
MIDI Out Device | Allows to select the device used for the MIDI OUT port. blueMSX detects all the MIDI OUT devices that can be used. By using the checkbox, you can validate or invalidate the mapping of the MT-32 instruments of MSX-MIDI to General MIDI.
YK-01/YK-10/YK-20 In Device | Allows to select the device used as YK-01/YK-10/YK-20 keyboard for the Yamaha CX5M, CX5M128 and CX7M128 computers. More details here. blueMSX detects all the MIDI IN devices that can be used as special keyboard for the full emulation of these music computers. You can also select the MIDI channel that interests you.


Video settings

The video settings panel allows to configure the type of monitor to emulate as well as how the monitor is emulated on the PC.

You can also change different specifications for the colors.

Three checkboxes allow to stretch horizontally and/or vertically the graphic part of the emulation and to emulate a MSX connected to a TV screen by visualisation of the scanlines.

Monitor type | Allows to choose between color, black and white, green or amber monitor.
Monitor emulation | Determines how the monitor picture is rendered . The None option gives a raw square pixels. The Monitor option gives the normal rendering that you can have on a real monitor. The Scale 2x option gives a smoother image. The Hq2x option gives also a smoother image, but requires a powerful PC; in full screen mode and with at least the resolution 1024 x 768 selected in the Performance menu, the emulator will use the Hq3x scaler that gives impressive rendering effects ! The rest of the options tries to emulate an actual TV monitor with raster effect and the cathode ray.
Gamma Brightness Contrast Saturation | By deplacing the corresponding slider, you can change the gamma aspect, the brightness, the contrast and the saturation of the colors to get the best result on your PC monitor.
Horizontal Stretch | When the checkbox is checked, the graphic part of the emulation is like on a real MSX. The horizontal stretch is available in all monitor emulation types.
De-interlace | When the checkbox is checked, interlaced mode works as in older blueMSX versions (before 1.6.1. version); if you uncheck the checkbox, you get 'real' interlaced mode, but it is only practical on a fast PC (> 2GHz) since it requires all frames to be drawn always. This feature is available in all monitor emulation types.
Blend consecutive frames | When the checkbox is checked, two consecutive frames are blended. Although it's not a 'realistic' option, it makes for example the Unleashed demo and interlaced games run smoother. This feature is available in all monitor emulation types.
Vertical Stretch | When the checkbox is checked, your gaming space is bigger. The vertical stretch is available in all monitor emulation types
Scanlines | When the checkbox is checked, the graphic part of the emulation is like on a real MSX connected to a TV screen. You can determine the percentage of scanlines by deplacing the slider. The scanlines are available in all monitor emulation types.
RF-Modulator | When the checkbox is checked, you can see the effect that results from the connection to a TV screen by the RF-modulator cable. You can determine the amplitude of this effect by deplacing the slider. This effect is available in all monitor emulation types.


SFG

SFG is a FM Sound Synthesizer Unit cartridge that has its reserved 3rd slot cartridge on the Yamaha CX5M/CX7M computers: first, the limited SFG-01 version, then the improved SFG-05 version. With a little adapter, the SFG-05 cartridge can also be inserted in a slot cartridge of another MSX computer.

The FM sound Synthesizer is built around the YM2151 or YM2164 sound chip. These IC's have 4 operators and are for example used in the cheaper Yamaha DX series (e.g. the DX-9, FB-01), several arcade games and the Korg DS-8 and 707.

This unit includes a D/A converter (YM3012), so 8 audio tone signals can be obtained at the right and left channels. It has also a YM2148 chip with MIDI function and keyboard scan function.

This part of the audio mixer shows only the FM part of the SFG cartridge. If the MIDI part is used, then it will be displayed in the MIDI part of the audio mixer.


Default Keyboard Shortcuts

The table below lists all default keyboard shortcuts in blueMSX, as they are defined in the blueMSX hotkeys profile.
You can change this profile by using the Shortcuts Editor. More details here.

Shortcut | Description
F7 | Loads the CPU state previously saved by Quick Save (F8).
F8 | Saves the CPU state to a predefined file in the dedicated directory.
F9 | Runs or pauses the emulation.
F10 | Stops the emulation.
F12 | Hard Reset and restart of the emulation.
Pause | Toggles pause switch.
PrtScrn | Saves a large unfiltered screenshot (544 x 480 pixels).
Scroll Lock | Toggles Panasonic front switch on/off.
LAlt+Enter | Toggles fullscreen.
LAlt+Scrl Lck | Toggles Panasonic MSX-AUDIO switch on/off.
LAlt+F7 | Loads a saved CPU state from a file.
LAlt+F8 | Saves the CPU state to a file.
LAlt+F9 | Switches diskette in drive A to the next in a series of disks that differ only by a number or a letter. I.e. disk_1of3.dsk, disk_3of3.dsk, disk_3of3.dsk
LAlt+F10 | Sets the screen size to 320x240 pixels.
LAlt+F11 | Sets the screen size to 640x480 pixels.
LAlt+F12 | Runs blueMSX in fullscreen mode.
LShift+F6 | Switch theme.
LShift+F7 | Starts/stops audio capture.
LShift+F8 | Toggles mouse capture.
LShift+F9 | When held down, the emulator runs as fast as possible.
LShift+F10 | Resets emulation frequency to 3.579MHz
LShift+F11 | Decreases emulation frequency with 5%.
LShift+F12 | Increases emulation frequency with 5%.
LCtrl+F6 | Shows Help dialog.
LCtrl+F7 | Opens the Insert ROM cartridge into slot 1 dialog.
LCtrl+F8 | Opens the Insert ROM cartridge into slot 2 dialog.
LCtrl+F9 | Opens the Insert disk image into drive A dialog.
LCtrl+F10 | Opens the Insert disk image into drive B dialog.
LCtrl+F11 | Opens the Insert tape image into cassette reader dialog.
LCtrl+F12 | Soft Reset (the RAM Memory is not erased) and restart of the emulation.
LCtrl+Pause | Exits the emulator.
LCtrl+LAlt+F7 | Shows special menu for ROM cartridge into slot 1.
LCtrl+LAlt+F8 | Shows special menu for ROM cartridge into slot 2.
LCtrl+LAlt+F9 | Toggles reset emulator when disk image is inserted into drive A.
LCtrl+LAlt+F10 | Toggles auto-rewind of the tape image after insertion into cassette reader
LCtrl+LAlt+F11 | Opens the cassette position dialog.
LCtrl+LAlt+F12 | Complete Reset and restart of the emulation without disk, tape or cartridge images.
LCtrl+LAlt+B | Loads a video capture
LCtrl+LAlt+C | Stops a video capture
LCtrl+LAlt+M | Shows the mixer.
LCtrl+LAlt+N | Plays the last video capture
LCtrl+LAlt+V | Renders a video file in the AVI format
LCtrl+LAlt+X | Records a video capture
LCtrl+LSft+F8 | Toggles reset emulator when ROM cartridge inserted into slot 1 or slot 2
LCtrl+LSft+F10 | Toggles use of the cassette in read only mode .
LCtrl+LSft+F11 | Rewinds the cassette.
LCtrl+LSft+F | Enables/disables Floppy Drive timing.
LCtrl+LSft+M | Toggles maximum emulation speed.
LCtrl+LSft+P | Allows to advance a printer form to the top of the next page.
LCtrl+LSft+S | Toggles showing/hiding of the sprites.
LCtrl+LSft+W | Minimizes the emulator window.
RAlt+F6 | Toggles mono/stereo.
RAlt+F7 | Decreases volume.
RAlt+F8 | Increases volume.
RAlt+F9 | Inserts a Directory as Disk in drive A.
RAlt+F10 | Inserts a Directory as Disk in drive B.
RAlt+F11 | Saves a small unfiltered screenshot (272 x 240 pixels).
RAlt+F12 | Saves a large unfiltered screenshot (544 x 480 pixels).
RAlt+Scrl Lck | Mutes volume.
RShift+F6 | Shows the emulation properties dialog.
RShift+F7 | Shows the video properties dialog.
RShift+F8 | Shows the audio properties dialog.
RShift+F10 | Shows the performance properties dialog.
RShift+F11 | Shows the files properties dialog.
RShift+F12 | Shows the settings properties dialog.
RCtrl+F6 | Shows About dialog.
RCtrl+F7 | Removes ROM cartridge from slot 1.
RCtrl+F8 | Removes ROM cartridge from slot 2.
RCtrl+F9 | Ejects disk image from drive A.
RCtrl+F10 | Ejects disk image from drive B.
RCtrl+F11 | Ejects tape image from cassette reader.
RCtrl+RSft+D | Opens the debugger in a different window.
RCtrl+RSft+K | Shows the controllers / keyboard editor.
RCtrl+RSft+L | Shows the language dialog.
RCtrl+RSft+M | Shows the machine editor.
RCtrl+RSft+P | Shows the ports properties dialog.
RCtrl+RSft+S | Shows the shortcuts editor.
RCtrl+RSft+T | Opens the trainer in a different window.


Shortcuts Editor Dialog

blueMSX provides a powerful shortcuts editor that allows to assign keys or combinations of keys to shortcuts of different features of the emulator, including "hidden" features that don't appear in the interface.

As the emulator detects automatically all your compatible DirectX devices, including for example a joypad with 8 buttons or more, you can also assign buttons of your joypad to shortcuts of some features.

blueMSX comes with the default blueMSX hotkeys configuration (with only use of the keyboard).

In the editor you can choose between different hotkeys configurations, modify the existing mapping schemes or create new ones.

The machine editor dialog contains three parts. At the top is a dropdown list with all current configurations. All configurations are stored in the Shortcut Profiles subdirectory of the emulator.

The center part is a tab control where the configuration is defined, with the complete list of the shortcuts and the corresponding hotkeys.

Although the default configurations use only the keyboard, you can also use for example the buttons of your joypad for a new or modified configuration.

To modify a shortcut or create a new one, you must first select the blueMSX feature that interests you. Place then the cursor in the case after "Press shortcut key(s)" , then press on the key(s) of your choice. You must confirm your choice by clicking on "Assign"

The bottom part contains three buttons :

Save | Saves changes made to the current configuration.
Save As... | Saves the current configuration with a new name. When the button is pressed, a file dialog is opened where you can specify the new name of the configuration. The original configuration will not be modified.
OK | Closes the shortcuts editor dialog. If the configuration is modified and not saved, a warning dialog will be shown


Spanish MSX Keyboard

http://www.retrocomputacion.com/cgi-bin/album.pl?album=dinuccim

The Spanish MSX keyboard is used in the generic MSX Spanish and MSX2 Spanish machines.

Here's the list of the concerned specific machines (* = this machine is without numeric keypad) :

- MSX machines : Sony HB-20P (*) / Talent DPC-200 (*) / Talent DPC-200A (*)

- MSX2 machines : Sony HB-F9S / Sony HB-F700S / Spectravideo SVI-738-2 LC Grosso (*) / Talent TPC-310 (*)

- MSX2+ machines : Sony HB-F9S+

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | Right Ctrl | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key - Accent Mark then the vowel key : accent acute (´). Example : á. - Shift + Accent Mark then the vowel key : tilde (~). Example : ã. - Code + Accent Mark then the vowel key : accent grave (`). - Shift + Code + Accent Mark then the vowel key : accent circumflex (^). Example : â.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Code | Code + Shift
Graph | Graph + Shift

The extrem right character of the fourth row is the Accent Mark.


The Special Cartridge Menu

The Cartridge Menu is part of the File/Cartridge Menu; for every slot, it contains the following menu items :

Game Reader

The MSX Game Reader is an USB device for your PC, it has been released by ASCII / MSX-ASSOCIATION in Japan and by SUNRISE outside Japan.
It allows to use MSX cartridges on a PC, what adds more fun and accuracy to your MSX experience.

It comes with an installation program and a special version of the MSX-PLAYer, the official MSX emulator released by ASCII / MSX-ASSOCIATION.

To use the MSX Game Reader in combination with blueMSX, you need to first buy the complete official package and to install the included software. The presence on your PC of a specific file is indeed required and this file will be present after installation of the included software.

Joyrex PSG cartridge

The Joyrex PSG cartridge is a cartridge created by Vincent van Dam with a ColecoVision PSG on it. You can therefore use MSX trackers to compose music for ColecoVision.

SCC and SCC-I

SCC (Sound Custom Chip or Sound Creative Chip) is a sound chip developed by Konami and Yamaha under the technical name K051649. It is present on some rom games like King's Valley 2 or Salamander.

SCC-I is a improved version under the form of a Sound Cartridge released with the SD-Snatcher and Snatcher games.

You can find more info here.

Ese-SCC

Ese-SCC is a Japanese invention that allows to produce SCC sounds from external SRAM.

The ESE-SCC can be used as pure SRAM or as virtual disk. In both cases, a file will be created in the SRAM subdirectory of blueMSX.

Using ESE-SCC as pure SRAM opens the door to a new world on the MSX system. In the case you want to create a new ESE-SCC in the same cartridge slot, you need first to delete manually the file created in the SRAM subdirectory of blueMSX.

Using ESE-SCC as pure SRAM is required for a tool like ROMLOAD. Actually, it will copy the entire ROM of a game on the SRAM and the game will be launched directly from the SRAM if you boot the emulated machine with the ESE-SCC. In the case you want to use ROMLOAD for another game, you need first to delete manually the file created in the SRAM subdirectory of blueMSX.

If you want to use the ESE-SCC as virtual disk, you need to follow these instructions :
- insert mginst.dsk in the first floppy drive (now recognized as B: - A: is reserved for the SRAM)
- on the commandline, type INST1 or INST2 to install MSX-DOS1 or 2 on the SRAM and initialize the SRAM
- reset the MSX

Note that you can delete the files on this virtual disk, but it's not possible to format the virtual disk in the emulator. In the case you want to create a new ESE-SCC in the same cartridge slot, you need first to delete manually the file created in the SRAM subdirectory of blueMSX.

See this site : http://www.big.or.jp/~saibara/msx/ese/index.html

IDE and SCSI

An IDE or Integrated Drive Electronics interface with controllers is one way to add an hard disk and/or a CD-ROM to a MSX computer.

You have the choice between 3 different IDE controllers :
- Sunrise IDE
- Beer IDE
- GIDE

An SCSI or Small Computer System Interface with controllers is another way to add an hard disk and/or a CD-ROM drive to a MSX computer.

You have the choice between 3 different SCSI controllers :
- Mega-SCSI
- Wave-SCSI
- Gouda SCSI

You can find more info on these pages :
- IDE and SCSI controllers
- Running hard disk images
- Creating hard disk images
- CD-ROM and CD-AUDIO

Nowind USB Disk Controller

This interface is a MSX cartridge that allows you to connect your MSX to a PC using a USB connection.

You can choose between MSXDOS1 and MSXDOS2. You can find more info on this website : http://www.nowind.nl/

FM-PAC and PAC

FM-PAC means FM-Pana Amusement Cartridge, it's a cartridge released by Panasonic.

It contains two different parts :
- a music part (MSX-MUSIC with an integrated software that you can run by using CALL FMPAC in MSX-BASIC
- a saving system for some games (S-RAM).

PAC is a simplified version, it contains only the S-RAM.

All generic MSX2, MSX2+ and MSXturboR machines, with exception for the MSX2 Only PSG machine, come with an intern MSX-MUSIC chip and the PAC, so it's not required to add a FM-PAC cartridge !

If you want to use the FM-PAC cartridge or the PAC cartridge on a MSX1, use this special menu.

You can find more info about MSX-MUSIC here.

Sony HBi-55 Cartridge

The Sony HBI-55 Cartridge is a special SRAM support that allows to save personal data.

It can only be used with some Sony machines :

- HB-55, HB-75, HB-201 (MSX1)
- HB-F1, HB-F1II (MSX2)

External RAM

Although there is already RAM in a MSX computer, you can extend it internally (by using the Machine editor) or externally (by using this Special menu).

You can choose between different sizes : 16 Kb, 32 Kb, 48 Kb, 64 Kb, 512 Kb, 1 MB, 2 MB, 4 MB.

MegaRAM

MegaRAM is mainly a Brazilianse invention that allows to run a MegaROM game on a MSX computer without Memory mapper, what it is the case of most MSX1 machines and of some MSX2 machines. It can also be used on MSX2/2+ machines with a memory mapper. There are also Korean MegaRAMs.

For a good working of the MegaRAM, you must always select a size bigger than the size of the MegaROM game. For example, if you want to run a 256 Kb MegaROM game, you must select at least a 512 Kb MegaRAM .

Ese-RAM

Ese-RAM is a Japanese invention that allows to use external SRAM. You can see it as ESE-SCC without the SCC part.

The ESE-RAM can be used as pure SRAM or as virtual disk. In both cases, a file will be created in the SRAM subdirectory of blueMSX.

Using ESE-RAM as pure SRAM opens the door to a new world on the MSX system. In the case you want to create a new ESE-RAM in the same cartridge slot, you need first to delete manually the file created in the SRAM subdirectory of blueMSX.

If you want to use the ESE-RAM as virtual disk, you need to follow these instructions :
- insert mginst.dsk in the first floppy drive (now recognized as B: - A: is reserved for the SRAM)
- on the commandline, type INST1 or INST2 to install MSX-DOS1 or 2 on the SRAM and initialize the SRAM
- reset the MSX

Note that you can delete the files on this virtual disk, but it's not possible to format the virtual disk in the emulator. In the case you want to create a new ESE-RAM in the same cartridge slot, you need first to delete manually the file created in the SRAM subdirectory of blueMSX.

See this site : http://www.big.or.jp/~saibara/msx/ese/index.html

Mega Flash ROM SCC

Mega Flash ROM is a Spanish invention that allows to store games and applications on external RAM. The SCC variant adds SCC sounds.

For more explanations and the MSX-DOS tool OPF.COM, see this website : http://soft.mundivia.es/mpazos/flashrom/index2.html


Specific machines

Many specific machines are supported by blueMSX. To run them, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

For most of these machines, the same names as in the MESS emulator are used for the roms. To get a realistic emulation, these machines are not boosted and by default, no any CAS patch is applied on the BIOS.

To see or modify the characteristics of a specific machine, you can use the Machine Editor in the Tools menu. The MSXturboR machines don't have a tape interface; the MSX Philips NMS-801 computer is without slot cartridge and printer interface.

The MSX Philips VG-8000, VG-8010 and VG-8010F don't have a printer port and come with a strange keyboard matrix that is patched for the emulator. Besides, the GRAPH and CODE keys work as toggles, just like the KANA key on Japanese machines.

The Frael Bruc 100-1 machine is a computer without the MSX logo, but with a MCL extended basic and a PC keyboard ! It was used in some Italian schools. The machine is compatible with MSX1 with some little differences or additionnal features : blinking cursor, step forward word by word, cut a text line, no display of the functions keys, different default color for the Basic screen, etc. Check http://fraelbruc100.msxit.org/ for more infos.

Forte II Games is a Brazilian MSX1 arcade board. As on the real machine, you need to insert a coin before playing the embedded game (Knightmare in a slightly modified version) : you can do that by pressing on the "C" key, then on the real or virtual joystick button (as this board comes without any keyboard). Check http://www.tabajara-labs.com.br/msx/fort_games/ for more infos.

The Virtual Haesung Console is based on the BIOS ROMS of a strange Korean arcade board : in 1988, Haesung released 2 pirated versions of the Free Kick game, published by Sega, this under the names of Spinkick and Super Freekick. They are emulated in a recent version of the multi-arcade emulator MAME but are not MSX2 games as they handle differently the VDP addressing and the memory bank switching. As some BIOS calls have been deleted by the Korean developers to skip the logo boot and the MSX BASIC screen, only some MSX/MSX2 games and demos in ROM format will work on the virtual machine. More infos about the real console on http://doxdev.blogspot.com/2008/12/art-of-rippping.html

The MSXPLAYer 2003 configuration is the virtual MSX2+ machine used in the first version of the emulator with the same name, as you can find it on the ASCII MSX MAGAZINE 2003.

Some machines come with built-in or external software. In this case, pages of this manual contain additionnal infos.

MSX1 machines

Al-Alamiah AX-170 | Sanyo PHC-28L
Canon V-10 | Sanyo PHC-28S
Canon V-20 | Sanyo Wavy MPC-10
Daewoo DPC-100 | Sharp Epcom HotBit 1.1
Daewoo DPC-180 | Sharp Epcom HotBit 1.2
Daewoo DPC-200 | Sharp Epcom HotBit 1.3b
Daewoo DPC-200E | Sharp Epcom HotBit 1.3p
Frael Bruc 100-1 | Sony HB-10P
Forte II Games - Pesadelo | Sony HB-20P
Goldstar FC-200 | Sony HB-55D
Gradiente Expert 1.0 | Sony HB-55P
Gradiente Expert 1.1 | Sony HB-75D
Gradiente Expert 1.3 | Sony HB-75P
Gradiente Expert DDPlus | Sony HB-201
Gradiente Expert Plus | Sony HB-201P
JVC HC-7GB | Sony HB-501P
Mitsubishi ML-F80 | Spectravideo SVI-728
Mitsubishi ML-FX1 | Spectravideo SVI-738
National CF-1200 | Spectravideo SVI-738 Henrik Gilvad
National CF-2000 | Spectravideo SVI-738 Swedish
National CF-2700 | Talent DPC-200
National CF-3000 | Talent DPC-200A
National CF-3300 | Toshiba HX-10
National FS-1300 | Toshiba HX-10S
National FS-4000 | Toshiba HX-20
Olympia PHC-2 | Yamaha CX5M-1
Olympia PHC-28 | Yamaha CX5M-2
Panasonic CF-2700G | Yamaha CX5MII
Philips NMS-801 | Yamaha CX5M-128
Philips VG-8000 | Yamaha YIS-303
Philips VG-8010 | Yamaha YIS-503
Philips VG-8010F | Yamaha YIS-503F
Philips VG-8020-00 | Yamaha YIS-503M
Philips VG-8020-20 | Yamaha YIS-503II
Philips VG-8020F | Yamaha YIS-503IIR
Pioneer PX-7 | Yamaha YIS-503IIR Estonian
Pioneer PX-V60 | Yashica YC-64
Sanyo MPC-64 | Yeno DPC-64
Sanyo MPC-100 | Yeno MX64

MSX2 machines

Al Alamiah AX-350 | Sanyo Wavy MPC-25FD
Al Alamiah AX-370 | Sanyo Wavy PHC-23
Daewoo CPC-300 | Sharp Epcom HotBit 2.0
Daewoo CPC-300E | Sony HB-F1
Daewoo CPC-400 | Sony HB-F1II
Daewoo CPC-400S | Sony HB-F1XD
Gradiente Expert 2.0 | Sony HB-F1XDMK2
National FS-4500 | Sony HB-F9P
National FS-4600 | Sony HB-F9P Russian
National FS-4700 | Sony HB-F9S
National FS-5000 | Sony HB-F500
National FS-5500F1 | Sony HB-F500P
National FS-5500F2 | Sony HB-F700D
Panasonic FS-A1 | Sony HB-F700F
Panasonic FS-A1 (a) | Sony HB-F700P
Panasonic FS-A1F | Sony HB-F700S
Panasonic FS-A1FM | Sony HB-F900
Panasonic FS-A1MK2 | Sony HB-F900 (a)
Philips NMS-8220 | Sony HB-G900AP
Philips NMS-8220 (a) | Sony HB-G900P
Philips NMS-8245 | Spectravideo SVI-738-2 CUC
Philips NMS-8245F | Spectravideo SVI-738-2 JP Grobler
Philips NMS-8250 | Spectravideo SVI-738-2 LC Grosso
Philips NMS-8255 | Talent TPC-310
Philips NMS-8280 | Toshiba HX-23
Philips NMS-8280G | Toshiba HX-23F
Philips VG-8230 | Virtual Haesung Console
Philips VG-8235 | Yamaha CX7M
Philips VG-8235F | Yamaha CX7M-128
Philips VG-8240 |

MSX2+ machines

Ciel Expert 3 IDE | Panasonic FS-A1WX (a)
Ciel Expert 3 Turbo | Sanyo Wavy PHC-35J
Gradiente Expert AC88+ | Sanyo Wavy PHC-70FD1
Gradiente Expert DDX+ | Sanyo Wavy PHC-70FD2
MSXPLAYer 2003 | Sony HB-F1XDJ
Panasonic FS-A1FX | Sony HB-F1XV
Panasonic FS-A1WSX | Sony HB-F9S+
Panasonic FS-A1WX |

MSXturboR machines

Panasonic FS-A1GT | Panasonic FS-A1ST (a)
Panasonic FS-A1ST | Panasonic FS-A1ST (b)


The Status Bar

The classic status bar

The classic status bar displayed at the bottom of the blueMSX window contains six panels that show information about the current state of the emulator.

Pane | Description
1 | The first pane contains the counter of frames per second
2 | The second pane indicates the using of CPU resource by the emulator
3 | The third pane shows the current emulation frequency (in percentage since version 2.0)
4 | The fourth pane shows the screen mode currently in use. (The shown screen mode is the screen mode of scanline 0, so if an application uses multiple screen modes in the same frame, the information may not be as expected.)
5 | The fifth pane shows a diskette or tape icon when loading or saving data from disk in drive A, from disk in drive B or from the cassette.
6 | The sixth pane contains 4 leds indicators. One becomes bright if the CAPS key is toggled and one if the KANA key is toggled. The two other ones indicate if the Panasonic front switch is on or if the switch of the Panasonic MSX-AUDIO cartridge is on.

The DIGIblue SUITE-X status bar

If you have choosen to run the emulator with the DIGIblue SUITE-X theme , then the status bar has first this appearance :

This STATUS appearance contains the description of the game or demo currently running (it can be a cartridge, a disk or a cassette).

Below this description, you find different indications about
* the using of CPU resource by the emulator
* the number of frames per second (FPS)
* the screen mode currently in use. (the shown screen mode is the screen mode of scanline 0, so if an application uses multiple screen modes in the same frame, the information may not be as expected)
* the Video Ram size of the emulated machine
* the Main Ram size of the emulated machine
* the mapper type of the current rom game
* the currently emulated machine
* the current emulation frequency (in percentage) that you can change by using the big button

The little button allows to come back to the normal emulation frequency (100 %)

If you click on a button of the right panel, you can change this appearance; in another words, this status-bar is a multi-panels bar !

The VIDEO appearance is a deluxe video panel, with all the features of the classic video menu (in Options/Video) and selection of an alternative output connector.
This last feature is yet only useful when using the Spectravideo SVI-328 MKII (choice between the 40-columns TMS9929A videochip and the 80-columns CTRC6845 video chip) or adding a 80 columns graphic card to a MSX1 machine; it will be used in the future for switching between V9938/58 video chip and the V9990 (GFX9000) video chip.

You can also see different bitmaps that change with your monitor settings.

The CONTROL appearance gives you a virtual keyboard and access to the controls ports 1 and 2.


SVI Keyboard

http://www.samdal.com/spectravideo.htm

The SVI keyboard is used in the pre-MSX machines released by Spectravideo : SVI-318 (without numeric keypad) and SVI-328.

The SVI keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The SVI keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some SVI keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete SVI keyboard :
- the extrem right PC key on the third row is used to emulate the extrem right SVI key on the second row

Specific SVI keys are mapped to the following PC keyboard keys :

SVI key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the SVI-BASIC or CP/M environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Left Graph | Left Alt | Gives graphical characters by pressing it with a normal character.
Right Graph | Right Alt | Gives graphical characters by pressing it with a normal character.
Comma on numpad | Page Down |

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Left Graph | Right Graph


Spectravideo SVI-738

To run this MSX1 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This computer also called X'PRESS is a MSX1 machine, but is equipped with the MSX2 VDP, what allows to use 80 columns in stead of 40 in text mode. It is also possible to use screen 5 with a program taking in account the limits of the memory.

This machine exists under different versions (English, Swedish, Henrik Gilvad disk rom), it has a tape interface and a 360 Kb diskdrive. It comes with three system disks : one MSX-DOS disk, two CP/M disks with different utilities.

Different hobbyists have converted this pre-MSX2 machine in a real MSX2 machine, with or without clock chip. These improved versions are also available on the Resource page of the blueMSX website.

MSX-DOS system disk First CP/M system disk
Second CP/M system disk


Swedish MSX Keyboard

http://www.samdal.com/spectravideo.htm

The Swedish MSX keyboard is used in the generic MSX Swedish and MSX2 Swedish machines.

It's also used in one specific MSX machine : Spectravideo SVI-738 Swedish . This machine is without numeric keypad.

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters.

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate the extrem right MSX key on the second row
- the extrem right PC key on the third row is used to emulate the MSX key after F5

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives graphical characters by pressing it with a normal character. Can be combined with Shift.
Code | Right Alt | Gives special or accented characters by pressing it with a normal character. Can be combined with Shift.
Comma on numpad | Page Down |
Accent Mark | Right Ctrl | Allows to put an accent mark on a vowel. You need to press it, alone or with control key(s), then to press on the vowel key - Accent Mark then the vowel key : accent grave (`). Example : à. - Shift + Accent Mark then the vowel key : accent acute (´). Example : á. - Code + Accent Mark then the vowel key : umlaut / accent diæresis (¨). Example : ä - Shift + Code + Accent Mark then the vowel key : accent circumflex (^). Example : â.

The tables underneath show you how to generate special characters with key-combinations of your PC keyboard :

Normal mode | Normal mode + Shift
Code | Code + Shift
Graph | Graph + Shift

The extrem right character of the fourth row is the Accent Mark.


Themes

By default, blueMSX comes with two themes :
- the classic theme (only for small and large window modes)
- the DIGIblue Suite-X theme (only for large window mode).

Last theme is built with customisable skins (see the contents of the Themes subdirectory) , so it means that you can also create new themes to give a personal feeling to blueMSX !

Some tools such as the Mixer or the Controllers/Keyboard Editor are also built with a theme.

Elements of a theme

Each theme is a combination of graphics, controls, triggers and actions.

The first thing to do when creating a theme is to create graphics that will serve as support for different things that happen in the emulator.

You must also imagine an great introduction picture that will be used when the emulator is in stop mode, waiting for the running of a MSX machine. In the DIGIblue theme, it's the monitorpanel.bmp file. Another picture is required for the fullscreen mode (see the fullscreen-bk.bmp file).

The middle of the picture is reserved for the screen of the emulated machine, it's very important to take this in account to determine the position of the different graphics that compose the theme.

Different types of graphics are used in a theme : fonts (for texts), icons, leds, buttons, ...

The main tool for the good working of a theme is the theme.xml file, it contains all the required controls, triggers and actions.

Some controls are described below. On the page "controls", you'll find all the other controls; most of them can be associated with triggers and actions.

The theme.xml file

Each theme configuration file contains a main block called "bluemsxtheme".
The field has one attribute, name, which overrides the concerned directory name

example : <bluemsxtheme name="DIGIblue SUITE-X">

The "bluemsxtheme" block can contain one to four different sub-blocks.
At the beginning of each sub-block, it's very important to determine the theme mode or the name of the special window.

examples :
<theme mode="normal">
<theme mode="fullscreen">
<window name="blueMSX Keyboard Editor">

If more than 1 page is used by the theme, then you must precise the type; to enable or disable the theme or window frame, you can give the value 1 or 0 to the "frame" attribute

examples :

<theme mode="normal" type="multipage" frame="0">
<window name="blueMSX Keyboard Editor" type="multipage" frame="0" handler="keyboard-config">

The "handler" attribute is only used for special windows that are implemented as plugins like the mixer or the keyboard editor.

For each page of the theme, you must precise

- the dimensions and the name of the page ; example : <page width="800" height="614" name="EmuAndStatus">

- the position of the menu and the colors used for the menu ; example : <menu x="20" y="3" bgcolor="bdbdbd" focuscolor="6995ba"/>

- the starting coordinates x and y of the theme window ; examples : <emuwindow x="10" y="65"/> or <emuwindow x="0" y="0"/>

To define a section of a page, you must use "block" and precise the starting coordinates x and y of the concerned block

example :
<block x="0" y="64">
include here all the commands for this block
</block>

Clip regions

You can determine clip regions in the theme that you are creating.

They work like the windows media player which means that the windows frame is visible if you put the mouse where it is supposed to be and then it hides when the mouse is moved away.

The clip region can be of any shape. Just add as many corners as needed, by precising the coordinates x, y of each corner.

example : <clipregion>
ooooooooooo<point x="17" y="27"/>
ooooooooooo<point x="786" y="27"/>
ooooooooooo<point x="786" y="655"/>
ooooooooooo<point x="799" y="655"/>
ooooooooooo<point x="799" y="725"/>
ooooooooooo<point x="0" y="725"/>
ooooooooooo<point x="0" y="655"/>
ooooooooooo<point x="17" y="655"/>
oooooooo</clipregion>

With the value 0 for the attribute "frame", you don't need to use the clipregion tags unless you want a more complex clip region of course.

What happens internally is that if frame="0", the defined clip region will be used if it is present.
If there is no clip region, a default clip region will be used that is the size of the theme.

A clip region can correspond to the window of a tool like the mixer or the keyboard editor. To make this window draggable, use grabimages.

Using of native Windows fonts

The native windows fonts work like this :

- You need to provide a background image in src.

This image is the boundary of the text and the main reason why it is required is for redrawing purposes.
Since the text is drawn transparent, the background has to be refreshed before the text is drawn.

- You need to specify type="native" in the font directive

- To set the color of the text, specify the fgcolor

The width attribute is ignored with native fonts (the type and fgcolor are ignored with the other fonts)

example :

<text x="118" y="553" src="ICONS/ROMNAMEBG.bmp" type="native" fgcolor="99bb99" trigger="text-runningname"/>


Actions

The following actions can be set on button controls. The menu actions require the coordinates where the menu is shown as arguments.

Action | Description
audio-decreasevolume | Decrease volume
audio-increasevolume | Increase volume
audio-setmute | Sets mute mode
audio-setrecord | Sets audio recording mode
audio-setstereo | Sets stereo mode
audio-togglemuteio | Toggle mute for the input/output volume
audio-togglemutekeyboard | Toggle mute for the keyboard volume
audio-togglemutemaster | Toggle mute for the master volume
audio-togglemutemidi | Toggle mute for the midi volume
audio-togglemutemoonsound | Toggle mute for the moonsound volume
audio-togglemutemsxaudio | Toggle mute for the msx-audio volume
audio-togglemutemsxmusic | Toggle mute for the msx-music volume
audio-togglemutepcm | Toggle mute for the pcm volume
audio-togglemutepsg | Toggle mute for the psg volume
audio-togglemutescc | Toggle mute for the scc volume
audio-togglemutesfg | Toggle mute for the sfg volume
audio-togglerecord | Toggle audio recording
audio-togglestereo | Toggle stereo/mono
cart1-insert | Opens "insert cartridge 1" dialog
cart1-remove | Removes cartridge 1
cart1-setautoreset | Sets auto reset after cartridge insertion or removing
cart1-toggleautoreset | Toggles auto reset after cartridge insertion or removing
cart2-insert | Opens "insert cartridge 2" dialog
cart2-remove | Removes cartridge 2
cas-insert | Opens the "Insert cassette" dialog
cas-remove | Ejects the cassette
cas-rewind | Rewinds the cassette
cas-save | Saves the cassette
cas-setautorewind | Sets auto rewind after cassette insertion
cas-setposition | Opens the "Set Position" dialog
cas-setreadonly | Sets read only cassette mode
cas-toggleautorewind | Toggles auto rewind after cassette insertion
cas-togglereadonly | Toggles read only cassette mode
diska-insert | Opens the "Insert disk A" dialog
diska-insertdir | Opens the "Insert dir as Disk A" dialog
diska-quickchange | Quick change disk A
diska-remove | Removes disk A
diska-setautoreset | Sets auto reset after disk insertion or ejection
diska-toggleautoreset | Toggles auto reset after disk insertion or ejection
diskb-insert | Opens the "Insert disk B" dialog
diskb-insertdir | Opens the "Insert dir as Disk B" dialog
diskb-remove | Removes disk B
dlg-about | Launches the about dialog
dlg-apearance | Launches the appearance properties dialog
dlg-audio | Launches the audio properties dialog
dlg-controls | Launches the controls properties dialog
dlg-emulation | Launches the emulation properties dialog
dlg-help | Launches the help window
dlg-keyboardeditor | Launches the keyboard editor dialog
dlg-language | Launches the language dialog
dlg-machineeditor | Launches the machine editor dialog
dlg-mixer | Launches the mixer dialog
dlg-performance | Launches the performance properties dialog
dlg-ports | Launches the ports properties dialog
dlg-settings | Launches the settings properties dialog
dlg-shortcuteditor | Launches the shortcut editor dialog
dlg-video | Launches the video properties dialog
emu-decreasespeed | Decrease emulation speed
emu-increasespeed | Increase emulation speed
emu-normalspeed | Set normal emulation speed
emu-quit | Quits the emulator
emu-releasemaxspeed | Releases max emulation speed
emu-resetclean | Clean resets the emulator
emu-resethard | Hard resets the emulator
emu-resetsoft | Soft resets the emulator
emu-setmaxspeed | Sets max emulation speeed
emu-stop | Stops the emulation
emu-togglecputrace | Toggles CPU trace
emu-togglemaxspeed | Toggles maximum emulation speed
emu-togglemousecapture | Toggles mouse capture
emu-togglepause | Toggles play/pause
level-io | Modifies the value of the bars in the mixer for the input/output volume
level-keyboard | Modifies the value of the bars in the mixer for the keyboard volume
level-master | Modifies the value of the bars in the mixer for the master volume
level-midi | Modifies the value of the bars in the mixer for the midi volume
level-moonsound | Modifies the value of the bars in the mixer for the moonsound volume
level-msxaudio | Modifies the value of the bars in the mixer for the msx-audio volume
level-msxmusic | Modifies the value of the bars in the mixer for the msx-music volume
level-pcm | Modifies the value of the bars in the mixer for the pcm volume
level-psg | Modifies the value of the bars in the mixer for the psg volume
level-scc | Modifies the value of the bars in the mixer for the scc volume
level-sfg | Modifies the value of the bars in the mixer for the sfg volume
menu-cart1 | Launches the cart 1 menu
menu-cart2 | Launches the cart 2 menu
menu-cassette | Launches the cassette menu
menu-controlsport1 | Launches the controls port1 menu
menu-controlsport2 | Launches the controls port2 menu
menu-diska | Launches the disk A menu
menu-diskb | Launches the disk B menu
menu-file | Launches the file menu
menu-harddisk | Launches the hard disk menu
menu-help | Launches the help menu
menu-options | Launches the options menu
menu-reset | Launches the reset menu
menu-run | Launches the run menu
menu-specialcart1 | Launches the special menu for cart 1
menu-specialcart2 | Launches the special menu for cart 2
menu-tools | Launches the tools menu
menu-windowsize | Launches the window size menu
mouse-capture | Captures the MSX mouse in the emulator
pan-io | Modifies the value of the pan in the mixer for the input/output volume
pan-keyboard | Modifies the value of the pan in the mixer for the keyboard volume
pan-midi | Modifies the value of the pan in the mixer for the midi volume
pan-moonsound | Modifies the value of the pan in the mixer for the moonsoundvolume
pan-msxaudio | Modifies the value of the pan in the mixer for the msxaudio volume
pan-msxmusic | Modifies the value of the pan in the mixer for the msxmusic volume
pan-pcm | Modifies the value of the pan in the mixer for the pcm volume
pan-psg | Modifies the value of the pan in the mixer for the psg volume
pan-scc | Modifies the value of the pan in the mixer for the scc volume
pan-sfg | Modifies the value of the pan in the mixer for the sfg volume
port1-setjoystick | Connects a joystick to MSX port 1
port1-setkeyset | Connects a keyset to MSX port 1
port1-setmouse | Connects a mouse to MSX port 1
port1-setnone | Connects nothing to MSX port 1
port1-setnumpad | Connects the numpad to MSX port 1
port2-setjoystick | Connects a joystick to MSX port 2
port2-setkeyset | Connects a keyset to MSX port 2
port2-setmouse | Connects a mouse to MSX port 2
port2-setnone | Connects nothing to MSX port 2
port2-setnumpad | Connects the numpad to MSX port 2
screenshot-large | Takes a large screenshot
screenshot-normal | Takes a normal screenshot
screenshot-small | Takes a small screenshot
slider-emuspeed | Modifies the emulation speed
slider-rensha | Modifies the value of the ren-sha turbo
sprite-setenable | Allows display of the sprites
state-load | Opens the load state dialog
state-quickload | Quick loads last saved state
state-quicksave | Quick save current state
state-save | Opens the save state dialog
switch-audioswitch | Toggles the MSX-AUDIO cartridge switch
switch-frontswitch | Toggles the Panasonic front switch
switch-pauseswitch | Toggles the Pause switch
switch-setaudio | Sets the MSX-AUDIO cartridge switch
switch-setfront | Sets the Panasonic front switch
switch-setpause | Sets the Pause switch
theme-close | Closes a theme window
theme-maximize | Maximizes a theme window
theme-minimize | Minimizes a theme window
theme-setpage | Sets the visible page of the theme
video-brightness | Modifies the brightness aspect
video-contrast | Modifies the contrast aspect
video-enable-mon1 | Enables the monitor 1
video-enable-mon2 | Enables the monitor 2
video-enable-mon3 | Enables the monitor 3
video-gamma | Modifies the gamma aspect
video-rfmodulation | Modifies the RF modulation effect
video-saturation | Modifies the saturation aspect
video-scanlines | Modifies the scanlines effect
window-fullscreen | Sets window size to fullscreen
window-normal | Sets window size to normal
window-setfullscreen | Sets fullscreen mode
window-small | Sets window size to small
window-togglefullscreen | Toggles between fullscreen and windowed size


Controls

There are a couple of available controls in a theme.
You must always
- precise the x and y coordinates
- complete "src" with the localisation of the source .bmp file.
Other arguments are optional, e.g. width and align on text fields and the actions and triggers on buttons.

button
Button control. (new format since version 2.2)
src contains three button states: normal, highlighted, pressed.
The action defines what action to take when the button is pressed.
"visible" attribute can be added, so buttons can stay hidden until you decide to make them visible.
A button control that is hidden does not respond to mouse input, so the corresponding action is impossible.
If you specify activenotify="1", the bitmap should contain two bitmaps,
the first is shown when the window is inactive and the second when the window is active.
The 'trigger' attribute no longer means enable/disable the button. Instead it means 'force press' .
So if you specify a trigger and the trigger is true, the button will be pressed otherwise the button will behave normally.
Example :

<button x="156" y="37" src="buttons/STOP-BUTTON.bmp" action="emu-stop" visible="not emu-stopped"/>

dualbutton
Dual button control. (new format since version 2.2)
The button has two parts, the left is usually a dropdown menu and the right the most common menu item.
src contains four button states: normal, highlighted, left pressed, right pressed.
"visible" attribute can be added, so buttons can stay hidden until you decide to make them visible.
A button control that is hidden does not respond to mouse input, so the corresponding action is impossible.
If you specify activenotify="1", the bitmap should contain two bitmaps,
the first is shown when the window is inactive and the second when the window is active.
The location of the dropdown menu can be specified with "direction" attribute.
If the buttons are designed vertically, the dropdown menu will be located in the corresponding direction.
"arg1x/arg1y"&"arg2x/arg1y" attributes are for setting the location of the dropdown menu in x/y coordinates.
"arg" are for actions that concerns the menu. 1&2 stands for action1 & action2.

Example :

<dualbutton x="49" y="32" src="buttons/RESET-BUTTON.bmp" action1="emu-resethard" action2="menu-reset" arg2x="80" arg2y="50"/>

grabimage
Bitmap image on which you can push the mouse button and drag the window.
If you specify activenotify="1", the bitmap should contain two bitmaps,
the first is shown when the window is inactive and the second when the window is active.

Example :

<dragimage x="0" y="0" activenotify="1" src="MixerTop.bmp"/>

key code
Keyboard key code. (introduced in version 2.2 )
you must precise the code of the concerned MSX keyboard key

Example :

<key code="underscore" x="228" y="84" width="17" height="17"/>

List of the different codes :

f1 - f2 - f3 - f4 - f5 - stop -cls - select - ins - del - esc
1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 - 0 - neg - circomflex - backslash - backspace - tab
q - w - e - r - t - y - u - i - o - p - at - leftbracket - return - ctrl
a - s - d - f - g - h - j - k - l - semicolon - colon - rightbracket - leftshift
z - x - c - v - b - n - m - comma - period - div - underscore - rightshift
caps - graph - torikeshi - space - jikkou - code - pause
left - up - down - right
num7 - num8 - num9 - numdiv
num4 - num5 - num6 - nummul
num1 - num2 - num3 - numsub
num0 - numperiod - numcomma - numadd
print

image
Stateless bitmap image

Example :
<image x="30" y="20" src="bitmap.bmp"/>

led
Two state bitmap image on/off controlled by a trigger

Example :

<led x="30" y="552" src="DIGIBLUE.bmp" trigger="not emu-stopped"/>

meter
Meter control.
The number of bars in the bitmap is set by "max" which can beat most 99.
src needs to contain "max" number of bitmaps.

Example :

<meter x="454" y="617" max="13" src="MIXER/METER-L.bmp" trigger="volume-master-left"/>

slider
Slider control.
The number of pans in the bitmap is set by "max" which can beat most 99.
src needs to contain "max" number of bitmaps and how many columns are concerned for each pan.
The direction of the slider can be specified with "direction" attribute.
You can also specify his sensitivity

Example :

<slider x="71" y="58" src="SWITCHES/SLIDER-RENSHA.bmp" max="11" srcColumns="1" trigger="slider-rensha" action="slider-rensha"
direction="horizontal" sensitivity="3"/>

text
Text field.
The data is controlled by a trigger (only text- triggers)
src defines the font to use (only fixed size fonts supported at the moment)
"visible" attribute can be added, so texts can appear only when emulator is running or stops.
"align" attribute is for setting the alignment of the text and currently supporting right & left.

Example :

<text x="67" y="7" width="6" align="right" visible="emu-stopped" src="ICONS/FONT-SMALL.bmp" trigger="text-cpuusage"/>
<text x="67" y="7" width="6" align="right" visible="not emu-stopped" src="ICONS/FONT-SMALL.bmp" trigger="text-vramsize"/>

togglebutton
Toggle button control. (introduced in version 2.2 )
src contains two groups of three button states: normal, focused and pressed
when the button is in off state (3 first states) or in on state (3 last states).
The action defines what action to take when the button is pressed.
"visible" attribute can be added, so buttons can stay hidden until you decide to make them visible.
A button control that is hidden does not respond to mouse input, so the corresponding action is impossible.
If you specify activenotify="1", the bitmap should contain two bitmaps,
the first is shown when the window is inactive and the second when the window is active.
The 'trigger' attribute no longer means enable/disable the button. Instead it means 'force press' .
So if you specify a trigger and the trigger is true, the button will be pressed otherwise the button will behave normally.

Example :

<togglebutton x="63" y="11" src="video-block/vidout-button2.bmp" trigger="status-hstretch" action="switch-videohstretch"/>


Triggers

The triggers change the leds, enable/disable buttons and let text fields know what text to print.

Trigger | Description
emu-paused | Triggered when emulation is paused
emu-running | Triggered when emulation is running
emu-stopped | Triggered when emulation is stopped
enable-io | Triggered when input/output audio is enabled
enable-keyboard | Triggered when keyboard audio is enabled
enable-master | Triggered when master audio is enabled
enable-midi | Triggered when midi audio is enabled
enable-moonsound | Triggered when moonsound audio is enabled
enable-msxaudio | Triggered when msx-audio audio is enabled
enable-msxmusic | Triggered when msx-music audio is enabled
enable-pcm | Triggered when pcm audio is enabled
enable-psg | Triggered when psg audio is enabled
enable-scc | Triggered when scc audio is enabled
enable-sfg | Triggered when sfg audio is enabled
lang-kbd-mappedto | Triggered when a PC key is selected for the mapping of a MSX key
lang-kbd-selkey | Triggered when a MSX key is selected for the mapping to a PC key
led-audioswitch | Triggered when audio switch is on
led-caps | Triggered when caps led is on
led-cassette | Triggered when cassette led is on
led-diska | Triggered when disk A led is on
led-diskb | Triggered when disk B led is on
led-frontswitch | Triggered when Panasonic front switch is on
led-hd | Triggered when hard disk led is on
led-kana | Triggered when kana led is on
led-pause | Triggered when pause led is on
led-pauseswitch | Triggered when pause switch is on
led-rensha | Triggered when ren-sha turbo led is on
led-turbor | Triggered when Turbo-R R800 led is on
level-io | Gives the current value of the bars in the mixer for the input/output volume
level-keyboard | Gives the current value of the bars in the mixer for the keyboard volume
level-master | Gives the current value of the bars in the mixer for the master volume
level-midi | Gives the current value of the bars in the mixer for the midi volume
level-moonsound | Gives the current value of the bars in the mixer for the moonsound volume
level-msxaudio | Gives the current value of the bars in the mixer for the msx-audio volume
level-msxmusic | Gives the current value of the bars in the mixer for the msx-music volume
level-pcm | Gives the current value of the bars in the mixer for the pcm volume
level-psg | Gives the current value of the bars in the mixer for the psg volume
level-scc | Gives the current value of the bars in the mixer for the scc volume
level-sfg | Gives the current value of the bars in the mixer for the sfg volume
pan-io | Gives the current value of the pan in the mixer for the input/poutput volume
pan-keyboard | Gives the current value of the pan in the mixer for the keyboard volume
pan-midi | Gives the current value of the pan in the mixer for the midi volume
pan-moonsound | Gives the current value of the pan in the mixer for the moonsound volume
pan-msxaudio | Gives the current value of the pan in the mixer for the msx-audio volume
pan-msxmusic | Gives the current value of the pan in the mixer for the msx-music volume
pan-pcm | Gives the current value of the pan in the mixer for the pcm volume
pan-psg | Gives the current value of the pan in the mixer for the psg volume
pan-scc | Gives the current value of the pan in the mixer for the scc volume
pan-sfg | Gives the current value of the pan in the mixer for the sfg volume
port1-enable | Triggered when joystick port 1 is enabled
port1-joystick | Triggered when joystick is connected to port 1
port1-keyboard | Triggered when keyboard is connected to port 1
port1-mouse | Triggered when mouse is connected to port 1
port1-none | Triggered when nothing is connected to port 1
port1-numpad | Triggered when numpad is connected to port 1
port2-enable | Triggered when joystick port 2 is enabled
port2-joystick | Triggered when joystick is connected to port 2
port2-keyboard | Triggered when keyboard is connected to port 2
port2-mouse | Triggered when mouse is connected to port 2
port2-none | Triggered when nothing is connected to port 2
port2-numpad | Triggered when numpad is connected to port 2
slider-emuspeed | Gives the current emulation speed
slider-rensha | Gives the current value of the ren-sha turbo
status-cartreset | Triggered when cartridge reset is enabled
status-casreadonly | Triggered when cassette is read only
status-deinterlace | Triggered when deinterlace mode is enabled
status-diskreset | Triggered when disk reset is enabled
status-hstretch | Triggered when horizontal stretch is enabled
status-record | Triggered when recording is active
status-rfmodulation | Triggered when RF modulation is enabled
status-scanlines | Triggered when scanlines are enabled
status-vstretch | Triggered when vertical stretch is enabled
text-buildandversion | Text with both blueMSX build and version numbers (and credits scroll)
text-buildnumber | Text with blueMSX build number
text-controlsport1 | Text with status of the controls port 1 menu
text-controlsport2 | Text with status of the controls port 2 menu
text-cpuusage | Text with cpu usage
text-emufrequency | Text with emulation frequency
text-framespersecond | Text with frames per second
text-machinename | Text with current machine name
text-mappedkey | Text with current mapped key
text-ramsize | Text with current ram size
text-rommapper1 | Text with active rom mapper for cartridge 1
text-rommapper1short | Short text with active rom mapper for cartridge 1
text-rommapper2 | Text with active rom mapper for cartridge 2
text-rommapper2short | Short text with active rom mapper for cartridge 2
text-runningname | Text with running image (cart/dsk/cas)
text-scanlinespct | Text with scanlines percent
text-screentype | Text with current screen type
text-screentypeshort | Short text with current screen type
text-selectedkey | Text with current selected key
text-version | Text with blueMSX version number
text-videobrightness | Text with current status of brightness aspect
text-videocontrast | Text with current status of contrast aspect
text-videogamma | Text with current status of gamma aspect
text-videomonname1 | Text with name of monitor 1
text-videomonname2 | Text with name of monitor 2
text-videomonname3 | Text with name of monitor 3
text-videosaturation | Text with current status of saturation aspect
text-vramsize | Text with current vram size
using-fmpac | Triggered when fm-pac is active
using-megaram | Triggered when megaram is active
using-megarom | Triggered when megarom is active
using-moonsound | Triggered when moonsound is active
using-msxaudio | Triggered when msx-audio is active
using-msxmusic | Triggered when msx-music is active
using-rom | Triggered when normal rom is active
using-scc | Triggered when scc is active
video-brightness | Brightness aspect indicator
video-contrast | Contrast aspect indicator
video-enable-mon1 | Triggered when monitor 1 is used
video-enable-mon2 | Triggered when monitor 2 is used
video-enable-mon3 | Triggered when monitor 3 is used
video-gamma | Gamma aspect indicator
video-rfmodulation | RF Modulation indicator
video-saturation | Saturation aspect indicator
video-scanlines | Scanlines indicator
volume-io-left | Volume indicator for left channel of input/output audio
volume-io-right | Volume indicator for right channel of input/output audio
volume-keyboard-left | Volume indicator for left channel of keyboard audio
volume-keyboard-right | Volume indicator for right channel of keyboard audio
volume-master-left | Volume indicator for left channel of master audio
volume-master-right | Volume indicator for right channel of master audio
volume-midi-left | Volume indicator for left channel of midi audio
volume-midi-right | Volume indicator for right channel of midi audio
volume-moonsound-left | Volume indicator for left channel of moonsound audio
volume-moonsound-right | Volume indicator for right channel of moonsound audio
volume-msxaudio-left | Volume indicator for left channel of msx-audio audio
volume-msxaudio-right | Volume indicator for right channel of msx-audio audio
volume-msxmusic-left | Volume indicator for left channel of msx-music audio
volume-msxmusic-right | Volume indicator for right channel of msx-music audio
volume-pcm-left | Volume indicator for left channel of pcm audio
volume-pcm-right | Volume indicator for right channel of pcm audio
volume-psg-left | Volume indicator for left channel of psg audio
volume-psg-right | Volume indicator for right channel of psg audio
volume-scc-left | Volume indicator for left channel of scc audio
volume-scc-right | Volume indicator for right channel of scc audio
volume-sfg-left | Volume indicator for left channel of sfg audio
volume-sfg-right | Volume indicator for right channel of sfg audio


The Toolbar

The toolbar contains a number of buttons, most of them with an associated dropdown menu.

The classic toolbar has the following appearance :

If you have choosen to run the emulator with the DIGIblue SUITE-X 2.2 theme, then the toolbar has this appearance :

In this theme, all the features concerning insertion into disk drives, cartridges slots and cassette reader are on the right side.
Extras : a button to rewind the games on cassette, a button and dropdown menu for the hard disk images when IDE controllers are present.

Button | Description
Reset | Hard resets the emulator. Its dropdown menu contains soft and hard reset options.
Play | Plays emulation.
Pause/Resume | Pauses / Resumes emulation.
Stop | Stops emulation.
Cartridge 1 | Launches the cartridge insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Cartridge 2 | Launches the cartridge insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Disk drive A | Launches the disk insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Disk drive B | Launches the disk insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Cassette | Launches the cassette insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Tape Rewind | Allows. to rewind the games on cassette
Hard Disk | Launches the hard disk insert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu. Don't forget to first add IDE or SCSI controllers to the machine by using the Cartridge special menu.
Window size | Sets window size to double. The dropdown menu contains the same options as the Windows menu.
Properties | Launches the properties dialog. The dropdown menu contains the same options as the Options menu.
Help | Launches the help dialog.


Talent TPC-310

To run this MSX2 machine in blueMSX, you need the complete config file with all the specific roms. Check the Resource page of the blueMSX website and unzip the config file in the Machines subdirectory of the emulator.

This machine has a tape interface ; you can also add a diskdrive. Note that the DPF-550 diskdrive, included in the config file, is not part of the real machine, but this 5,25"diskdrive was used in Argentina. This specific diskdrive is not yet supported by blueMSX.

The Talent TPC-310 machine comes with 2 integrated firmwares, Accessories, that you call by pressing LeftCTRL+LeftSHIFT, and the Turbo-Basic : CALL TURBO ON and CALL TURBO OFF can be used in MSX-BASIC programs.

Another special feature : if you keep pressing on LeftCTRL and enter numbers that correspond to the ASCII number of a letter, you get this letter on the screen.

Accessories menu | Settings
Scientific Calculator | Clock
Game | Calendar


Trace Logger

blueMSX provides a trace logger, it's a debug tool which will display special debug messages that are generated from the asMSX assembler when using the DEBUG command. These messages will appear in the Trace Logger Window.

These messages are not shown on a real MSX but uses a special sequence of instructions to tell the debugger that it is a debug message. This is very helpful when developing new MSX software.

You find below a description of the items in the drop down menu.

File Menu

Menu Item | Description
Log to File | Allows to save the content of the trace logger window in a text file
Exit | Closes the trace logger window.

Edit Menu

Menu Item | Description
Select All | Selects the entire content of the trace logger window.
Copy | Copies the content of the trace logger window.
Clear Window | Clears the content of the trace logger window.

Help Menu

Menu Item | Description
About | Shows the About dialog.


blueMSX Trainer

blueMSX provides a powerful trainer that allows to explore the memory, find cheats and use them in your preferred games. You can start the trainer by using the shortcut RCtrl+RSft+T.

The trainer window includes 2 tabs, a bottom menu and uses .mcf files :

* Active Cheats

* Find Cheats

* Bottom Menu

* MCF Files

About the cheats shipped with blueMSX

The cheats shipped with the emulator are stored in the Tools/Cheats subdirectory, where you can find 4 subdirectories, one by system supported by blueMSX (Coleco, MSX, Sega, SVI).

We must thank here BiFi (Albert Beevendorp) and Vampier (Patrick van Arkel) for their great work : they have searched for an important part of the MSX cheats and tested them in openMSX. Their adaptation for blueMSX and other cheats have been made mainly by the blueMSX team, but if you check these files, you'll notice other contributors to the cheat database !

For non-MSX games, the cheats have mainly made by the blueMSX team.

All these cheats should work correctly in blueMSX, if you use an appropriate version of the concerned game.


Active Cheats

How to load a cheat for a game ?

- start the emulator with the concerned game
- generally before the real start of the game, pause the emulator by pressing on F9
- start the trainer by using the shortcut RCtrl+RSft+T
- in the "Active cheats" parts, click on the folder icon to select a .mcf file in one subdirectory (coleco, msx, sega, svi) of the Tools\Cheats subdirectory
- select the cheat(s) that you want to use, it will be enabled by default
- click on "Run"

By default, if the .mcf file is in the old format (as it is the case with all the . mcf files shipped with blueMSX), the cheat value will be displayed under its hexadecimal form. If you prefer the decimal form, you need to double-click on the cheat to modify it.

Example with the cheat file for Gradius 1 - Nemesis 1

Some little tips

- don't enable at the same time all the cheats for a game, but use them only in accordance with your real needs in the game;
- some cheats can only be enabled after the start of the game, so don't complain if they don't work otherwise;
- some cheats allow to play directly a level or stage, you must disable them or modify them when you come at the end of this level or stage;
- generally, the cheats make the game easier, but in some cases, you will find cheats for masochists or superheroes that make the game harder;
- for some games, it's useful to read the .mcf file as it will give you some additionnal tips
- for some games with complex cheats, you will find 2 .mcf files : the normal version and the extended version (with more in the name)
- in all cases, see these cheats as additional fun, not a way to spoil the real fun and don't use them if you are shocked :)

If you make save states or video captures, the parameters of the cheats are not saved. So it means that if you load later a save state or a video capture, you need to re-apply exactly the same cheats on the game after loading of the save state or video capture.

How to modify a cheat for a game ?

- double-click on the concerned cheat to access to the same window than for "Add Cheat"
- generally, you need only to change the "Value" field

How to save a cheat for a game ?

- in the "Active cheats" parts, click on the diskette icon
- enter the name of the file that will be saved with the .mcf extension in one subdirectory (coleco, msx, sega, svi) of the Tools\Cheats subdirectory


The .mcf files

The .mcf files shipped with blueMSX are in an old format, fully compatible with blueMSX 2.7 and higher.

If you create .mcf files with this trainer, they will be in a new format and can only be read by blueMSX 2.7 and higher.

Here's a short presentation of both formats :

* old format : a,b,c,d,e

a = concerned memory type (0 = visible memory and generally all the cheats can be found in this memory)
b = memory address in decimal
c = value in decimal
d = by default always 0, it means that the cheat is not enabled, it becomes 1 when it is enabled in the trainer
e = short description

* new format : A:B:C:D:E

A = visible memory address in hexadecimal
B = value in hexadecimal (8 or 16 bit)
C = data size - 0 = 8 bit and 1 = 16 bit
D = display type - 0 = decimal and 1 = hexadecimal
E = short description

Example for the lives cheat in Gradius 1 - Nemesis 1 :

* old format : 0,57440,153,0,lives
* new format : E060:99:0:1:lives

Besides these data, some .mcf files contain additionnal infos as remarks. So, it can be useful to read them as text files.


Find Cheats

Finding cheats requires some knowledge about the hardware and software but the interface is made as simple as possible.

How to find a cheat for a game ?

The blueMSX trainer has many options to help you in your quest for cheats. The best way to understand how it works is of course a simple example. So let's see how we can have infinite lives for Gradius 1 - Nemesis 1

- run first the emulator with the game
- pause the game by pressing on F9
- start the trainer by using the shortcut RCtrl+RSft+T
- go to the "Find Cheats" panel
- click on "Snapshot" to take a first snapshot - here's the result :

- as the game begins with 3 lives and the value 2, select "Equal", enter 2 as "Specific value" and click on "Search"

- click on "Run" to play a little and lose a live, then press on F9
- we need now to compare the old value (2) with the new value that must be smaller than the old value : select "Less than" and "Old value", then click on "Search"

- click on "Run" to play a little and lose another live, then press on F9
- we need now to compare the remaining old values with the new values that must be smaller than the old values : select "Less than" and "Old value", then click on "Search"

- Bingo ! We have found the memory address that stores the lives for this game
- Double-click on the cheat address

- Enter a description and a cheat value, then click on "OK" : your new cheat will appear in the "Active Cheats" panel of the trainer, but it's not yet selected

How to test a new cheat for a game ?

- Select the new cheat in the "Active Cheats" panel and click on "Run"
- Check if the cheat works without provoking game hanging or bad display
- Check if the cheat corresponds to your expectations

In the above example, if you have choosen 99 as decimal value, you will be surprised to see that you have only 63 lives. The explanation is simple : some games store the lives under an hexadecimal form. The solution is to choose 99 as hexadecimal value (or 153 as decimal value).

Remarks :
- You will also encounter games where some data are stored in 16 bit form by using 2 neighbour addresses.
- Some cheats use 2 or more addresses at different locations of the memory.

The different options for your quest of the good address(es)

- Compare Type : Equal, Not equal, Less than, Less or equal, Greater than, Greater or equal
- Display : decimal or hexadecimal
- Data Size : 8bit or 16bit
- Compare new value with : Old Value, Change (to specify), Specific value (to specify)


Bottom Menu

The bottom menu of the blueMSX trainer is different if you are in the Active Cheats tab or in the Find Cheats tab.

The bottom menu in the Active Cheats tab

Menu Item | Description
Remove All | Removes all the cheats displayed in the window
Remove | Removes the selected cheat (click first on the concerned cheat to select it)
Disable / Enable | Disables / Enables the selected cheat (click first on the concerned cheat to select it)
Add Cheat | Allows to add manually a new cheat
Run / Pause | Runs / Pauses the emulator

The bottom menu in the Find Cheats tab

Menu Item | Description
Snapshot | Makes a snapshot of the memory
Search | Allows to search for the addres(es) concerned by a cheat
Undo | Back to previous situation, just before your last action
Add Cheat | Allows to add manually a new cheat (will be displayed in the "Active Cheats" panel)
Run / Pause | Runs / Pauses the emulator


Tricky features

Special features makes the charm of a good emulator, because they allow to make things that are impossible on a real machine. So you can more enjoy your game experience with blueMSX !

Take also a look at the possibilities of the blueMSX trainer !

Hiding the sprites

If you want to create maps of great games, you are still annoyed by all these sprites ! blueMSX has a solution for you, a simple "hidden" feature that you call by a toggle hotkey : LCtrl+LSft+S by default.

This feature will also help you to cheat (but good luck to play in blind mode !) or to understand the tricks used in the demos.

Playing with the speed

If you want to skip some parts in a demo or see more easily some details, these "hidden" features will interest you, because you can make slower or faster all the emulation (including the musics).

Also fast drive loading is interesting and works without any problem with most games and demos. Accurate and slow drive loading is indeed only requested for some games and demos.

Here's the list of these features and the default hotkeys :

LShift+F9 | When held down, the emulator runs as fast as possible.
LShift+F10 | Resets emulation frequency to 3.579MHz
LShift+F11 | Decreases emulation frequency with 5%.
LShift+F12 | Increases emulation frequency with 5%.
LCtrl+LSft+F | Enables/disables Floppy Drive timing
LCtrl+LSft+M | Toggles maximum emulation speed.

If you want to pause the emulation, just press on the toggle key "Run/Pause", F9 by default


Virtual Drive (aka blue v-DRIVE)

-What's blue v-DRIVE?
v-DRIVE is an blueMSX unique function introduced in v1.3.0. So what does it do? Well it's a simple yet powerful hotkey for users to swap disk without going the file selection window. v-DRIVE hotkey will let users toggle between available contiguous dsk file of your choice. (Works similar to ' ALT+TAB' task switcher in your Windows.) Users will find it quite handy when playing games with massive disk exchange!

-How does it work?
Let's say you have a software with multiple sets of disks and they have filenames like the following [DISK-1.dsk, DISK-2.dsk, DISK-3.dsk]. blueMSX will automatically recognize that your set has total of 3 diskettes present. This is done by scanning through filenames based upon numbers and alphabets along with a common naming.

-How to use it?
While emulation, certain software ask you to change disk, simply push ALT+F9 (default hotkey) . You should see an information bar like the one above with dsk file that is being mounted. If you push again the next available dsk is mounted. When you reach the last dsk and continue to push ALT+F9 (default hotkey), it will return to the first dsk in the sets. So what you're basically doing is switching through sets of dsk in a cycle. Here is the diagram of v-DRIVE process shown visually.

-Things to be aware of.......
In order v-DRIVE function properly their is few things you need to be aware of. Currently v-DRIVE does not support multiple disks saved in single image ZIPPED files. (i.e -- DISK-1.zip, DISK-2.zip, DISK-3.zip....so on) However ZIPPED file with multiple image is supported. So we recommend users to extract zip files to a directory so to ensure v-DRIVE work.


Version History

v 2.8.2 August 16, 2009

- Added support for MSX1 VDP timing checks in the debugger
- Added support for .der copy protected disk files
- Fixed multiple bugs in DRAM management that fixes many known MSXturboR issues
- Fixed memory write bug in debugger that made memory writes occasionally fail
- Fixed default directory for hard disk insert
- Fixed memory leaks
- Fixed Moonsound FM bug
- Speed up save states and pause/resume

v 2.8.1 May 3, 2009

- Added a virtual MSX2 console based on the Korean Haesung console
- Added the Bit Corporation Dina console (Coleco part with built-in game)
- Added support for 16kB, 32kB, 48kB and 64kB external ram cartridges
- Added support for Joyrex PSG module
- Added support for PSG pin 6/7 quirk
- Added support for VR bit in VDP register 8
- Added support for Nowind MSXDOS1 and MSXDOS2 disk rom in Special cartridge menu
- Added new machine configurations, including Frael Bruc 100 (1st version) and Philips VG-8000/8010/8010F
- Added 23 new cheats
- Updated several machine configurations
- Extended the manual section about the keyboard
- Fixed SVI M1 wait state
- Fixed ColecoVision Keyboard read error
- Fixed ColecoVision PSG noise bug
- Fixed DirectX initialization bug
- Fixed V9958 Scroll masking bug in Screen 4 (introduced in 2.8)
- Fixed Screen 2 scroll bug
- Fixed R15 PSG register read
- Fixed bug in VDP line engine
- Fixed bug in Obsonet write method
- Fixed bug in Harryfox rom mapper
- Fixed bug in Crossblaim rom mapper
- Fixed bug in Korean bootleg rom mapper
- Made bluemsxlite compile on Mac OSX
- Fixed bug in Arkanoid Pad emulation
- Fixed addressing bug in R-Type mapper
- Fixed x/y flags on scf/ccf instructions
- Fixed instructions ld a,i or ld a,r to handle interrupts correctly

v 2.8.0 June 8, 2008

- Added support for DRAM mode in MSXturboR machines
- Added support for Panasonic FS-A1FM machine
- Added support for FS-A1WX and FS-A1WSX firmware mapper
- Added support for Manbow 2 mapper
- Added support for Matra INK mapper
- Added support for Jaleco Moero!! Nettou Yakyuu '88 mapper with sample player
- Added support for Ark-A-Noah copy protected disks
- Replaced SN76489 emulation
- Updated support for TC8566AF Disk Controller
- Updated machine structure
- Added 2 new generic machines : MSX1 Estonian and MSX2 Estonian
- Updated some generic MSX1 machines (no keyboard repeat bug)
- More accurate configuration of specific machines (correct RAM size, no CAS patch on the BIOS)
- Updated all specific machines to use MESS file names when it's possible
- Added Catalonian translation
- Added Russian translation
- Added infos in the manual about specific machines with internal or external firmware
- Extended or improved other parts of the manual
- Added current machine and currently inserted media information to the Classic theme titlebar
- Fixed DigiBlue Suite theme thinking a cartridge or disk was still present after ejecting it
- Fixed DirectSound bug that happened on constant intervals depending on sound buffer size
- Added ejectMediaOnExit setting. If enabled, all media are ejected when exiting blueMSX
- Added MSX keyboard matrix quirk emulation, eg. pressing X+Z+J results in X+Z+H+J
- Fixed cassette rewind after insert setting
- Fixed horizontal scroll in lower screenmodes
- Fixed 512 pixel width screen modes having a width of 511
- Fixed small bug with MSX1 VDP address writes
- Fixed audio mixer knobs being one notch to the left
- Fixed Z80 IRQ timing
- Fixed Moonsound FM 4-op bug
- Fixed many resource leaks, most notably in the debugger
- Fixed ColecoVision RAM initialization bug
- Added 75ms setting for soundbuffer size (step from 50 to 100 was a bit too big)

v 2.7.1 December 15, 2007

- Added support for Forte II Games arcade boards
- Added support for Halnote mapper
- Added support for Arkanoid pad
- Added the Ciel Expert 3 IDE machine
- Added 165 new game cheats
- Reduced SCC volume to conform with an average MSX machine
- Fixed screen 6 sprite collision timing bug
- Fixed properties bug when canceling the Properties dialog
- Fixed bug in Konami mapper that made non standard size roms not run properly
- Rom name in machine config dialog can now be edited in the text field
- Fixed minor SCC timing issue
- Fixed PSG volume initialization in ColecoVision
- Fixed joystick initialization in ColecoVision
- Minor bugfixes in Yamaha SFG05 emulation

v 2.7.0 May 13, 2007

- Added support for MEGA-SCSI, WAVE-SCSI and MSX Club Gouda SCSI (NOVAXIS)
- Added support for SCSI CD Audio and CD-ROM
- Added support for keyboard input in the Philips Music Module (MSX-Audio)
- Added support for MIDI input and output in the Philips Music Module (MSX-Audio) and SFG-05 (Yamaha CX5M/CX7M)
- Added support for ESE-SCC, ESE-RAM and Mega Flash ROM SCC cartridges
- New trainer with improved search capabilities and a new .mcf file format
- Added remove all harddisks feature
- Added support for sprite mirroring (screen 2) in MSX1 machines
- Added pixel accuracy in screen 0
- Added Home hotkey in debugger to go to current command
- Added new values in the cpu register window of the debugger
- Added ability to use registers in the 'Go to' feature and the memory viewer of the debugger
- When CPU is stopped by a breakpoint, the sound buffer is cleared
- Fixed z80 timing bugs
- Fixed z80 instruction bugs
- Fixed bug in Cas and Disk leds
- Vram pointer updated correctly in MSX1 machines
- 5th Sprite status bits updated correctly
- Fixed bug with collision detection for transparent sprites
- Screen 0 masking handled correctly
- Fixed digitize enable bit (ignoring it) in screen 0-4
- Fixed scroll bug in screen 4
- TC8566AF format bug fixed : filler byte was not used.
- Fixed a bug in the Panasonic FDC that caused some MSX2+ machines to fail
- Fixed aliasing in SCC filter
- Improved Moonsound emulation
- Fixed bug in mirrored mapper
- Re-added support for old command line rom types

v 2.6.1 October 1, 2006

- Fixed AVI rendering that caused emulator crash on some PC's
- Fixed fullspeed support that was source of crash on some PC's
- Improved the video capture algorithm (runned out of space in 2.6)
- Fixed bug related to the blending of consecutive frames (didn't take effect on startup in 2.6)
- Changed default width of the memory window in the debugger to 16 bytes

v 2.6.0 September 17, 2006

- Added support for the MSX Game Reader
- Added input event logging, replay and AVI rendering
- Added support for the Sega SC-3000 and SF-7000 computers
- Added support for ObsoNET, the only existing Ethernet solution for MSX
- Added support for low resolution in fullscreen mode
- Added SVI printer support
- Added selection of video in grabber
- Added support for Sony Playball roms with digitized speech
- Added support for MegaCart(R), a new type of Coleco rom
- Added dutch version of the user manual
- Fixed crash caused by video grabber card
- Made video grabber unload if not selected (in 2.5, the grabber was always enabled)
- Fixed NMI bug in z80 emulation causing some Coleco games to fail running
- Fixed detection of Sega rom types in menus and dialogs
- Fixed bug in screen 10 vertical border color
- Fixed header of PNG screenshots
- Fixed bug in the S1985 device that caused emulator to crash when debugger was open.
- Fixed the joystick button triggers for the SVI joystick
- Fixed bug in the I8250 UART used in SVI-328 that caused emulator to hang
- Fixed SVI-328 PPI bug
- Fixed default rom mapper handling
- Fixed some printer emulation bugs
- Fixed save state in R-Type rom mapper so it doesn't crash the emulator
- VDP timers are now saved correctly in save states
- Updated MSX Printer emulation to include a static font
- Fixed screen 6 sprites
- Fixed CC sprite bug that made CC sprites visible even if no non CC sprite was present
- Fixed sprite collision index in Status Register 0 for screen 5-8 sprites
- Fixed bug related to CC sprites (having the attribute "Mix color with sprite that has next higher priority")

v 2.5.0 July 8, 2006

In the emulator :
- Implemented a new controllers and keyboard editor that gives still more comfort to the gamers and will allow to support easily other computers or consoles in future versions
- Added the hard disk emulation : besides the well-known Sunrise IDE hard disk controllers, blueMSX has also implemented the Beer IDE and GIDE supports
- blueMSX is the first emulator that is capable to support the Yamaha CX5M, CX5M-128 and CX7M-128 computers by emulation of the YM2151 sound chip and the YK-01, YK-10 and YK-20 music keyboards. The MIDI part of the Yamaha SFG cartridges is not yet available.
- Added support for the MHT Ingenieros Gunstick and the ASCII Plus-X Terminator Laser
- Added support for two 80 columns graphics cards on MSX1 : Microsol VMX-80 and SVI-737
- Added support for Video In, Sony HBI-V1 digitizer and the digitization part of the Philips NMS-8280 computer
- Added superimpose and external video source support in V9938 emulation
- Added support for PNG screenshots
- Added support for creating new disk images of various size on MSX and SVI-328
- Added support for undocumented screen mode (screen 0 with screen 2 style name table addressing)
- Added a new display synchronization method
- Added a video option to blend consecutive frames and get smoother picture
- Added support for the YM2149 PSG
- Fixed the MIDI-IN support in the MSXturboR machines
- Added new rom mappers for SFG-01 and SFG-05 (used in the Yamaha music computers), the F&M Direct Assembler System and the SG-1000 version of The Castle
- Improved SRAM enable/disable handling in FM-PAC
- Restructured Keyboard and Joystick input
- Optimized the video rendering
- Added support for running blueMSX from read only media
- Added support for running blueMSX without storing any data on local machine
- Fixed addressing in Konami mappers
- Fixed bug in 1kB ram mapper used in ColecoVision and SG-1000
- Border rendering is now cycle accurate
- Fixed HREFRESH timing in VDP
- Fixed bug in XVRAM emulation
- Fixed sprite status bug
- Fixed VDP timing in MSXturboR and MSX2+ machines

In the debugger :
- Added find dialog to search for strings or values in the memory
- Improved editing in memory window
- Added debugging support of OPL sound chips

In the trainer :
- Extended the cheat database to 396 MSX games

v 2.4.0 September 18, 2005

In the emulator :
- Added support for the first Sega console, the SG-1000
- Added a new synchronisation mode, it is linked to the PC Vertical Blank and does a linear interpolation of the MSX frames to match the PC monitor frequency
- The audio mixer is now, like the keyboard editor, a theme-written plugin and appears in an apart draggable window
- Added support for MSX-MIDI OUT in generic MSXturboR machines and in Panasonic FS-A1GT, with checkbox to map the MT-32 instruments to General MIDI
- Added support for the mapper and the soundchip (VLM5030) of the Konami Keyboard Master, an unreleased and rare cartridge
- Improved SCC emulation to support the NYYRIKKI's sample players
- Rewrote completely the interrupt support
- Added support for renewed CAS and DSK databases in XML format with SHA1 values
- Extended the CAS database with new entries and with data for the corresponding WAV files
- Added support for Chinese language (Chinese Simplified and Chinese Traditional)
- Added 5 new generic MSX machines : MSX1 Arabic, MSX1 French, MSX1 Russian, MSX1 Spanish, MSX2 Swedish
- Added the RS232 rom in all generic MSX machines
- Improved the SVI memory management
- Added support for the SVI-603 Coleco game adapter
- Added 2 SVI-328 machines with second video card (80 columns)
- Fixed different bugs

In the debugger :
- Added support for Chinese and Korean languages
- Added a window with list of values in the I/O ports
- Added a window to read and edit values of peripheral registers (VDP and PSG)
- Added saving of a disassembly in a text file
- Added saving of the memory in a binary file

In the tracer :
- Added support for Chinese and Korean languages

v 2.3.1 June 24, 2005

Update of the debugger :
- Added Japanese translation of the debugger
- Added assembly style flags (in addition to the other flags) in the CPU registry window.
- Added set breakpoint dialog that takes an address or a symbol
- Updated BiFi's breakpoints
- Added BiFi's debug command
- Made step over work with block commands (ldir, cpir, otir, ....)

Bugfixes :
- Fixed ASCII SRAM mapper bug
- Fixed minor bug in debugger hotkeys
- Fixed memory address input to work with large numbers
- Fixed bug in debugger that made writing to memory and registers to fail
- Fixed bug that made dropdowns in debugger to show incorrectly on some Windows machines
- Fixed VDP bug that made the intro to the game FEEDBACK to fail (command engine now continues to execute after screensplit)
- Fixed VDP bug in the PSET command (made the stars show incorrectly in the game FEEDBACK)
- Fixed bug in fullscreen mode when using F12 (reset) if the menu is visible

v 2.3.0 June 18, 2005

Printer support :
- MSX printer and Epson FX-80 printer are emulated
- You can also write to a text file
- The printer port can be used as sound device (SiMPL/Covox DAC)

Enhanced version of the debugger :
- Added symbol file support in debugger (tniASM, asMSX, ...):
* Symbols can be shown/hidden in the disassembly window
* Symbol names can be used to look up an address in the memory window
- Added stack window
- Added 'step into' feature
- Added 'step out' feature
- Added more options to enable/disable breakpoints
- Added a goto dialog to jump to a specific address or symbol in the disassembly window
- Made visible memory writable in debugger
- Added support for asMSX DEBUG command (shown in trace logger window)
- Added support for BiFi's BREAKPOINT command (set bp from assembler)
- Fixed hotkey handling in debugger

Other changes in the emulator :
- Added German and Polish languages
- Updated Italian language support
- Updated C-BIOS machines to version 0.21
- Corrected the Brazilian MSX1 and MSX2 machines (1 physical drive and 2 logical drives)
- Improved MSX-MUSIC support by implementing Mitsutaka Okazaki new YM2413 core
- Added FDC Audio samples
- Added support for Tetris 2 special edition copyright protection dongle
- Added keyboard lock handle for Japanese function keys
- Corrected frequency of MSX-AUDIO (runs now at 50 Khz)
- Corrected noise support in the ColecoVision console
- Fixed Hq2x and Hq3x palette bug
- Fixed VDP horizontal scroll bug (Tetris 2 special edition)
- Fixed VDP addressing bug (F-Nano 2)
- Fixed sprite collision detection bug
- Fixed screen 2 addressing bug
- Fixed bug that made joystick config to resets to NONE after reboot
- Fixed bug related to subdirectory when running on read only media

v 2.2.0 March 19, 2005

- Added a keyboard editor
- Introduced a plugin structure that allows to add external program (dll's) : debugger and trainer capacities come under this form with the emulator
- Developed a multi-page interface with system infos, audio mixer, video settings and virtual keyboard
- Intern changes for the soundchips emulation that makes possible support for multiple simultaneous chips
- Added support for selectable video resolution in fullscreen mode
- blueMSX shares now with openMSX a rom database in an improved updatable new format ; for a limited period, the old format will still be supported.
- Updated C-BIOS to version 0.20
- Replaced the FM-PAC cartridge in all generic MSX2 machines by the MSX2+ FM chip and the PAC cartridge
- Added a generic MSX2 machine with only the PSG soundchip
- Changed the special machines to make them closer to the real machines (the only exception is 512 Kb RAM in all MSX2, MSX2+ and MSXturboR machines)
- Added a new mapper for the Dutch and Korean MSX-MUSIC cartridges
- Added support for the Sony HBI55 cartridge
- Added complete support for the SVI-328 Floppy Drive Controller
- Added autodetection of video source and support for the SVI-806 video card (80 columns - CRTC6845) ; this feature is also a step for future GFX9000 support
- Added support for 192 Kb VRAM in the V9958 VDP chip
- Improved the Disable Floppy Drive Timing feature
- Added the amber monitor type
- Added support for the Hq2x scaler (and the Hq3x scaler if the emulator runs in fullscreen mode and at least the resolution 1024 x 768)
- Added the RF-Modulator effect
- Improved the filtering for SCC, MSX-MUSIC and MSX-AUDIO
- Added support for parallel and serial ports
- Added preview of the save states
- Added support for the .col files, used for the ColecoVision cartridges
- Fixed different bugs (PSG sounds, save states, MSX-AUDIO initialisation, loss of performance when using menus)
- Fixed sprite bug in Dragon Quest 2 (the title is now displayed correctly)

v 2.1.0 December 25, 2004

- Added support for ColecoVision
- Added support for disabling real floppy drive timing
- Added selection for enabling/disabling saving configuration in Windows registry
- Improved disk metric detection
- Updated machines, including one with the brand new C-BIOS 0.19
- Fixed bug that caused returning from A1 internal software back to VShell to fail.
- Fixed bug in the Panasonic Rom Mapper that made FS-A1WSX machines crash
- Fixed bug in the VDP Command engine that made graphics corrupt in Eidolon
- Fixed Screen 3 rendering bug
- Fixed Interlace bug in GigaMix game
- Fixed bug in PSG that made notes hang in Sex Bomb Bunny
- Fixed mouse bug in ROM disk magazines
- Fixed bug in PCM playback that made some samples to be played too slow
- Fixed bug in file associations that did not update associations for newly installed versions of the emulator
- Fixed bug in Cassette Auto Rewind that made rewind fail when a cassette from the history was selected
- Fixed bug in cas and caszip arguments for the command line
- Fixed bug that made the casinfo directory not created correctly
- Fixed bug in R800 frequency selector list
- Fixed bug in Cassette saving that added trash at the end of the file
- Fixed bug in Drag & Drop that made files with spaces sometimes fail

v 2.0.0 November 20, 2004

- First version completely free from all fMSX sources and codes
- Added MSXturboR support, including PCM support (only the playback part) and MSXturboR SRAM support
- Added support for the almost MSX1 machines Spectravideo SVI-318 and SVI-328
- Fixed timing of the Panasonic Floppy Drive Controller
- Added support for the Western Digital FDC and 4 new mappers : National/Daewoo, Philips/Sony, Microsol and SVI-738
- Added new general machines : MSX1 German, MSX1 Swedish, MSX2 Spanish
- Extended the choice for specific machines, including machines without diskdrive
- Updated all machines to use an appropriate FDC
- Added mappers for 2 digital-to-analog converters : Konami's Synthesiser, Matjusushi
- Added support for the MSX-AUDIO DAC
- Added support for the Pause switch
- Added support for external RAM
- Added video frequency selector
- Added monitor display mode
- Added hotkeys to minimize the emulator and use the Pause key
- Added oversampling feature for MSX-MUSIC, MSX-AUDIO and Moonsound
- Added checkbox to enable/disable priority boosting of the emulator
- Added support for 1 or 2 FDC's (selectable in the machine editor)
- Added Z80/R800 frequency selector in the machine editor
- Added new arguments for the command line
- Added toggle CPU trace shortcut (to define by advanced users)
- Added the cassette database and updated the rom database
- Fixed differend bugs in the VDP timing
- Fixed a bug in the overflow detection for CPU load
- Rewritten the whole save state feature to allow better backward compatibility and include saving of the cassette position
- Extended the themes features with new triggers and actions, support for sliders controls, native windows fonts and clips regions to hide the windows borders

v 1.7.0 September 20, 2004

- More accuracy, stability and performance by implementation of the M1 additionnal waiting states, optimisation of the VDP emulation and retuning of the Z80, VDP and MSX-AUDIO timings
- Support for patched disk rom is now replaced in all general and special machines by support of the Panasonic TC8566AF floppy drive controller
- Added Dir as Dsk feature
- Added remembering of the position of the main dialogs on the screen
- Added tools to create new themes for the emulator layout with customisable skins
- Added real interlace mode (to complement the de-interlaced mode)
- Improved automatic detection of rom mapper type for roms of 8Kb size
- Improved colors for screen 8 and for MSX2+ screens
- Improved dropdown menu for selecting the rom mapper type
- Improved Moonsound support - thanks to Wouter Vermaelen and the openMSX dev team (these fixes will also be available in the next openMSX release)
- Simplified menu for SCC/SCC+ (only 2 options in place of 5)
- Fixed bugs in MSX-AUDIO and Moonsound emulation
- Fixed bugs in the MSX2+ horizontal scroll support
- Fixed different bugs in the VDP emulation
- Fixed bug in the Super Pierrot mapper (ascii16nf)
- Fixed bugs in the refreshing of menus
- Fixed bug when creating blank dsk/cas image via file name requester
- Fixed bug in the cassette position dialog (files weren't showed properly when custom files checkbox was deselected)
- Fixed bug in the open file dialog (confusion between slot 1 and slot 2)
- Fixed bug in the screen capture feature when using zip file with folder structure

v 1.6.0 July 27, 2004

- Added a customizable shortcuts editor : the user can remap a long list of features to keys, combinations or keys or to the joypad buttons, create different profiles or modify the existing profiles
- Added an alternative interface "DIGIblue" with the visualisation of the audio outputs and more indicators about the emulated machine and his working
- Added Korean language
- Added DirectX support for joystick/joypad
- Updated Joystick configuration dialog (Properties/Controls)
- Added Gamma/Brightness/Contrast/Saturation controls
- Added slider for adaptable scanlines on each monitor emulation type
- Added new screenshots modes : Filtered screenshot (the original) , large unfiltered screenshot (544x480 pixels) , small unfiltered screenshot (272x240 pixels)
- More uptodate MSX-AUDIO engine
- New keyclick emulation
- Renewed and extensive rom database (now fully external to the emulator)
- Added support for future cas and dsk databases
- Added support for selecting rom type for zipped rom files
- Added toggle Show/hide sprites
- Added choice of the default slot or drive for the drag and drop of files
- Added choice of the default mapper type for the roms not found in the rom database
- Fixed Bunsetsu Mapper to work with FS-4500 & FS-4700
- Fixed bug when ejecting an ASCII8 rom while emulation is running
- Fixed audio bugs : PSG samples now works again, Panasonic MSX-AUDIO is well detected without special poke and you can play Disk Station dismagazines or games like Labyrinth or Xevious with MSX-AUDIO
- Fixed a bug in the creation of all needed directories at startup
- Disabled the video rendering when minimising the emulator window without stopping the emulator

v 1.5.0 June 12, 2004

- The entire timing scheme of the emulation and DirectDraw is replaced. The result is higher frame rate on slower PCs (< 1.4 GHz) and less interruptions in the sound.
- MSX1 emulation is improved : correct specific palette of colors, CMOS disabled in MSX1 mode
- Full RTC implementation in MSX2/2+ modes, including test and alarm register
- The system roms are no more embedded in the executable file and the emulator is released in two versions : one that includes the bios roms as separate files (as NLMSX or paraMSX) and one that only contains C-BIOS and no copyrighted roms.
- Added two counters : frames per second and using of CPU resource by the emulator
- Added pause and stop buttons to toolbar
- Added finnish language
- Added support for the different SCC/SCC+ mappers
- Added support for zipped save states
- Added rom type selection dropdown in rom open dialog box
- Updated horizontal stretch
- Correct sprite palette in screen 8
- Fixed bugs with double click on a dsk or rom file : the emulator starts now with this file only (it ejects any inserted cartridges); if blueMSX is already running, the double click will have effect in the existing emulator
- Fixed mouse lock when running at high frequency
- Fixed lockups when running emu and dialogs are moved over emulation
- Fixed bug with property page in full screen mode
- Fixed bug in toolbar update when starting or stopping emulation
- Made switch check boxes in options/emulation not restart emulation
- Fixed VDP bug that made some Namcot MSX1 games fail in screen 1
- Fixed bug in disk patch : it flushes VDP commands correctly (BGV #13 in Disk Station 17 and Rune Master III now show graphics correctly)
- Fixed bug in machine editor dropdowns : clicking outside dropdown does not reset value
- Fixed bugs in the mixer control (position of the balance slider, volume when selecting mono)
- Fixed bugs in sprite emulation and screen 6 horizontal scroll
- Fixed bugs in the graphical interface
- Fixed bug in save states for MSX1 machines

v 1.4.1 May 10, 2004

- General video improvement :
* Addition of horizontal and vertical stretch on all monitor modes for a still more better MSX experience
* Implementation of a DirectDraw Hw Acceleration driver that combines video and system memory for optimised performance
- General sound improvement :
* Better sound mixer
* Updated Moonsound (less bad noises)
* Support of the MSX-AUDIO cartridges (including the switch of the Panasonic cartridge)
* Improved SCC support
- New default machine configs : MSX2 French and German
- Support for smaller sound buffer sizes in performance
- Added support for di1, di2, mx1, mx2 file types
- Added registration of file types in settings, so double clicking a file starts blueMSX
- Added romdb.dat database (created in blueMSX root directory if not exist)
- Added support for Kanji roms in cartridge slots
- Added support for Korean 90-in-1 rom
- Added support for PAC and Megaram in special submenu
- Added Drag and drop of .sta files
- Mouse / Joystick config saved in save state
- Fixed mouse issues
- Mouse as joystick when left button pressed at start
- Changed "Joystick in Port #1" to "Port #1"
- Possibility to disable Windows menu keys
- Correct screen split to screen 0 (Boring scroll in Anma's Relax)
- Updated Disk Patch to synchronize pending VDP commands (XAK Tower of Gazzel)
- Updated sprite addressing
- Fixed bug in set position for zipped cas files
- Added support for NT4 and Win95

v 1.4.0 April 23, 2004

- Moonsound support
- Added a new megarom mapper : blueMSX is the first emulator to correctly support KOEI roms with 8kB and 32kB SRAM.
- Improved support of all games with SRAM
- Added support for basic games in rom format
- Correct overscan behaviour (Matra games, Unknown Reality)
- Version control in savestate (to make saved states backwards compatible and avoid errors when loading old states)
- Additions to the internal rom database
- Changed emulation of special keys of Japanese MSX keyboard
- Fixed bug in mouse buttons emulation
- Fixed bug in screen 0 width 80
- Fixed bug about sprite collision and drawing in screen 1-3
- Fixed bug in cassette read only mode
- Fixed bug in save state (audio chip was not saved)
- Fixed bugs in translations and menu

v 1.3.0 April 11, 2004

- Machine configuration editor that supports external system roms
- New default configurations : Arabic, Brazilian, and Russian MSX 2
- New mappers: Holy Quran, Matsushita, Panasonic, Bunsetsu, National
- Better mouse emulation (the mouse works now in Princess Maker)
- Change of multiple disk with use of a virtual FDD index and indication of the selected disk in a window
- Hotkeys for set or release of mouse capture
- Italian language support
- Better performance by disabling of the Windows screensaver
- Clearing and setting of number of files in history
- Updated state save : it saves now the entire state with a better naming
- Updated japanese keyboard default settings
- Support for MSX2+ horizontal scroll in screens 4 and 6
- Fixed VDP timing problems (removing of flicker in some games)
- Fixed screenshot bug when selected from the menu
- Fixed bugs when playing PSG samples
- Support for the Panasonic front switch
- Extended cassette interface
- Support for fMSX-DOS and fMSX98/AT dsk images
- Max emulation speed hot key
- Fixed bug when going to full screen mode by double clicking on the title bar
- Fixed colors corruption bug when using horizontal scroll in screen 10 or 12

v 1.2.0 March 4, 2004

- Interlace support.
- Major improvements in the VDP synchronisation to the Z80
- Enable/disable MSX-AUDIO, MSX-MUSIC
- Slider and hotkeys for controlling emulation speed
- Audio works when running other speed than normal
- Hotkeys for cart/disk insert
- Z80 timing bugfix, e.g. the game TZR
- Support for FMPAC rom type including SRAM support
- Language support : Dutch, English, French, Japanese, Portuguese, Spanish, and Swedish
- Remember individual dirs for disks/roms/tapes
- Command line arguments
- Updated sprite handling (large sprites, corrected color, better collision detection)
- Additional toolbar buttons : Start/Pause and Help
- Updated disk handling and format bugfix
- Bugfix in horizontal scroll for screen 12
- Bugfix in the AY8910 emulation that made some samples not play correctly.
- Bugfix in the ASCII rom mappers that made some roms not run properly.

v 1.1.1 February 5, 2004

- Support for MSX2+ horizontal scroll
- Correct VRAM addressing in screen 7 and 8
- Correct 256/512 pixel screen split behavior
- Improved PSG and SCC audio
- Support for R-TYPE, Harry Fox and Cross Blaim megaroms
- Support for Korean MSX1 and MSX2 system roms
- Support for .CAS tape files
- Uses DirectX for keyboard input (fixes problems when using Win9x or AZERTY keyboards)
- Save state now works with MSX-MUSIC and MSX-AUDIO
- Caps lock and Kana lock indicators in status bar
- Fixed bug in "Insert Disk" menu that made history choices fail first time
- Minor bugfixes in megarom mapper
- Monor Z80 opcode updates
- Various non critical bugfixes

v 1.1.0 January 15, 2004

- Added users manual
- Added toolbar to user interface
- Support for ASCII8 and ASCII16 mega roms with SRAM
- Support for SCC+ mega rom with internal RAM
- Support for soft reset. (RAM is not erased on reset)
- Support for inserting and removing mega roms while emulator is running
- Support for MSX-AUDIO
- Improved PSG audio emulation
- Support for selecting CPU frequency
- Added screenshot feature
- Updated video rendering to make screen less flickery
- Fixed bug in the "load state" feature that sometimes made load state fail
- Fixed bug in rom mapper that made call command fail
- Fixed bug in zipped rom support that made Konami rom combinations work wierd
- Fixed bug that made blueMSX crash when cancelling the save CPU state dialog

v 1.0.5 December 7, 2003

- Stereo (and mono) sound
- Advanced mixer to control volume and pan of individual audio chips in real time
- Zipped rom and dsk support, including drag and drop. Supports multiple roms/dsks in the same zip file
- Support for 512 pixel wide SCREEN6, SCREEN7, and TEXT80 screen.
- Support for 256 color SCREEN8
- Scale 2x monitor renderer
- Drag and drop to the blueMSX program icon. Emulator starts with the dragged file
- Fixed bug in PSG that prevented some samples to be played
- Fixed bug in the bios patch that made some disks hang the PC

v 1.0.4 November 30, 2003

- Support for Japanese MSX1 and MSX2 system roms
- Support for Konami Game Master and Game Master 2 roms
- Added key click audio emulation
- Fine tuned SCC and AY8910 emulation
- Updated composite monitor emulation
- Updated keyboard mapping for european keyboards
- Fixed bug that left settings unsaved on Windows 95 and 98 (and maybe other systems as well)
- Fixed bug in cartridge and disk insert menu
- Fixed bug that sometimes made disk insert fail when emulator is run in windowed mode
- Fixed bug that sometimes caused blueMSX to crash after 20 minutes
- Fixed bug that sometimes caused blueMSX to crash at exit

v 1.0.3 November 24, 2003

- Corrected timing in emulator
- Added video mode option in video preferences where PAL or NTSC can be selected. This ensures correct speed of games like Nemesis2
- Added support for brazilian MSX1 system roms

v 1.0.2 November 22, 2003

- Added support for DirectX sound
- Corrected behavior in DirectX video

v 1.0.1 November 20, 2003

- First official blueMSX release


Philips VG-8230, VG-8235 and VG-8240

To run these MSX2 machines in blueMSX, you need the complete config files with all the specific roms. Check the Resource page of the blueMSX website and unzip the config files in the Machines subdirectory of the emulator.

These machine have a tape interface and a 360 Kb diskdrive. They come with two system disks : first system disk contains MSX-DOS with a nice interface; second system disk includes first version of MSX Home Office and a graphic tool, MSX Designer.

There is a French version of the VG-8235 machine. The VG-8240 computer is very rare and has superimposing capabilities that are not yet supported by blueMSX.

Interface for MSX-DOS | Menu of the second system disk
MSX Home Office | MSX Designer


Video captures

If you want to show how to resolve a difficult part in a game or your ability to make a high score in a hard game, then this feature is for you as it allows to create first an enhanced version of a save state with saving of all your inputs in the game, then eventually in a second step to create an AVI file with choice between different codecs.

The general procedure is as following :

- start the video capture
- stop the video capture (it will create the .cap file in the subdirectory Video Capture)
- load a cap file OR play last capture
- select "render video file"
- give a name to the .avi file
- select a correct compressor (it's different following the PC, some compressors will work, others will not work - easy option is to select "Microsoft Video 1")
- wait for the end of the operation (you can follow the progression in %)
- click on the AVI file

Attention ! blueMSX saves the complete CPU state, including the emulated machine with all his specifications and the path to the rom, dsk or cas file of your game.

So don't try later to load a video capture in another machine and don't change the place of your games on the harddisk ! It's also recommended to put your games in a directory with a simple path (for example : C:\MSX\Roms) before your first video capture if you have the intention to share them with other fans.

If you use cheats, the parameters of the cheats are not saved. So it means that if you load later a video capture, you need to re-apply exactly the same cheats on the game after loading of the video capture. The AVI files will always be created without the cheats, so the result can be very different !

You can use the options of the File / Video Capture menu or access to them directly by the default shortcuts as indicated below.

 Load...
Allows to load and play a video capture of your choice

 Play Last Capture
Allows to play the last recorded video capture.

 Record
Allows to record a new video capture or to append a sequel to a loaded and played video capture ; in this last case, the menu item becomes "Record (append)".

A unique file name is always created, by using this system : the name of the game or demo, followed by "_" , a number of 2 digits (the first combination is "00") and the extension .cap. This file will be stored in the Video Capture directory.

 Stop.
Alllows to stop the recording of a video capture.

Note : use F9 to stop the playing of a video capture

 Render Video File
Allows to convert the video capture into an AVI file.
After indication of the name of the AVI file, you need to select a codec for the compression.

The choice of a codec depends from the requested quality, but also from the using you'll make with the video capture. Some codecs are configurable, what's also important.

If you want to share your AVI files with other fans, than it's better to create AVI files that can be read by the Windows Media Player; in this case, use the Microsoft Video 1 codec.

By default, the video rendering will use 60 frames per second and a 640x480 resolution. You can eventually change the corresponding parameters in the blueMSX.ini file :

video.captureFps=60
video.captureSize=1

The first one can be set to anything, but the two values coherent with the VDP frequency of the emulated machine are 50 and 60.
60 is better to use whenever possible because it's what the frame mixing routines are optimized for.

The second can be set to 0 and 1. 0 means 320x240 resolution; 1 means 640x480 resolution.

Questions and answers

How to use a video capture as a save state ?
Simply rename the .cap file with the extension .sta ! Then check this page of the manual !

How to know the exact content of a video capture ?
If you are very curious about the exact content of a blueMSX video capture, simply rename the .cap file with the extension .zip and unzip the file !

Apart from an additionnal file (capture_00), the content is exactly the same as for a save state ! So check this page of the manual !


Virtual keyboard

If you click on a button of the right panel of the DIGIblue SUITE-X theme, you can change this appearance; in another words, this status-bar is a multi-panels bar !

The CONTROL appearance gives you a virtual keyboard and access to the controls ports 1 and 2. Click on the virtual keys in stead of pressing the real keys of your PC keyboard !

You can also determine the speed of the Rensha Turbo (or Autofire).

The blueMSX virtual keyboard is based on the MSXturboR GT keyboard. It's the most complete keyboard, as it includes 2 special keys, that are only used by the intern software of this machine (ST or GT variant).

However, the keyboard configuration is first defined by the BIOS of the emulated machine.
You will find more explanations on the pages related to a specific keyboard :

Arabic MSX keyboard | Korean MSX keyboard
Brazilian MSX keyboard | Russian MSX keyboard
Estonian MSX keyboard | Spanish MSX keyboard
European MSX keyboard | Swedish MSX keyboard
French MSX keyboard |
Gernan MSX keyboard | SVI keyboard
Japanese MSX keyboard | SEGA keyboard

If you are interested by the different keyboard matrices, check this website : http://map.grauw.nl/articles/keymatrix.php

The MSX keyboard is generally very similar to a standard PC keyboard (the unique exception is the Russian MSX keyboard). The typewrite keys are almost the same as well as the numeric keypad. The Caps key toggles bigger sized alphabet characters (only in normal mode for Japanese, Korean and Arabic machines).

The MSX keyboard has five physical function keys. To access function key 6 to 10, you need to hold down the SHIFT key and press one of the keys F1 to F5.

As some MSX keys don't exist on a PC keyboard, the emulator makes also some adjustements to support the complete MSX keyboard :
- the PC key before the "1" key is used for emulate a MSX key on the third row
- the extrem right PC key on the third row is used to emulate the extrem right MSX key on the first row

Specific MSX keys are mapped to the following PC keyboard keys :

MSX key | PC key |
Select | End | Used in some games and applications (it's also the case of the Esc key).
Stop | Page Up | Allows to pause and resume a task in the MSX-BASIC or MSX-DOS environment. When you press this key while holding the Ctrl key, the current task will be abruptly broken.
Clr Home | Home | Allows to move the cursor to the top left of the screen. If you press Shift + Clr Home, the screen will be cleared.
Graph | Left Alt | Gives direct access to MSX-BASIC commands (Arabic machines in Arabic keyboard mode) or graphical characters (other cases) by pressing it with a normal character. Can be combined with Shift.
Code / Kana / Hangul / Arabic / Cyrillic (**) | Right Alt | Gives special characters by pressing it with a normal character (Code) or access to a different set of characters (other cases).
Comma on numpad | Page Down |
Accent Mark / Slash / Underscore / Question Mark (**) | Right Ctrl (*) | Allows to put an accent mark on a vowel (Accent Mark) or write the Slash character or Underscore character or Question Mark character

Most Panasonic MSX2+ machines and all Panasonic MSXturboR machines have two special Japanese keys, that allow in some programs to validate or invalidate a choice.

MSX key | PC key |
Iee | Left Windows or Back (Explorer) | Invalidates the choice.
Hai | Right Windows or Forward (Explorer) | Validates the choice.

blueMSX uses also many keys or combinations of keys for shortcuts, that you can change in the Shortcuts Editor.

If the default mapping is source of problems, you can change it in the keyboard section of the Input Editor.

(*) PC key after the "P" for the French MSX keyboard; extrem right PC key on the first row for the German MSX keyboard
(**) Check the different specific keyboards !